mui.init({
 　　　swipeBack: true, //启用右滑关闭功能
 　　　beforeback: function(){//监听物理返回按键的方法
 		plus.webview.currentWebview().close();
 　　　　 /*alert("确定吗");
　　　　　return true;*/
 　　　}
});
$('.order-nav div').on('tap',function(e){
	e.preventDefault();
	$(this).addClass("active").siblings().removeClass("active");
	var index = $(this).attr("index");
	$('.table-box').hide();
	$('.table-box').eq(index).show();
});

$('.mui-icon-loop').on('tap',function(e){
	refresh();
});

$(".ok").on("tap",function(){
	$(".shadow").hide();
});

$("#msg-nav a").css("width",100/3+"%");

function en_detailBind(){
	$("#entrust-dataList tr").on("tap",function(){
		if($(this).hasClass("cannotClick")){
			return false;
		}
		var id = $(this).attr("orderId");
		showEntrust_details(id);
	});
}
function deal_detailBind(){
	$("#deal-dataList tr").on("tap",function(){
		if($(this).hasClass("cannotClick")){
			return false;
		}
		var id = $(this).attr("orderId");
		showDeal_details(id);
	});
}

function clear_detailBind(){
	$("#clear-dataList tr").on("tap",function(){
		if($(this).hasClass("cannotClick")){
			return false;
		}
		var id = $(this).attr("orderId");
		showClear_details(id);
	});
}

// 委托详情展示
function showEntrust_details(id){
	$.each(entrustData,function(key,value){
		if(value.id == id){
			//展示详情
			var type = typeCheck(value.exchType);
			var direction = directionCheck(value.direction);
			var state = stateCheck(value.state);
			var _date = dates(value.entrustDate);
			$("#en-d-codeType").html(type);
			$("#en-d-price").html(value.entrustPrice);
			$("#en-d-state").html(state);
			$("#en-d-date").html(_date);
			$("#en-d-direction").html(direction);
			$("#en-d-num").html(value.entrustNum);
			$("#en-d-time").html(times(value.entrustDate));
			//$("#en-d-type").html(type);
			//$("#en-d-time").html(type);
		}
	});
	$("#entrust-detail").show();
}

// 成交详情展示
function showDeal_details(id){
	$.each(dealData,function(key,value){
		if(value.id == id){
			//展示详情
			var type = typeCheck(value.exchType);
			var direction = directionCheck(value.direction);
			var state = stateCheck(value.state);
			var _date = dates(value.dealDate);
			var _time = times(value.dealDate);
			$("#deal-d-codeType").html(type);
			$("#deal-d-price").html(value.dealPrice);
			$("#deal-d-money").html(value.dealMoney);
			$("#deal-d-date").html(_date);
			//$("#deal-d-type").html(type);
			$("#deal-d-direction").html(direction);
			$("#deal-d-num").html(value.num);
			$("#deal-d-fee").html(value.fee);
			$("#deal-d-time").html(_time);
		}
	});
	$("#deal-detail").show();
}

// 用户结算详情展示
function showClear_details(id){
	$.each(clearData,function(key,value){
		if(value.id == id){
			var _date = dates(value.consumeDate);
			$("#accounts-d-date").html(_date);
			$("#accounts-d-deferred").html(value.delayFee);
			$("#accounts-d-total").html(value.total);
			$("#accounts-d-floatProfit").html(value.floatProfit);
			$("#accounts-d-changes").html(value.floatBail);
			
		}
	});
	$("#accounts-detail").show();
}

var clear_index=1, entrust_index=1, deal_index=1, clear_size=10, entrust_size=10, deal_size=10, clear_totalPage, entrust_totalPage, deal_totalPage;
var entrustData = [],dealData = [],clearData = [];

// 获取历史委托单
getHisEntrust();
function getHisEntrust(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/his/getHisEntrust";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:entrust_index,
    		size:entrust_size
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code == 200){
	    		entrustData = res.data.record;
	    		entrust_totalPage = res.data.totalPage;
	    		showHisEntrust(res.data.record);
	    		// 设置分页按钮颜色
	    		setPageBtnColor("#entrust-page",res.data.index,res.data.totalPage);
	    	}
		},
		error : function(error){
			mui.toast("获取失败")
		}
	});
}

function showHisEntrust(data){
	$("#entrust-dataList").html("");
	$.each(data,function(key,value){
		var type = typeCheck(value.exchType);
		var direction = directionCheck(value.direction);
		var state = stateCheck(value.state);
		var price = "";
		if(value.exchType == 1 || value.exchType == 2){
			price = floatCompletion(value.entrustPrice);
		}else{
			price = value.entrustPrice;
		}
		var html = '<tr orderId="'+value.id+'">\
						<td>'+type+'</td>\
						<td>'+direction+'</td>\
						<td>'+price+'</td>\
						<td>'+value.entrustNum+'</td>\
						<td>'+state+'</td>\
						<td class="td-imgBox">\
							<img orderId="'+value.orderId+'" src="images/msg_icon_more@2x.png"/>\
						</td>\
					</tr>';
		$("#entrust-dataList").append(html);
	});
	console.log(data.length);
	/*if(data.length < 1){
		
		$("#entrust-dataList").html('<tr class="cannotClick"><td colspan="6">暂无数据...</td></tr>');
	}*/
	en_detailBind();
}

$('#entrust-page .first-page').on('tap',function(e){
	if(entrust_index <= 1){
		plus.nativeUI.closeToast();
		//mui.toast("已是第一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是第一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	entrust_index = 1;
	getHisEntrust();
});

$('#entrust-page .pre-page').on('tap',function(e){
	if(entrust_index <= 1){
		plus.nativeUI.closeToast();
		//mui.toast("已是第一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是第一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	entrust_index--;
	getHisEntrust();
});
$('#entrust-page .next-page').on('tap',function(e){
	if(entrust_index >= entrust_totalPage){
		plus.nativeUI.closeToast();
		//mui.toast("已是最后一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是最后一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	entrust_index++;
	getHisEntrust();
});
$('#entrust-page .last-page').on('tap',function(e){
	if(entrust_index >= entrust_totalPage){
		plus.nativeUI.closeToast();
		//mui.toast("已是最后一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是最后一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	entrust_index = entrust_totalPage;
	getHisEntrust();
});

// 获取历史成交单
getHisDeal();
function getHisDeal(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/his/getHisDeal";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:deal_index,
    		size:deal_size
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code == 200){
	    		dealData = res.data.record;
	    		deal_totalPage = res.data.totalPage;
	    		showHisDeal(res.data.record);
	    		// 设置分页按钮颜色
	    		setPageBtnColor("#deal-page",res.data.index,res.data.totalPage);
	    	}
		},
		error : function(error){
			mui.toast("获取失败")
		}
	});
}

function showHisDeal(data){
	$("#deal-dataList").html("");
	$.each(data,function(key,value){
		var type = typeCheck(value.exchType);
		var direction = directionCheck(value.direction);
		var state = stateCheck(value.state);
		var price = "",dealMoney;
		if(value.exchType == 1 || value.exchType == 2){
			price = floatCompletion(value.dealPrice);
		}else{
			price = value.dealPrice;
		}
		
		if(value.exchType == 1 || value.exchType == 2){
			dealMoney = decimal(value.dealMoney);
			dealMoney = floatCompletion(value.dealMoney);
		}else{
			dealMoney = value.dealMoney;
		}
		
		var html = '<tr orderId="'+value.id+'">\
						<td>'+type+'</td>\
						<td>'+direction+'</td>\
						<td>'+price+'</td>\
						<td>'+value.num+'</td>\
						<td>'+dealMoney+'</td>\
						<td class="td-imgBox">\
							<img src="images/msg_icon_more@2x.png"/>\
						</td>\
					</tr>';
		$("#deal-dataList").append(html);
	});
	deal_detailBind();
}

$('#deal-page .first-page').on('tap',function(e){
	if(deal_index <= 1){
		plus.nativeUI.closeToast();
		//mui.toast("已是第一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是第一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'csenter'  
        });
		return false;
	}
	deal_index = 1;
	getHisDeal();
});
$('#deal-page .pre-page').on('tap',function(e){
	if(deal_index <= 1){
		plus.nativeUI.closeToast();
		//mui.toast("已是第一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是第一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	deal_index--;
	getHisDeal();
});
$('#deal-page .next-page').on('tap',function(e){
	if(deal_index >= deal_totalPage){
		plus.nativeUI.closeToast();
		//mui.toast("已是最后一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是最后一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	deal_index++;
	getHisDeal();
});
$('#deal-page .last-page').on('tap',function(e){
	if(deal_index >= deal_totalPage){
		plus.nativeUI.closeToast();
		//mui.toast("已是最后一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是最后一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	deal_index = deal_totalPage;
	getHisDeal();
});

// 获取用户清算记录
getUserConsume();
function getUserConsume(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/his/getUserConsume";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:clear_index,
    		size:clear_size
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code == 200){
	    		clearData = res.data.record;
	    		
	    		clear_totalPage = res.data.totalPage;
	    		showUserConsume(res.data.record);
	    		// 设置分页按钮颜色
	    		setPageBtnColor("#clear-page",res.data.index,res.data.totalPage);
	    	}
		},
		error : function(error){
			mui.toast("获取失败")
		}
	});
}

function showUserConsume(data){
	$("#clear-dataList").html("");
	$.each(data,function(key,value){
		var type = typeCheck(value.exchType);
		var direction = directionCheck(value.direction);
		var _date = dates(value.consumeDate);
		
		var html = '<tr orderId="'+value.id+'">\
						<td>'+_date+'</td>\
						<td>'+value.floatProfit+'</td>\
						<td>'+value.delayFee+'</td>\
						<td>'+value.total+'</td>\
					</tr>';
		$("#clear-dataList").append(html);
	});
	//clear_detailBind();
}

$('#clear-page .first-page').on('tap',function(e){
	if(clear_index <= 1){
		plus.nativeUI.closeToast();
		//mui.toast("已是第一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是第一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	clear_index = 1;
	getUserConsume();
});
$('#clear-page .pre-page').on('tap',function(e){
	if(clear_index <= 1){
		plus.nativeUI.closeToast();
		//mui.toast("已是第一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是第一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	clear_index--;
	getUserConsume();
});
$('#clear-page .next-page').on('tap',function(e){
	if(clear_index >= clear_totalPage){
		plus.nativeUI.closeToast();
		//mui.toast("已是最后一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是最后一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	clear_index++;
	getUserConsume();
});
$('#clear-page .last-page').on('tap',function(e){
	if(clear_index >= clear_totalPage){
		plus.nativeUI.closeToast();
		//mui.toast("已是最后一页");
		plus.nativeUI.toast('<font style=\"font-size:14px\">已是最后一页</font>', {  
            duration: 'short',  
            type: 'richtext',  
            verticalAlign: 'center'  
        });
		return false;
	}
	clear_index = clear_totalPage;
	getUserConsume();
});

// 封装分页