document.addEventListener( "plusready", function(){  
	var windowId = plus.webview.currentWebview().id;
	if(windowId == "analysts/analysts.html"){
		$(".mui-action-back").removeClass("mui-icon-left-nav");
	}
}, false );

var userLabel_map2 = {
	'0':'',
	'1':'参赛中'
};
 
mui.init({
 　　　swipeBack: false, //启用右滑关闭功能
 　　　beforeback: function(){//监听物理返回按键的方法
 		var id = plus.webview.currentWebview().id;
 		if(id == "new"){
 			plus.webview.currentWebview().close();
 		}else{
 			//return false;
 		}
 		
 　　　　 /*alert("确定吗");
　　　　　return true;*/
 　　　}
});
var op_index = 1,size = 20,totalPage1,an_index = 1,an_size = 20,totalPage2,nickName="",tab_index = 0 , op_isEmpty = false;

//菜单切换
$('.st-head-item').on('tap',function(e){
	e.preventDefault();
	$(this).find("div").addClass("active")/*.siblings().removeClass("active")*/;
	$(this).siblings().find("div").removeClass("active");
	var index = $(this).attr("index");
	$('.analysts').hide();
	$('.analysts').eq(index).show();
	tab_index = index;
	/*if(){
		
	}*/
});

//搜索按钮
$(".mui-icon-search").on("tap",function(e){
	$(".mui-title").toggle();
	$(".mui-input-row").toggle();
	if($(".mui-input-row").css("display") == "block"){
		//$(".mui-input-row").css("display:inline-block");
		$(".mui-input-row").css({"display":"inline-block"});
	}
});

// 移动端键盘确认按钮和pc回车键 响应
$("#analyst-search").on('keypress',function(e) {  
	var keycode = e.keyCode;  
	var searchName = $(this).val();  
	if(keycode=='13') {  
		e.preventDefault();
		nickName = searchName;
		if(tab_index == 0){
			op_index = 1;
			getAnalystOper(true);
		}else if(tab_index == 1){
			an_index = 1;
			getAnalystComment(true);
		}
	}
});

$("#analyst-search").blur(function(){
	var searchName = $(this).val();
	nickName = searchName;
	if(!nickName){
		nickName = "";
	}
	
	if(tab_index == 0){
		op_index = 1;
		getAnalystOper(true);
	}else if(tab_index == 1){
		an_index = 1;
		getAnalystComment(true);
	}
});


// 获取分名师操作列表
getAnalystOper();
function getAnalystOper(isSort){  // isSort 排序或筛选
	//op_index++; // 上拉加载或下拉刷新时需要从零开始自增
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/getAnalystOper";
	//alert(0);
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:op_index,
    		size:size,
    		nickName:nickName
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log("res:"+JSON.stringify(res))
			var data = res.data;
			if (res.code == 200) {
				showAnalystOper(data.record,isSort);
				totalPage1 = data.totalPage;
			}
			//mui('#oper-box').pullRefresh().refresh(true);
			if(op_index >= data.totalPage){
				//mui("#oper-box").pullRefresh().endPullupToRefresh(true);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
function showAnalystOper(data,isSort){
	if(isSort){
		$("#tradeHis").html("");
	}
	$.each(data, function(key,value) {
		var auth = isAuth(value.isAuth);
		var position = positionCheck(value.position);
		var direction = directionCheck(value.direction);
		var type = typeCheck(value.type);
		var _date = dates(value.createTime);
		var _time = times(value.createTime);
		var hide = ""; // 是否为实盘分析师   1：实盘，0：否
		
		if(value.isReal != 1){
			hide = "hide";
		}		 
		if(value.img == null || value.img == ""){
			value.img = "../images/my_icon_headPortrait_select@2x.png";
		}else if(!value.img.startsWith("http")){
			value.img = urlPre + value.img;
		}
		
		var profColor = "fallColor";
		if(value.profitAbility > 0){
			profColor = "riseColor";
		}else if(value.profitAbility == 0){
			prof_color = "c999";
		}
		//console.log("profColor:"+profColor);
		var profit = "--";
		profit = value.profit;
		if(value.profit == null){
			profit = '--';
		}else if(value.profit > 0){
			profit = '+'+value.profit;
		}else if(value.profit < 0){
			profit = value.profit;
		}else if(value.profit == 0){
			profit = '--';	
		}
		// 开仓不显示盈亏 开买 开卖
		var isHide = '';
		if(value.direction == 0 || value.direction == 1){
			isHide = "anaHide";
		}
		if(value.type != 0){
			value.price = decimal(value.price,2);
			value.price = floatCompletion(value.price);
		}
		
		var userLabel = userLabel_map2[value.userLabel];
		var html = '<div class="item tradeHis" userNo="'+value.userNo+'">\
						<div class="item-t c">\
							<div class="tx-box">\
								<img src="'+value.img+'"/>\
								<b class="csz">'+userLabel+'</b>\
							</div>\
							<div class="info-box">\
								<span>\
									<em>'+value.nickName+'</em>\
									<i class="'+hide+'">实盘</i>\
								</span>\
								<span class="position">'+value.position+'</span>\
							</div>\
							<div class="rigth-div middle">\
								<span class="mui-icon mui-icon-arrowright"></span>\
							</div>\
							<div class="profit-box">\
								<span class="'+profColor+'">'+value.profitAbility+'%</span>\
								<span>收益率</span>\
							</div>\
						</div>\
						<div class="info-hr-box">\
							<div></div>\
						</div>\
						<div class="item-c c">\
							<div>\
								<span>品种:<em>'+type+'</em></span>\
								<span>数量:<em>'+value.num+'</em></span>\
							</div>\
							<div>\
								<span>方向:<em>'+direction+'</em></span>\
								<span class="'+isHide+'">盈亏:<em>'+profit+'</em></span>\
							</div>\
							<div>\
								<span>价格:<em>'+value.price+'</em></span>\
							</div>\
						</div>\
						<div class="info-hr-box">\
							<div></div>\
						</div>\
						<div class="item-b middle">\
							<span>'+_date+'</span>\
							<span>'+_time+'</span>\
						</div>\
					</div>';
		
			$("#tradeHis").append(html);
	});
}

$(".query-data").on("tap",".item",function(){
	var analystNo = $(this).attr("userNo");
	var follow = localStorage.getItem("follow");
	var follow_state = 0;
	if(follow == analystNo){
		follow_state = 1;
	}
	plus.webview.open('analysts_detail.html?analystNo='+analystNo+'&follow_state='+follow_state, 'new', {}, 'slide-in-right', 200);
});

// 获取分名师行情分析列表
getAnalystComment();
function getAnalystComment(isSort){  // isSort 排序或筛选
	//index++; // 上拉加载或下拉刷新时需要从零开始自增
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/getAnalysCommentPage";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:an_index,
    		size:an_size,
    		nickName:nickName
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log("res:"+JSON.stringify(res))
			var data = res.data;
			if (res.status) {
				totalPage2 = data.totalPage;
				showAnalystComment(data.record,isSort);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
function showAnalystComment(data,isSort){
	//console.log("data:"+JSON.stringify(data));
	if(isSort){
		$("#Analysis").html("");
	}
	$.each(data, function(key,value) {
		var auth = isAuth(value.isAuth);
		var position = positionCheck(value.position);
		var direction = directionCheck(value.direction);
		var _date = dates(value.cdate);
		var _time = times(value.cdate);
		var hide = "",price,suggest = ""; // 是否为实盘分析师   1：实盘，0：否
		console.log("实盘"+value.isReal);
		console.log("value.profitAbility:"+value.profitAbility);
		if(value.isReal == 0){
			hide = "hide";
		}
		if(value.prodCode.prodCode == "Ag(T+D)"){
			price = value.price;
		}else if(value.prodCode.prodCode == "USDCNY"){
			price = decimal(value.price,4);
			price = formatDecimal4(price);
		}else{
			price = decimal(value.price,2);
			price = floatCompletion(price);
		}
		
		var profit = 0,remark = "--";
		if(value.profitAbility){
			profit = value.profitAbility;
		}
		
		var profColor = "fallColor";
		if(value.profitAbility > 0){
			profColor = "riseColor";
		}else if(value.profitAbility == 0){
			prof_color = "c999";
		}
		
		if(value.content){
			remark = value.content;
		}
		
		if(value.suggest == 1){
			suggest = "看涨";
		}else if(value.suggest == 2){
			suggest = "看跌";
		}else if(value.suggest == 3){
			//suggest = "观望";
		}
		
		if(value.faceUrl == null || value.faceUrl == ""){
			value.faceUrl = "../images/my_icon_headPortrait_select@2x.png";
		}else if(!value.faceUrl.startsWith("http")){
			value.faceUrl = urlPre + value.faceUrl;
		}
		
		var userLabel = userLabel_map2[value.userLabel];
		
		var html = '<div class="item Analysis" userNo="'+value.userNo+'">\
						<div class="item-t c">\
							<div class="tx-box">\
								<img src="'+value.faceUrl+'"/>\
								<b class="csz">'+userLabel+'</b>\
							</div>\
							<div class="info-box">\
								<span>\
									<em>'+value.nickName+'</em>\
									<i class="'+hide+'">实盘</i>\
								</span>\
								<span class="position">'+value.position+'</span>\
							</div>\
							<div class="rigth-div middle">\
								<span class="mui-icon mui-icon-arrowright"></span>\
							</div>\
							<div class="profit-box">\
								<span class="' + profColor + '">'+profit+'%</span>\
								<span>收益率</span>\
							</div>\
						</div>\
						<div class="info-hr-box">\
							<div></div>\
						</div>\
						<div class="item-c c" style="display: block;">\
							<div class="">\
								<span>品种:<em>'+value.prodCode.prodName+'</em></span>\
								<span>价格:<em>'+price+'</em></span>\
								<span>建议:<em>'+suggest+'</em></span>\
							</div>\
							<div class="">\
								<p>'+remark+'</p>\
							</div>\
						</div>\
						<div class="info-hr-box">\
							<div></div>\
						</div>\
						<div class="item-b middle">\
							<span>'+_date+'</span>\
							<span>'+_time+'</span>\
						</div>\
					</div>';
			$("#Analysis").append(html);
	});
}

$(window).on('scroll',function(){	
    if($(window).scrollTop()>=$(document).height()-$(window).height()){
    	if(tab_index == 0){
    		if(op_index < totalPage1){
				op_index++;
				getAnalystOper(); 	
		   }
    	}else if(tab_index == 1){
    		if(an_index < totalPage2){
				an_index++;
				getAnalystComment();	
		   }
    	}
    }
});

//监听自定义事件，用于和B.html页面进行通信（如果在分析师页面关注分析师状态变的话，就刷新页面）
window.addEventListener("Refresh", function(e) {
	if(e.detail.isRefresh == 1){
		//alert("isRefresh="+e.detail.isRefresh);
		 location.reload();	
	}
});

// 上拉加载
/*mui.init({
  pullRefresh : {
    container:"#oper-box",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :getAnalystOper //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  }
});*/