var JIM = new JMessage({
        debug : true
    });
JIM.onDisconnect(function(){
	console.log("【disconnect】");
}); //异常断线监听

function getFile() {
	var fd = new FormData();
	var file = document.getElementById('file_box');
	if(!file.files[0]) {
		//appendToDashboard('error:' + '获取文件失败');
		throw new Error('获取文件失败');
	}
	fd.append(file.files[0].name, file.files[0]);
	return fd;
}
 	
if(!isInit()){
	initJmessage();
}
 
//
// 初始化。
function initJmessage() {
	var appkey = localStorage.getItem("im_appkey");
	var random_str = localStorage.getItem("im_random_str");
	var timestamp = localStorage.getItem("im_timestamp");
	var signature = localStorage.getItem("im_signature");
	
	JIM.init({
	            "appkey":appkey,
	            "random_str":random_str,
	            "signature":signature,
	            "timestamp":timestamp,
	            "flag": 1			//支持聊天漫游	
	        }).onSuccess(function(data) {
				console.log('success:' + JSON.stringify(data));
				
				if(!isLogin()){
					login();
				}
				//appendToDashboard('success' + JSON.stringify(data));
			}).onFail(function(data) {
				console.log('error:' + JSON.stringify(data))
				//appendToDashboard('error: ' +JSON.stringify(data));
			});
}

//是否初始化
function isInit() {
	var isInit = JIM.isInit();
	console.log('isInit:'+isInit);
	//appendToDashboard('isInit : ' +JIM.isInit());
	return isInit;
}
 
//是否连接
function isConnect(){
	console.log('isConnect:'+JIM.isConnect());
	//appendToDashboard('isConnect : ' +JIM.isConnect());
}

function isLogin(){
	var isLogin = JIM.isLogin();
	console.log('isLogin:'+isLogin);
	return isLogin;
}
/**
 * 登录
 */
function login() {
	var im_id = localStorage.getItem("im_id");
	var im_pwd = localStorage.getItem("im_pwd");
	console.log(im_id+'--im--' + im_pwd);
	JIM.login({
		'username' : im_id,
		'password': im_pwd
	}).onSuccess(function(data) {		 
		console.log('success:' + JSON.stringify(data));
		//appendToDashboard(JSON.stringify(data));	   
	   /* JIM.onMsgReceive(function(data) { //聊天消息实时监听 消息类型 3-single, 4-group
			data = JSON.stringify(data);
			console.log('1msg_receive:' + data);
			//appendToDashboard('msg_receive:' + data);
		}); */
		
		// 业务事件监听，如：同时登录或者被禁用，被迫下线示例：event_type = 1
		//密码被修改，被迫下线示例：event_type = 2，退出群组事件示例：event_type = 9
		//添加群组成员事件示例：event_type = 10
		JIM.onEventNotification(function(data) { 
			console.log('event_receive: ' + JSON.stringify(data));
			//appendToDashboard('event_receive: ' +JSON.stringify(data));
		});
		
		// JIM.onSyncConversation(function(data) { //离线消息同步监听
		// 	var str = JSON.stringify(data);
		// 	var max = 3000;
		// 	if(str.length > max){
		// 		var len = str.length / max;
		// 		for(var i = 0; i < len; i++){
		// 			console.log('onSyncConversation: ' + str.substring(i*max, (i+1)* max));
		// 		}
		// 		console.log('onSyncConversation: ' + str.substr(len*max));
		// 	} 
		// 	//console.log('onSyncConversation: ' + JSON.stringify(data));
		// 	//appendToDashboard('event_receive: ' +JSON.stringify(data));
		// });
		
	   JIM.onUserInfUpdate(function(data) {  // 用户信息变更监听
			console.log('onUserInfUpdate : ' + JSON.stringify(data));
			//appendToDashboard('onUserInfUpdate : ' +JSON.stringify(data));
		});
 
	 JIM.onSyncEvent(function(data) {  //业务事件同步监听
			console.log('onSyncEvent : ' + JSON.stringify(data));
			//appendToDashboard('onSyncEvent : ' +JSON.stringify(data));
		});
		
		JIM.onMsgReceiptChange(function(data){
			console.log('onMsgReceiptChange : ' + JSON.stringify(data));
			//appendToDashboard('onMsgReceiptChange : ' +JSON.stringify(data));		
		});
		
		JIM.onSyncMsgReceipt(function(data){
			console.log('onSyncMsgReceipt : ' + JSON.stringify(data));
			//appendToDashboard('onSyncMsgReceipt : ' +JSON.stringify(data));
		});
		
		JIM.onMutiUnreadMsgUpdate(function(data){ //接收未读消息
			console.log('onConversationUpdate : ' + JSON.stringify(data));
			//appendToDashboard('onConversationUpdate : ' +JSON.stringify(data));
		});
		
		JIM.onTransMsgRec(function(data){ //接收传透消息
			console.log('onTransMsgRec : ' + JSON.stringify(data));
			//appendToDashboard('onTransMsgRec : ' +JSON.stringify(data));
		});
		
		JIM.onRoomMsg (function(data){ //接收聊天室消息
			console.log('onRoomMsg  : ' + JSON.stringify(data));
			//appendToDashboard('onRoomMsg  : ' +JSON.stringify(data));
		});
		
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	}).onTimeout(function(data) {
		console.log('timeout:' + JSON.stringify(data));
		//appendToDashboard('timeout: ' +JSON.stringify(data));
	});
}


 
//退出登录
function loginOut(){
	 JIM.loginOut();
}

//获取用户信息
function getSelfInfo() {
	var im_id = localStorage.getItem("im_id");
	JIM.getUserInfo({
		'username' : im_id
	}).onSuccess(function(data) {
		console.log('success:' + JSON.stringify(data));
		//appendToDashboard('success: ' +JSON.stringify(data));
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	});	
}

//获取资源
function getResource(id){
	//var id ='qiniu/file/j/348F9C1DAD3A98849BEADE006B70CEF8.txt';
	JIM.getResource({'media_id' : id})
			.onSuccess(function(data){
				//data.code 返回码
                //data.message 描述
                //data.url 资源临时访问路径，具体超时时间expire time会包含在url中
				console.log('success:' + JSON.stringify(data));
				//appendToDashboard('success: ' +JSON.stringify(data));
			}).onFail(function(data){
				console.log('error:' + JSON.stringify(data));
				//appendToDashboard('error: ' +JSON.stringify(data));
			});
}

/**
 * 发送消息
 * @param {Object} across_user 目标user 
 * @param {Object} content 发送消息内容
 */
function sendSingleMsg(across_user, content) {	
	JIM.sendSingleMsg({
		'target_username' : across_user,
		//'appkey' :  across_appkey,  跨应用查询时必填，目标应用的 appkey
		'content' : content,
		'no_offline' : false, //消息离线控制标志，false，默认值，保存离线消息
		'no_notification' : false,//状态栏显示消息标志，false，默认值，状态栏显示消息
		//'custom_notification':      //通知栏参数，如下面实例
		//{'enabled':true,'title':'title','alert':'alert','at_prefix':'atprefix'}
		need_receipt:false //是否需要已读回执，需要:true 不需要:false
	}).onSuccess(function(data,msg) {
		//data.code 返回码
		//data.message 描述
		//data.msg_id 发送成功后的消息 id
		//data.ctime_ms 消息生成时间,毫秒
		//data.appkey 用户所属 appkey
		//data.target_username 用户名
		//msg.content 发送成功消息体,见下面消息体详情
		console.log('success data:' + JSON.stringify(data));
		console.log('succes msg:' + JSON.stringify(msg));
		//appendToDashboard('success: ' +JSON.stringify(data));
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	});
}

/**
 * 发送图片消息
 */
function sendSinglePic(across_user, file) {
	JIM.sendSinglePic({
		'target_username' : across_user,
		//'target_nickname' : target_nickname,
		//'appkey' : across_appkey,
		'image' : file,
		'nead_receipt':false
	}).onSuccess(function(data,msg) {
		//data.code 返回码
		//data.message 描述
		//data.msg_id 发送成功后的消息id
		//data.ctime_ms 消息生成时间,毫秒
		//data.appkey 用户所属 appkey
		//data.target_username 用户名
		//msg.content 发送成功消息体
		console.log('success:' + JSON.stringify(data));
		console.log('successssssss:' + JSON.stringify(msg));
		//appendToDashboard('success: ' +JSON.stringify(data));
		//appendToDashboard('send: ' +JSON.stringify(msg));
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	});
}

/**
 * 发送文件消息：如语音
 */
function sendSingleFile(across_user, file) {
        JIM.sendSingleFile({
            'file' : file,
			'target_username' : across_user,
			//'target_nickname' : target_nickname,
			//'appkey' : across_appkey,
			//'extras': {'key':'val','key2':'val2'},
			'nead_receipt':false
        }).onSuccess(function(data) {
			//data.code 返回码
			//data.message 描述
			//data.msg_id 发送成功后的消息id
			//data.ctime_ms 消息生成时间,毫秒
			//data.appkey 用户所属 appkey
			//data.target_username 用户名
			//msg.content 发送成功消息体
            console.log('success:' + JSON.stringify(data));
			//appendToDashboard('success: ' +JSON.stringify(data));
        }).onFail(function(data) {
            console.log('error:' + JSON.stringify(data));
			//appendToDashboard('error: ' +JSON.stringify(data));
        });
    }

/**
 * 发送群组消息
 * @param {Object} gid 目标群组gid
 * @param {Object} contents 发送消息内容
 */
function sendGroupMsg(gid, contents) {	   
	//var gid = theGid	
	JIM.sendGroupMsg({
		'target_gid' : gid,
		'content' : contents,
		//'at_list' : [{'username':across_user,'appkey':across_appkey}],
		'need_receipt':false
	}).onSuccess(function(data) {
		//data.code 返回码
		//data.message 描述
		//data.msg_id 发送成功后的消息id
		//data.ctime_ms 消息生成时间,毫秒
		//data.target_gid 群 id
		//data.unread_count 消息需要已读回执的时候,默认未读数
		//msg.content 发送成功消息体
	   // 可以访问 gid
		console.log('success:' + JSON.stringify(data));
		//appendToDashboard('success: ' +JSON.stringify(data));
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	});
}

/**
 * 发送群组图片
 * @param {Object} gid 目标群组gid
 * @param {Object} contents 发送消息内容
 */
function sendGroupPic(gid, file) {
	JIM.sendGroupPic({
		'target_gid' : gid,
		//'target_gname' : target_gname,
		'image' : file,
		'nead_receipt':false
	}).onSuccess(function(data) {
		//data.code 返回码
	  //data.message 描述
	  //data.msg_id 发送成功后的消息id
	  //data.ctime_ms 消息生成时间,毫秒
	  //data.target_gid 群 id
	  //data.unread_count 消息需要已读回执的时候,默认未读数
	  //msg.content 发送成功消息体
		console.log('success:' + JSON.stringify(data));
		//appendToDashboard('success: ' +JSON.stringify(data));
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	});
}
 
/**
 * 发送群文件
 */
function sendGroupFile(gid, file) {
	JIM.sendGroupFile({
		'target_gid' : gid,
		//'target_gname' : target_gname,
		'file' : file,
		'nead_receipt':false
	}).onSuccess(function(data) {
		//data.code 返回码
	  //data.message 描述
	  //data.msg_id 发送成功后的消息id
	  //data.ctime_ms 消息生成时间,毫秒
	  //data.target_gid 群 id
	  //data.unread_count 消息需要已读回执的时候,默认未读数
	  //msg.content 发送成功消息体
		console.log('success:' + JSON.stringify(data));
		//appendToDashboard('success: ' +JSON.stringify(data));
	}).onFail(function(data) {
		console.log('error:' + JSON.stringify(data));
		//appendToDashboard('error: ' +JSON.stringify(data));
	});
}

/**
 * 将聊天文件保存到本地(因为融云提供的聊天纪录需要付费并有时间限制)
 */
/* function save(targetId, data,sFlag) {
	var talkInfo = plus.webview.getWebviewById("im_chat");
	var flag = true;
	var info = "";
	if (data.type == 'text') {
		info = data.content;
		//将换行转换成h5的换行
		if(info.indexOf('\n')>=0){
			var tempList = info.split('\n');
			var tempInfo = '';
			for(var i=0;i<tempList.length;i++){
				tempInfo += tempList[i]+'<br/>';
			}
			info = tempInfo.substr(0,tempInfo.lastIndexOf('<br/>'));
		}
	} else if (data.type == "image") {
		info = "[图片]";
	} else if (data.type == "sound") {
		info = "[语音]";
	}
	plus.io.requestFileSystem(plus.io.PUBLIC_DOCUMENTS, function(fs) {
		fs.root.getFile("msg/" + targetId + "/" + userid + targetId + ".txt", {
				create: true,
				exclusive: false
			},
			function(fileEntry) {
				fileEntry.createWriter(function(write) {
					write.onwrite = function() {
						if(info.indexOf('<br/>')>=0){
							info = info.substr(0,info.indexOf('<br/>'));
						}
						if (talkInfo && talkInfo.targetId == targetId) {
							flag = false;
							if (data.sender != "self") {
								talkInfo.evalJS("bindMsgList(" + JSON.stringify(data) + ")");
							}
							updateList(targetId, info,'0','0');
						}
						if(sFlag=='0'){
							//从非talkInfo的页面直接发送消息给某人
							flag = false;
							updateList(targetId, info,'0','0');
						}
						if (flag) {
							updateList(targetId, info,'0');
						}
					};
					write.seek(write.length);
					write.write(JSON.stringify(data) + ",");
				}, function(e) {
					alert(e.message);
				});
			},
			function(e) {
				alert(e.message);
			});
	}, function(e) {
		alert(e.message);
	});
} */

//图片和音频文件下载到本地
/* function downLoad(type, message) {
	var senderId = message.senderUserId;
	//此url需根据自己需求写
	var url = new UserInfo().urlbase() + 's_file_download.do?downLoadPath=' + message.content.content + '&sCode=' + userid + '&tokenId=' + new UserInfo().token() + '&userCode=' + senderId;
	var temp1 = url.split("/");
	var temp2 = temp1[temp1.length - 1].split('&');
	var fileName = temp2[0];
	var dtask = plus.downloader.createDownload(url, {
		filename: "_doc/msg/" + senderId + "/" + fileName
	}, function(data, status) {
		if (status == "200") {
			var msg = {
				sender: senderId,
				time: getTime(message.receivedTime),
				type: type,
				content: "file://" + plus.io.convertLocalFileSystemURL(data.filename)
			};
			//确保文件下载完成再保存到聊天记录中
			save(senderId, msg);
		}
	});
	dtask.start();
} */
 