//获取轮播图
var request_async = true;

//mui.plusReady(function() {
	var followAnalyst;	
	 
	function bannerPage(){
		//先显示缓存的轮播图
		var jsonStr = localStorage.getItem("bannerData");
//		console.log(jsonStr);
		if(jsonStr != null) {		
			var json = JSON.parse(jsonStr); 
			addBanner(json);
		} 
		 
		var url = urlPre + "news/bannerPage";
		//console.log("url->"+url);
		mui.ajax(url,{
			/* data:{
			}, */
			async:request_async,
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res) {			
				console.log("bannerPage->"+res.code);
				if(res.code == 200) {				
					var data = res.data.record;					 
					//localStorage.setItem("bannerData", JSON.stringify(data));
					addBanner(data);
				}
			},error : function(){						
			}			
		});
	}

	$(".mui-slider-loop").on("click","#link",function(){
		var linkUrl = $(this).attr("url");
		console.log("url->"+linkUrl)
//		plus.webview.open("news/newsLinkDetail.html?link="+linkUrl, 'new',
//			{}, 'slide-in-right', 200);	
		openPage("news/newsLinkDetail.html?link="+linkUrl,'new');
	});

	$("#guess").on("tap", function(){	
		var ticket = localStorage.getItem("ticket");  
		if(ticket){
			$("#guess i").hide();
			/*plus.webview.open("activity/guess.html", 'new',
				{}, 'slide-in-right', 200);*/	 
			isLogOut("activity/guess.html","guess.html","index.html");
		}else {
			openPage("login/login_or_register.html",'login_or_register.html','slide-in-bottom',"../activity/guess.html","guess.html");
		}	
	});
	 
	/**
	 * 添加banner
	 */
	function addBanner(bannerData){
		//console.log("测试-------------------------------------------------------");
		$(".mui-slider-loop").empty();
		var item = bannerData[bannerData.length - 1];
		var img = item.img;
		if(!img.startsWith("http")) {
			img = urlPre + img;
		}
		var lineStr = '<div class="mui-slider-item mui-slider-item-duplicate goDetail" id="yu">'
				+ '<a id="link" url="' + item.link + '">'
				+ '<img src="' + img + '"></a></div>'	
		$(".mui-slider-loop").empty();
		$(".mui-slider-indicator").empty();
		$(".mui-slider-loop").html(lineStr);
		for(var i = 0; i < bannerData.length; i++){
			item = bannerData[i];
			img = item.img;
			if(!img.startsWith("http")){
				img = urlPre + img;
			}
			lineStr = '<div class="mui-slider-item goDetail"><a id="link" url="' + 		
				item.link + '"><img src="' + img + '"></a></div>';
			$(".mui-slider-loop").append(lineStr);	
			if(i == 0){
				$(".mui-slider-indicator").append('<div class="mui-indicator mui-active"></div>');	
			}else {
				$(".mui-slider-indicator").append('<div class="mui-indicator"></div>');
			}		
		}
		item = bannerData[0];
		img = item.img;
		if(!img.startsWith("http")) {
			img = urlPre + img;
		}
		lineStr = '<div class="mui-slider-item mui-slider-item-duplicate goDetail">'
				+ '<a id="link" url="' + item.link + '">'
				+ '<img src="' + img + '"></a></div>'
		$(".mui-slider-loop").append(lineStr);
		mui(".mui-slider").slider(); // 解决动态加载图片后无法滚动
		mui("#banner-slider").slider({interval: 3000});
	}
	$(".mui-slider-loop").on("tap",".goDetail a",function(){
		var goUrl = $(this).attr("url");
		if(goUrl){
			openPage("news/newsLinkDetail.html?link=newUrl"+goUrl,"new");
		}else {
			var title = $(this).find(".news-title").text();
			var content = $(this).find(".d-content").html();
//			var author = $(this).find(".name").text();
			var date = $(this).find(".date").text();
			var time = $(this).find(".time").text();
			//console.log(title+"-"+content+"-"+author+"-"+date+"-"+time);
			mui.openWindow({
				id: 'newsDetail',
				url: 'newsDetail.html',
				extras: {
					//id: record[index].id,
					title: title,
					content: content,
					date: date,
					time:time,
					author:""
				},
				waiting:{
					autoShow:false
				}
			}); 
		}
		
	});

	// 首页自选行情
	var oldPrice = [],isFirst = true;
	var timer = null; 	
	function startTimer() {	
		stopTimer();
		console.log("index startTimer ...");
		timer = setInterval(getUserMarket,3000);
	}	
	function stopTimer() {
		console.log("index stopTimer ..."+(timer == null)); 
		if(timer != null){
			clearInterval(timer);
			timer = null;
		}
	}
	function getUserMarket(){
		
		var ticket = localStorage.getItem("ticket");
		var url =  urlPre + "news/getUserMarket";
		mui.ajax(url,{
			data:{
				ticket:ticket
			},
			async:request_async,
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res){
	//			console.log("index status..."+res.status); 
				if(res.status){
					var data = res.data;
					var lineStr = "";
					 
					$("#LatestPrice-slider div").empty();
					
					for(var i = 0; i < data.length; i++){
						var upDownSign = "+";
						var upDown;					
						var latestPrice;
						if(data[i].contractId == "USDCNY"){
							upDown = (data[i].upDown / 10000).toFixed(4);
							latestPrice = (data[i].latestPrice / 10000).toFixed(4);
						}else if(data[i].contractId == "Ag(T+D)"){
							upDown = (data[i].upDown / 100).toFixed(2);
							latestPrice = (data[i].latestPrice / 100).toFixed(0);
						}else {
							upDown = (data[i].upDown / 100).toFixed(2);
							latestPrice = (data[i].latestPrice / 100).toFixed(2);
						}
						var upDownRate = data[i].upDownRate / 10000;
						var cls = "up", color = "riseColor";
						if(upDown < 0) {
							upDownSign = "";
							cls = "lower";
							color = "fallColor";
						}else if(upDown == 0){
							upDownSign = "";
							cls = "";
							color = "c999";
						}
						if(i % 3 == 0) {						
							lineStr = lineStr + '<div class="mui-slider-item newPrice">';						
						}
						
						if(data[i].contractId != "USDCNY"){
							if(data[i].contractId != "Ag(T+D)"){
								upDown = decimal(upDown,2);
								upDown = floatCompletion(upDown);
							}
						}
						
						upDownRate = decimal(upDownRate,2);
						upDownRate = floatCompletion(upDownRate);
						 
						lineStr = lineStr + '<div class="list-item" contractId="'+data[i].contractId+'"><b></b><span>' + data[i].contractName  
							+ '</span><span id="price" class="fw newPirce ' + color + '">' 
							+ latestPrice + '</span><span class="'+color+'">'
							+ '<em class="">' + upDownSign + upDown+ '  ' + '</em>' 
							+ '<em>' + upDownSign + upDownRate 
							+ '%</em></span><div class="Shadow '+ cls +'"></div></div>';
						if(i == 2 || i == 5 || i == 8) {						
							lineStr = lineStr + '</div>';						
						}					
					}
					
					if(data.length % 3 != 0) {  //非整除时候再补充个结束div
						lineStr = lineStr + '</div>';	
					}
					$("#LatestPrice-slider div").append(lineStr); 
					mui(".mui-slider").slider(); // 解决动态加载图片后无法滚动
					
					//调用阴影闪烁
					if(!isFirst){ // 不是第一次赋值
						showShadow(oldPrice);
					}
					isFirst = false;
					oldPrice = [];
					
					for(var i = 0; i < data.length; i++){
						if(data[i].contractId == "USDCNY") {
							oldPrice.push(data[i].latestPrice / 10000);
						}else {
							oldPrice.push(data[i].latestPrice / 100);
						}	
						//oldPrice.push(data[i].latestPrice / 100);
					}
					
				}
			}
		});
	}

	//设置行情价变动阴影
	function showShadow(oldPrice2){
		if(oldPrice2 == null || oldPrice2.length == 0){
			return
		}
		var item = $(".list-item");
		for(var i =0; i < item.length; i++){
			var _thisVal = $(item[i]).find(".newPirce").html();
			//console.log("旧:"+oldPrice2[i]+"，新:"+_thisVal);
			if(_thisVal != oldPrice2[i]){
				var testNum = i+1;
	//			console.log("第 "+testNum+" 个价格变了");
				$(item[i]).find(".Shadow").fadeIn(300);
				$(item[i]).find(".Shadow").fadeOut(300);
			}
		}
	}

	$("#LatestPrice-slider").on("tap",".list-item",function(){
		var contractId = $(this).attr("contractId");
		openPage("news/marketChart.html?type="+contractId,"new");
	});
 
	//获取名师多空
	function getAnalystWindVane(){
		var ticket = localStorage.getItem("ticket");
		var url =  urlPre + "trade/analyst/getAnalystWindVane";
		mui.ajax(url,{
			data:{
				ticket:ticket,
			},
			async:request_async,
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res){
				console.log(res.code);
				if(res.code == 200){
					console.log(res);
					var data = res.data;
					
					$(".ratio-box div:eq(0) span").html(data.longPerc + "%");
					$(".ratio-box div:eq(4) span").html(data.shortPerc + "%");
					$(".ratio-item").width(data.longPerc + "%");
				}
			}
		});
	}
 
	function getGuessIndex(){
		var ticket = localStorage.getItem("ticket");
		var url =  urlPre + "act/getGuessIndex";
		mui.ajax(url,{
			data:{
				ticket:ticket,
			},
			async:request_async,
			dataType:'json',
			type:'POST',
			timeout:20000,
			success:function(res){
				//console.log(res.code);				
				if(res.code == 200){
					//console.log(JSON.stringify(res));
					if(res.data.guessOpen == 1){
						//console.log(res.data.record.state);
						if(res.data.record != null && res.data.record.state == 1){
							$(".guessPriceBtn-box i").show(); 
						}else {
							$(".guessPriceBtn-box i").hide(); 
						}					
					}else {
						$(".guessPriceBtn-box").hide();
					}				
				}
			}
		});
	}
	 
	/**
	 * 名师快参
	 */
	var record = null;
	var index = -1;
	$('#analysis-tips').on('tap', ".click-bg", function(e){
		//e.preventDefault();
		 
		var id = $(this).attr("id");
		if(id == index){
			return;
		}
		index = id;
		console.log("index->"+index+" record:"+(record == null));
		if(record == null){
			return;
		}
		//console.log("link->"+record[index].link);
		setTimeout(function(){
			index = -1;
		},300);	
		if(record[index].link != null && record[index].link != ""){			
			openPage("./news/newsLinkDetail.html?link=newUrl"+record[index].link,"new");
		}else {
			//console.log("openWindow->"+record[index].link);
			mui.openWindow({
				id: 'newsDetail',
				url: './news/newsDetail.html',
				extras: {
					//id: record[index].id,
					title: record[index].title,
					content: record[index].content,
					date: dates(record[index].createTime),
					time:times(record[index].createTime),
					author:record[index].author
				},
				waiting:{
					autoShow:false
				}
			}); 
		}			
	}); 
	
	function tipsPage(){
		var url =  urlPre + "news/tipsPage";
		mui.ajax(url,{
			data:{
				pageNo : 1,
				pageSize : 2,
				type : 1  
			},
			async:request_async,
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res){
				//console.log('res:' + JSON.stringify(res)); 
				console.log(res.code);
				if(res.code == 200){				
					record = res.data;//.record;
					console.log("record.length-》"+record.length);
					var lineStr = "";
					for(var i = 0; i < record.length; i++){
						var _date = dates(record[i].createTime) +' '+ times(record[i].createTime);
						lineStr = lineStr + '<div id="' + i + '" class="reference c click-bg" link="'+record[i].link+'">'
						+ '<div class="reference-title">' + record[i].title 
						+ '</div><div class="reference-date">' 
						+ _date + '</div></div>';
					}
					$("#analysis-tips").html(lineStr);
				}
			}
		});
	}
	
	/**
	 * 名师动态-操作和评论合二为一
	 */
	function getAnalysTrends(){
		var url =  urlPre + "trade/analyst/getAnalysTrends";
		mui.ajax(url,{
			data:{
				ticket:""
			},
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res){
				//console.log("res->"+JSON.stringify(res));
				if(res.code == 200){
					var htmlStr = "";
					if(res.data != null && res.data.length > 0){
						htmlStr = '<h3 class="font-title" style=""><span></span>'+
							'<em>名师动态</em></h3>'										
						for(var i = 0; i < res.data.length; i++){
							var item = res.data[i];
							if(item.img == null || item.img == ""){
								item.img = "images/my_icon_headPortrait_select@2x.png";
							}
							var link = "";
							if(followAnalyst == item.userNo){
								link = "analysts/analysts_detail.html?analystNo="+item.userNo+"&follow_state=1";
							}else{
								link = "analysts/analysts_detail.html?analystNo="+item.userNo+"&follow_state=0";
							}
							
							// 开仓不显示盈亏 开买 开卖
							var isHide = '';
							if(item.direction == 0 || item.direction == 1){
								isHide = "hide2";
							}
							
							if(item.direction > -1){ //操作
								htmlStr += '<div class="info-box c" >'
								+ '<div class="info c"><div class="info-con fl">'
								+ '<span class="info-img fl">' 
								+ '<img src="' + item.img + '"/></span>'			
								+ '<span class="info-font fl"><span class="name-box">'
								+ '<i class="name">' + item.nickName + '</i><em class="isSub"><img src="images/mingshi_img_certified@2x(1).png"></em>'
								+ '</span><span class="position">' + item.position + '</span>'
								+ '</span></div><a href="##" id="operation-link"'
								+ 'class="info-btn fr linkItem click-btn operation-link" url="'
								+ link + '">详情</a></div>'
								+ '<div class="c" style="border-top: #F1F1F1 solid 0.01rem;"></div>'
								+ '<div class="info-date c">'
								+ '时间: <span>' + dates(item.createTime) + '</span> <em>'
								+ times(item.createTime) + '</em>'
								+ '</div><div class="Detailed c"><div class="">'
								+ '<span>品种:<em>'	+ typeCheck(item.type) + '</em></span>'
								+ '<span>数量:<em>'	+ item.num + '</em></span>'
								+ '</div><div class="">'
								+ '<span>方向:<em>'	+ directionCheck(item.direction) + '</em></span>'
								+ '<span class="'+isHide+'">盈亏:<em>' + item.profit + '</em></span>'
								+ '</div><div class=""><span>价格:<em>' + item.price + '</em></span>'	 
								+ '</div></div></div>'
							}else { // 评论
								htmlStr += '<div class="info-box" style="margin-top: 0.1rem;" id="comment">'
												+'<div class="info c">'
													+'<div class="info-con fl">'
														+'<span class="info-img fl">'
															+'<img src="' + item.img + '">'
														+'</span>'
														+'<span class="info-font fl">'
															+'<span class="name-box">'
																+'<i class="name">'+ item.nickName + '</i>'
																+'<em class="isSub"><img src="images/mingshi_img_certified@2x(1).png"></em>'
															+'</span>'
															+'<span class="position">'+ item.position + '</span>'
														+'</span>'
													+'</div>'
													+'<a href="##" id="comment-link" class="info-btn fr linkItemOne click-btn  operation-link" url="' + link + '">详情</a>'
												+'</div>'
												+'<div class="c" style="border-top: #F1F1F1 solid 0.01rem;"></div>'
												+'<div class="info-date c">'
													+'时间: <span>'+dates(item.createTime)+'</span> <em>' + times(item.createTime)+'</em>'
												+'</div>'
												+'<div class="Detailed c break-word">'			
													+'<p>' + item.strategy + '</p>'						
												+'</div>'
											+'</div>';
								
							}						
						}					   					
					}else{
						htmlStr = '<h3 class="font-title" style=""><span></span>'+
							'<em>名师动态</em></h3><div id="noDynamic">当前无动态</div>'										
					}
					$(".dynamic").html(htmlStr);
				}
			},error : function(){
				mui('#main').pullRefresh().endPulldownToRefresh();
			}
		});
	}
	
	$(".dynamic").on("tap",".operation-link",function(){
		var openUrl = $(this).attr("url");
		//plus.webview.open(openUrl, 'new', {}, 'slide-in-right', 200);	 
		openPage(openUrl,"new");
	});
	
	/**
	 * 名师动态-分析
	 */
	/* function getAnalystComment(){
		var url =  urlPre + "trade/analyst/getLastAnalysComment";
		mui.ajax(url,{
			data:{
				ticket:"",
				index : 1,
				size : 1
			},
			async:request_async,
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res){
				//mui('#main').pullRefresh().endPulldownToRefresh();
				//console.log(res.code);  
				if(res.code == 200){				 
					if(res.data.analysComment != null) {
						var item = res.data.analysComment;
						//console.log("res.data.faceUrl->"+res.data.faceUrl); 
						if(res.data.faceUrl == null || res.data.faceUrl == ""){
							res.data.faceUrl = "images/my_icon_headPortrait_select@2x.png";
						}else if(!res.data.faceUrl.startsWith("http")) {
							res.data.faceUrl = urlPre + res.data.faceUrl;
						}
						var url = "analysts/analysts_detail.html?userNo=" + item.userNo + 
						  "&commentNo=" + item.id;
						$("#comment a").attr('url',url); 
						//console.log("url->"+url);  
						$("#comment img").attr('src',res.data.faceUrl); 
						$("#comment .name").html(res.data.nickName); 
						$("#comment .position").html(res.data.position); 
						//console.log("item.cDate->"+item.cdate);
						$("#comment .info-date span").html(dates(item.cdate)); 
						$("#comment .info-date em").html(times(item.cdate));
						$("#comment .Detailed").html(item.content); 
						
						if(followAnalyst == item.userNo){
							$("#comment-link").attr("url","analysts/analysts_detail.html?analystNo="+item.userNo+"&follow_state=1");
						}else{
							$("#comment-link").attr("url","analysts/analysts_detail.html?analystNo="+item.userNo+"&follow_state=0");
						}					
					}else{
						$("#comment").hide(); 
					}
				}
			},error : function(){
				mui('#main').pullRefresh().endPulldownToRefresh();
			}
		});
	} */
	/**
	 * 名师动态-操作
	 */
	/* function getAnalystOperation(){
		var url =  urlPre + "trade/analyst/getAnalystOper";
		mui.ajax(url,{
			data:{
				ticket:"",
				index : 1,
				size : 1
			},
			async:request_async,
			dataType:'json',
			type:'GET',
			timeout:20000,
			success:function(res){
				//console.log("res->"+JSON.stringify(res));
				if(res.code == 200){
					console.log(res);
					if(res.data.record != null && res.data.record.length > 0){
						var item = res.data.record[0];
						
						if(item.img == null || item.img == ""){
							item.img = "images/my_icon_headPortrait_select@2x.png";
						}else if(!item.img.startsWith("http")){
							item.img = urlPre + item.img;
						}
						console.log(item.img); 
						$("#operation img").attr('src',item.img); 
						$("#operation .name").html(item.nickName); 
						$("#operation .position").html(item.position); 
						$("#operation .info-date span").html(dates(item.createTime)); 
						$("#operation .info-date em").html(times(item.createTime));
						$("#operation .Detailed div:eq(0) em:eq(0)").html(typeCheck(item.type)); 
						$("#operation .Detailed div:eq(0) em:eq(1)").html(item.num);					
						$("#operation .Detailed div:eq(1) em:eq(0)").html(directionCheck(item.direction)); 
						$("#operation .Detailed div:eq(1) em:eq(1)").html(item.profit); 
						$("#operation .Detailed div:eq(2) em").html(item.price);
						if(followAnalyst == item.userNo){
							$("#operation-link").attr("url","analysts/analysts_detail.html?analystNo="+item.userNo+"&follow_state=1");
						}else{
							$("#operation-link").attr("url","analysts/analysts_detail.html?analystNo="+item.userNo+"&follow_state=0");
						}
						
						$("#noDynamic\n").hide();
						$("#operation").show();
					}else{
						$("#operation").hide();
						$("#noDynamic").show();
					}
				}
			},error : function(){
				mui('#main').pullRefresh().endPulldownToRefresh();
			}
		});
	} */

	// 获取关注分析师
	function getUserFoucesAnalyst(){
		var ticket = localStorage.getItem("ticket");
		var url =  urlPre + "user/getUserFoucesAnalyst";
		mui.ajax(url,{
			data:{
				ticket:ticket
			},
			async:request_async,
			dataType:'json',
			type:'GET',
			success:function(res){
				isSort = false;
				//getAnalystList();
				if(res.code == 200){
					if(res.data){
						followAnalyst = res.data.userNo;
						localStorage.setItem("follow",res.data.userNo);
					}
				}
				//getAnalystOperation();
				getAnalysTrends();
			},
			error : function(error){
				mui.toast("请求失败")
			}
		});
	}
 
function doIndexRefresh(){
	console.log("doNet.......");
	var oldRefreshTime = localStorage.getItem("refreshTime");
	var refreshTime = new Date().getTime();
	console.log(oldRefreshTime+"--refreshTime->" + ((refreshTime - oldRefreshTime * 1) > 3500));
	if(oldRefreshTime == null || (refreshTime - oldRefreshTime * 1) > 4500){//下来350才可以刷新	
		localStorage.setItem("refreshTime", ""+refreshTime);
		console.log("doNet.......");
		doNet();
	}
}

// mui.plusReady(function() {
// 	doNet();
// });
doNet();
function doNet(){
	bannerPage();
 
	getUserMarket();
	startTimer();  
	/**
	 * 猜涨跌
	 */
	getGuessIndex();
	getUserFoucesAnalyst();
	/**
	 * 名师快参
	 */
	tipsPage();
	/**
	 * 名师多空
	 */
	getAnalystWindVane();
	/**
	 * 名师评论
	 */
	//getAnalystComment();
}


// 点击效果
$(".menu a,#guess").on("touchstart",function(){
	$(this).find("div").show();
});
$(".menu a,#guess").on("touchend",function(){
	$(this).find("div").hide();
});

$("#zenj").on("tap",function(){
	mui.openWindow({
		id: "news.html",
		url: "news/news.html?type=4",
		waiting:{
			autoShow:false // 加载动画
		},
		 show:{
	      autoShow:true,//页面loaded事件发生后自动显示，默认为true
	      duration:200 ,//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
	      aniShow:'slide-in-right',
	    },
	    extras:{
	    	type:4
	    },
	});
});

// 获取资讯首个index
getNewsTitle();
function getNewsTitle(){
	var url =  urlPre + "news/getNewsTitle";
	mui.ajax(url,{
    	data:{
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			if(res.code == 200){
				$(".order-nav").html('');
				var navBar = res.data.split(',');
				var indexArr = [];
				for(var i=0; i<navBar.length; i++){
					var navIndex;
					if(navBar[i] == "全球快讯"){
						navIndex = 0;
					}else if(navBar[i] == "财经日历"){
						navIndex = 1;
					}else if(navBar[i] == "黄金时评"){
						navIndex = 2;
					}else if(navBar[i] == "黄金日报"){
						navIndex = 3;
					}else if(navBar[i] == "臻金百言"){
						navIndex = 4;
					}
					indexArr.push(navIndex);
				}
				localStorage.setItem("newsIndex",indexArr[0]);
			}
		}
	});
}
