var clientid = "";

document.addEventListener('jpush.onGetRegistrationId', (rId) => {
	console.log('registration id: ' + rId)
	localStorage.setItem("push_id",rId);
	//alert("极光第一次注册成功："+rId);
}, false)

//监听推送
document.addEventListener( "plusready", function(){
	
	var onGetRegistrationID = function(data) {
	     try {
	          clientid = data;
	          //alert("极光初始化完成："+clientid);
	          console.log("JPushPlugin:registrationID is " + data);
			  
			  localStorage.setItem("push_id",clientid);
	     } catch(exception) {
	          console.log(exception);
	     }
	}
	//获取推送客户端信息	
	window.plus.Push.getRegistrationID(onGetRegistrationID);
	
	
    var msg_id, type, data,remind_id;
	
	//alert("jpush plusready:");
	//接收通知事件 本次的消息msg_id，用于防止弹窗重复处理
	var onReceiveNotification = function(event) {
	    var extras;
	    if(plus.os.name == "Android") {
		    msg_id = window.plus.Push.receiveNotification.extras["cn.jpush.android.MSG_ID"];
		    var extras = window.plus.Push.receiveNotification.extras["cn.jpush.android.EXTRA"];
		    var json = JSON.parse(extras);
		    type = json.type;
			data = json.data;
	    } else {
		    msg_id = event["_j_msgid"];
            type = event["type"];
            data = event["data"];
	    }
        doNotif(false);
		//plus.nativeUI.alert(msg_id+"-接收type："+type +"-data:"+ data.id+"--"+data.type);
	}
	document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
	
	//点击通知事件 
	var onOpenNotification = function(event) {
         if(plus.os.name == "Android") {
            msg_id = window.plus.Push.receiveNotification.extras["cn.jpush.android.MSG_ID"];
            var extras = window.plus.Push.receiveNotification.extras["cn.jpush.android.EXTRA"];
            var json = JSON.parse(extras);
            type = json.type;
            data = json.data;
        } else {
            msg_id = event["_j_msgid"];
            type = event["type"];
            data = event["data"];
        }
		//plus.nativeUI.alert(msg_id+"-接收type："+type +"-data:"+ data.id+"--"+data.type);
        doNotif(true);
	}
	document.addEventListener("jpush.openNotification", onOpenNotification, false);

    //执行通知，needGo：是否需要执行
    function doNotif(needGo){
        if(type == 1){ //价格提醒
            var remindId = localStorage.getItem("remindId");
            if(remindId ==null || remindId != msg_id){  //判断是否已经提醒过了
				localStorage.setItem("remindId", msg_id);
                showPriceNotice(data);				
            }
    	}else if(type == 2){ // 止盈止损

    	}else if(type == 3){ //名师策略
            if(needGo) {
                plus.webview.open(data.forwardUrl, 'tips.html', {}, 'slide-in-right', 200);
            }
        }else if(type == 4){ // 大型研报/热门活动

        }else if(type == 5){ // 投资计划
            if(needGo){
                enterPlan();
            }
        }else if(type == 6){ // 其他手机登录推送
            if(needGo){
                plus.webview.open('login/login_or_register.html','login_or_register.html',
				{}, 'slide-in-right', 200);
            }
        }
    }
	
    var reMindType = null;
    function showPriceNotice(data){
        reMindType = data.type;
        remind_id = data.id;
        data.currentPrice = formatPrice(data.currentPrice,reMindType);
        $("#contract").html(data.typeName);
        $("#remind-curPrice").html(data.currentPrice);
        if(data.upPrice == null || data.upPrice == ""){
        	data.downPrice = formatPrice(data.downPrice,reMindType);
            $("#remind-setPrice").html(data.downPrice);
        }else {
        	data.upPrice = formatPrice(data.upPrice,reMindType);
            $("#remind-setPrice").html(data.upPrice);
        }
        //$("#remind-oldPrice").html("当时价格：" + );
        $("#remind-setTime").html(dates(data.createTime)
                        +" " +times(data.createTime));
        $("#remind-reachTime").html(dateTime());
        $("#remind-shadow").show();
    }

    $("#remind-again").on("touchend",function(e){
        e.preventDefault();
        switchPriceNotify(remind_id);
        plus.webview.open("remindAndPlan/addRemind.html?reMindType="+reMindType, 'addRemind.html', {}, 'slide-in-right', 200);
        //console.log("再设置一次");
        setTimeout(function(){
            $("#remind-shadow").hide();
        },500);
    });
    //价格提现知道了事件
    $("#remind-know").on("touchend", function(event) {
    	 e.preventDefault();
        //plus.storage.setItem("remindId", remind_id);
        localStorage.setItem("remindId", msg_id);
        $("#remind-shadow").hide();
        //更新价格提醒状态
        switchPriceNotify(remind_id);
    });

    // 跳转投资计划
    function enterPlan(){
        var ticket = localStorage.getItem("ticket");
        var url =  urlPre + "trade/enterPlan";
        mui.ajax(url,{
            data:{
                ticket:ticket,
            },
            dataType:'json',
            type:'get',
            timeout:20000,
            success:function(res){
                if(res.code == 204){
                    mui.toast("普通登录过期");
                    return false;
                }else if(res.code == 224){
                    //mui.toast("计划进行中");
                    plus.webview.open("remindAndPlan/planDetail.html", 'planDetail.html', {}, 'slide-in-right', 200);
                }else if(res.code == 228){
                    //mui.toast("完成计划");
                    if(res.data){
                        plus.webview.open("remindAndPlan/planEnd.html", 'planEnd.html', {}, 'slide-in-right', 200);
                    }
                }else{
                    resCodeTips(res.code);
                }
            }
        });
    }
	
	 // 更新价格提醒状态
	 function switchPriceNotify(id){
	 	var ticket = localStorage.getItem("ticket");
	 	var url =  urlPre + "trade/switchPriceNotify";
	 	mui.ajax(url,{
	 		data:{
	 			ticket:ticket,
	 			id:id,
	 			state:5
	 		},
	 		dataType:'json',
	 		type:'POST',
	 		timeout:20000,
	 		success:function(res){
	 			
	 		}
	 	});
	}

}, false)