$(function(){
	 
	// 是否可视密码
	$('.img-box').on('touchend',function(e){
		e.preventDefault();
		if(!$(this).hasClass("e-show")) {
			$(this).addClass("e-show");
			$(this).prev().attr("type","text");
			$(this).find("img").attr("src","images/Registrationlogin__icon_password_display@2x.png");
		}else{
			$(this).removeClass("e-show");
			$(this).prev().attr("type","password");
			$(this).find("img").attr("src","images/Registrationlogin__icon_password_hide@2x.png");
		}
	});
	
	// 登录后自动跳转至相应页面
	document.addEventListener("plusready", getParameter, false); 
	function getParameter(){
		var thisview = plus.webview.currentWebview();
		loginTarget = thisview.loginTarget; // 页面路径
		loginTargetId = thisview.loginTargetId; // 页面ID
	}
	var loginTarget = '',loginTargetId = '';
	// 登录后自动跳转 end
	
	var targetPage = $.getUrlParam("target");
	var come = $.getUrlParam("come");
	console.log("come->"+come); 
	var phone,pwd,openId,backPage;
	backPage = localStorage.getItem("prePage");
	localStorage.removeItem("prePage");
	phone = $.getUrlParam("phone");
	console.log("phone->"+phone);
	if(phone != null && "null" != phone){
		var str = phone.substr(0,4) + "****" + 
			phone.substr(phone.length-3,phone.length);
		$("#phone").val(str);
	}
	$(".forget").attr("href","checkPhone.html?phoneLogin="+phone);
	
	
	// 修改按钮加载
	mui(".next").on('tap', '#login-submit', function(e) {
        
        $("input").blur();
		//phone = $("#phone").val();
		pwd = $(".pwd").val();
		if(phone.length != 11){
			mui.toast('请输入11位手机号码');
			return false;
		}
		if(!pwd){
			mui.toast('请输入登录密码');
			return false;
		}
		
		mui(this).button('loading');
        setTimeout(function() {
            mui(this).button('reset');
        }.bind(this), 500);
		
		login(phone,pwd);
        
    });
    
	// 登录
	function login(phone,pwd){
		$.ajax({
			type: "POST",
			url: urlPre + "user/login",
			dataType: "json",
			
			beforeSend:function(a){
				//console.log(a);
			},
			data:{
				phone :phone,
				pwd:pwd,
				pushId:clientid
			},
			success: function(res) {
				
				if(res.status){
					// 缓存登录信息
					setStorage(phone);
  
					localStorage.setItem("ticket",res.data.ticket);					
					localStorage.setItem("phone",phone);					
					refreshAnalyst();
					console.log("userReal->"+JSON.stringify(res.data.userReal));
					if(res.data.userReal != null) {
						console.log("gesturePwd->"+res.data.userReal.gesturePwd);
						var userReal = JSON.stringify(res.data.userReal);						 
						localStorage.setItem("userReal",userReal);
						localStorage.setItem("fingerpring",res.data.userReal.gesturePwd);	
						localStorage.setItem("client_id","000"+res.data.userReal.tradeCode);						
						localStorage.setItem("userRealNull",'0');
					}else {
						localStorage.setItem("userRealNull",'1');	
					}
					//localStorage.setItem("isRefresh","是否刷新");
					var personal = plus.webview.getWebviewById('personal/personal.html');
					if(personal){
						personal.evalJS("getUserInfo()"); 
					}	
					
					 plus.webview.close("login_or_register.html","none");
					//当线上的个推id没有，或者与本机的不一致，更新个推id1
					//console.log("getuiId->"+res.data.getuiId);
					//console.log("clientid->"+clientid);
					 
					if(!res.data.getuiId || clientid != res.data.getuiId){ //这步多余了，以后会去掉
						bindGeTuiId(res.data.ticket);
					}else {
						var loginOrRegister = plus.webview.getWebviewById('login_or_register.html');
						mui.toast("欢迎回来");
						console.log("come->"+come);
						if(come == "1") {  //来自实盘进入页面
							/* var realTrade = plus.webview.getWebviewById('realTrade/index.html');
							realTrade.evalJS("showOrHide()");
							
							//登录之后不要再进入手势密码界面
							var mainId = localStorage.getItem("mainId");
							embed = plus.webview.getWebviewById(mainId);
							embed.evalJS("isTrade=true;"); */
							var client_id = localStorage.getItem("client_id");
							if(client_id != null){
								plus.webview.open('../realTrade/safety.html?type=1', 'safety', {}, 
								'slide-in-bottom', 200);
							}							
							setTimeout(function(){
								if(loginOrRegister != null){
									loginOrRegister.close("none");
								}	
								plus.webview.currentWebview().close("none");
							},200); 
						}else if(loginTarget){
							plus.webview.open(loginTarget, loginTargetId, {}, 'slide-in-right', 200);
							setTimeout(function(){
								if(loginOrRegister != null){
									loginOrRegister.close("none");
								}	
								plus.webview.currentWebview().close("none");
							},200); 
						}else {
							if(loginOrRegister != null){
								loginOrRegister.close();
							}	
							plus.webview.currentWebview().close();
						}	
					} 				
				}else{
					mui.toast('密码错误');
//					if(res.code == 207){
//						mui.toast('密码错误');
//					}
				}
			},
			error : function(){
				mui.toast("请求失败");
			}
		});
	}
	
	// 提交用户个推信息
	function bindGeTuiId(token){
		$.ajax({
			type: "POST",
			url: urlPre + "user/bindGeTuiId",
			dataType: "json",
			
			beforeSend:function(a){
				//console.log(a);
			},
			data:{
				ticket :token,
				getuiId:clientid
			},
			success: function(res) {
				localStorage.removeItem("logOut");
				if(res.status) {
					//plus.webview.close("login_or_register.html","none");
					var loginOrRegister = plus.webview.getWebviewById('login_or_register.html');
										
					mui.toast("欢迎回来");
					console.log("come->"+come);
					if(come == "1") {  //来自实盘进入页面
						/* var realTrade = plus.webview.getWebviewById('realTrade/index.html');
						realTrade.evalJS("showOrHide()");
						
						//登录之后不要再进入手势密码界面
						var mainId = localStorage.getItem("mainId");
						embed = plus.webview.getWebviewById(mainId);
						embed.evalJS("isTrade=true;"); */
						
						var client_id = localStorage.getItem("client_id");
						if(client_id != null){
							plus.webview.open('../realTrade/safety.html?type=1', 'safety', {}, 
							'slide-in-bottom', 200);
						}	
						setTimeout(function(){
							if(loginOrRegister != null){
								loginOrRegister.close("none");
							}	
							plus.webview.currentWebview().close("none");
						},200); 
					}else if(loginTarget){ //  模拟盘进入
						//plus.webview.open('../analog/trade.html', 'trade.html', {}, 'slide-in-right', 200);
						plus.webview.open(loginTarget, loginTargetId, {}, 'slide-in-right', 200);
						setTimeout(function(){
							if(loginOrRegister != null){
								loginOrRegister.close("none");
							}	
							plus.webview.currentWebview().close("none");
						},200); 
					}else {
						if(loginOrRegister != null){
							loginOrRegister.close("none");
						}	
						plus.webview.currentWebview().close();
					}
					
										 
				}else{
					plus.webview.close("login_or_register.html");
					plus.webview.currentWebview().close();
					mui.toast("个推绑定失败");
					
//					if(res.code == 207){
//						mui.toast('密码错误');
//					}
				}
			},
			error : function(){
				console.log("请求错误");
			}
		});
	}
	
});
var clientid = "";
//获取推送客户端信息	
document.addEventListener( "plusready", function(){
	//var info = plus.push.getClientInfo();
	//clientid = info.clientid;
    var onGetRegistrationID = function(data) {
         try {
              clientid = data;
              //alert("极光初始化完成："+clientid);
              console.log("JPushPlugin:registrationID is " + data);
         } catch(exception) {
              console.log(exception);
         }
    }
	clientid = localStorage.getItem("push_id");
	if(clientid == null || clientid.length < 2){
		window.plus.Push.getRegistrationID(onGetRegistrationID);
	}
}, false );

