
// 微信登录
var openId,headimgUrl;
var auths={};
function plusReady(){
	// 获取登录认证通道
	plus.oauth.getServices(function(services){
		//var content=document.getElementById('dcontent');
		//var info=document.getElementById("info");
		var txt="登录认证通道信息：";
		for(var i in services){
			var service=services[i];
			console.log(service.id+": "+service.authResult+", "+service.userInfo);
			auths[service.id]=service;
			txt += "id:"+service.id+", ";
			txt += "description:"+service.description+", ";
			var de=document.createElement('div');
			de.setAttribute('class','button');
			de.setAttribute('onclick','login(this.id)');
			de.id=service.id;
			de.innerText=service.description+"登录";
			oauth.appendChild(de);
		}
		//info.innerText=txt;
	},function(e){
		outLine("获取登录认证失败："+e.message);
	});
}
document.addEventListener('plusready',plusReady,false);
// 登录认证
function login(id){
	outSet("----- 登录认证 -----");
	
	var logOutState = localStorage.getItem("logOut");
	if(logOutState){
		console.log("已退出登录，可以注销登录");
		logoutAll();
		//return;
	}
	
	var auth=auths[id];
	if(auth){
		var w=null;
		if(plus.os.name=="Android"){
			w=plus.nativeUI.showWaiting();
		}
		document.addEventListener("pause",function(){
			setTimeout(function(){
				w&&w.close();w=null;
			},2000);
		}, false );
		auth.login(function(){
			w&&w.close();w=null;
			outLine("登录认证成功：");
			outLine(JSON.stringify(auth.authResult));
			userinfo(auth);
			
		},function(e){
			w&&w.close();w=null;
			outLine("登录认证失败：");
			outLine("["+e.code+"]："+e.message);
			//plus.nativeUI.alert("详情错误信息请参考授权登录(OAuth)规范文档：http://www.html5plus.org/#specification#/specification/OAuth.html",null,"登录失败["+e.code+"]："+e.message);
		});
	}else{
		outLine("无效的登录认证通道！");
		//plus.nativeUI.alert("无效的登录认证通道！",null,"登录");
	}
}
// 获取用户信息
function userinfo(a){
	outLine("----- 获取用户信息 -----");
	a.getUserInfo(function(){
		outLine("获取用户信息成功：");
		outLine(JSON.stringify(a.userInfo));
		var nickname=a.userInfo.nickname||a.userInfo.name||a.userInfo.miliaoNick;
		//plus.nativeUI.alert("欢迎“"+nickname+"”登录！");
		
		var testInfo=document.getElementById("log");
		testInfo.innerHTML = JSON.stringify(a.userInfo);
		// 赋值openId
		openId = a.userInfo.openid;
		headimgUrl = a.userInfo.headimgurl; 
		localStorage.setItem("headimgUrl",headimgUrl);
		localStorage.setItem("wxNickname",nickname);
		//checkBind();
		isExist_openId(openId);
	},function(e){
		outLine("获取用户信息失败：");
		outLine("["+e.code+"]："+e.message);
		//plus.nativeUI.alert("获取用户信息失败！",null,"登录");
	});
}
// 注销登录
function logoutAll(){
	outSet("----- 注销登录认证 -----");
	for(var i in auths){
		logout(auths[i]);
	}
}
function logout(auth){
	auth.logout(function(){
		outLine("注销\""+auth.description+"\"成功");
		localStorage.removeItem("logOut");
	},function(e){
		outLine("注销\""+auth.description+"\"失败："+e.message);
	});
}

// 暂时不用
function checkBind(){
	var storage_OpenId = localStorage.getItem("storage_OpenId");
	//alert("openId:"+storage_OpenId);
	if(!storage_OpenId){
		// 执行绑定
		location.href = "authorize.html";
		localStorage.setItem("storage_OpenId",openId);
	}else{
		// 登录
		wxLogin(openId);
	}
}
function wxLogin(openId){
	var backPage = localStorage.getItem("prePage");
	localStorage.removeItem("prePage");
	
	$.ajax({
		type: "POST",
		url: urlPre + "user/login",
		dataType: "json",
		
		beforeSend:function(a){
			//console.log(a);
		},
		data:{
			openId:openId
		},
		success: function(res) {
			console.log(res.msg);
			if(res.status){
				// 缓存登录信息				
				localStorage.setItem("ticket",res.data.ticket);	
				localStorage.setItem("phone",res.data.phone);		
			 
				if(res.data.userReal != null) {
					var userReal = JSON.stringify(res.data.userReal);						 
					localStorage.setItem("userReal",userReal);	
					localStorage.setItem("fingerpring",res.data.userReal.gesturePwd);
					localStorage.setItem("client_id","000"+res.data.userReal.tradeCode);						
					localStorage.setItem("userRealNull",'0');
				}else {
					localStorage.setItem("userRealNull",'1');	
				}
				//localStorage.setItem("isRefresh","是否刷新");
				var personal = plus.webview.getWebviewById('personal/personal.html');
				if(personal){
					personal.evalJS("getUserInfo()"); 
				}
				
				if(!res.data.getuiId || clientid != res.data.getuiId){  
					bindGeTuiId(res.data.ticket);
				}else {										
					mui.toast("欢迎回来");
					
					var come = $.getUrlParam("come");
					console.log("come->"+come);
					if(come == "1"){
						var client_id = localStorage.getItem("client_id");
						if(client_id != null){
						 	plus.webview.open('../realTrade/safety.html?type=1', 'safety', {}, 
						 	'slide-in-bottom', 200);
							setTimeout(function(){						 	 
								plus.webview.currentWebview().close("none");
							},200);
						}else {
							 plus.webview.currentWebview().close();
						}													  
					}else{
						 plus.webview.currentWebview().close();
					}
				}				 
			}else{
				resCodeTips(res.code, res.msg);
				//mui.toast('密码错误');
			}
		},
		error : function(){
			mui.toast("请求错误"); 
			//console.log("请求错误");
		}
	});
}
// 提交用户个推信息
	function bindGeTuiId(token){
		$.ajax({
			type: "POST",
			url: urlPre + "user/bindGeTuiId",
			dataType: "json",
			data:{
				ticket :token,
				getuiId:clientid
			},
			success: function(res) {
				if(res.status) {					 					
					mui.toast("欢迎回来");
					var come = $.getUrlParam("come");
					if(come == "1"){
						var client_id = localStorage.getItem("client_id");
						if(client_id != null){
						 	plus.webview.open('../realTrade/safety.html?type=1', 'safety', {}, 
						 	'slide-in-bottom', 200);
							setTimeout(function(){						 	 
								plus.webview.currentWebview().close("none");
							},200);
						}else {
							 plus.webview.currentWebview().close();
						}													  
					}else{
						 plus.webview.currentWebview().close();
					}
				}else{					 
					mui.toast("个推绑定失败");					
					plus.webview.currentWebview().close();
				}
			},
			error : function(){
				console.log("请求错误");
			}
		});
	}

// 判断用户是否存在
function isExist_openId(openId){
	$.ajax({
		type: "GET",
		url: urlPre + "user/exist",
		dataType: "json",
		
		beforeSend:function(a){
			//console.log(a);
		},
		data:{
			openId:openId
		},
		success: function(res) {
			console.log("res:"+JSON.stringify(res));
			if(res.status){
				console.log("已绑定");
				wxLogin(openId);
			}else{
				console.log("未绑定");
				localStorage.setItem("storage_OpenId",openId);
				location.href = "authorize.html";
				//plus.webview.open('authorize.html', 'new', {}, 'slide-in-right', 200); 
				//location.href = "moreRegisterCheck.html";
			}
		},
		error : function(){
			console.log("请求错误");
			mui.toast("请求错误"); 
		}
	});
}
var clientid = "";
//获取推送客户端信息	
document.addEventListener( "plusready", function(){
	//var info = plus.push.getClientInfo();
	//clientid = info.clientid;
    var onGetRegistrationID = function(data) {
         try {
              clientid = data;
              //alert("clientid-》"+clientid);
              console.log("JPushPlugin:registrationID is " + data);
         } catch(exception) {
              console.log(exception);
         }
    }
    window.plus.Push.getRegistrationID(onGetRegistrationID);
}, false );
