var index = 0; 
var pTicket = "", pCode = "";
var needReset = false, isDel = false, longtap = false,
	needRefresh = false;
var sort = "9";

$('body').on('tap','.order-nav div',function(e){
	e.preventDefault();
	 
	$('#market' + index).hide();
	$(this).addClass("active").siblings().removeClass("active");
	index = $(this).attr("index");
	$('#market' + index).show();
	
	if(index == 4){
		$('.btn-box').show();
	}else {			
		$('.btn-box').hide(); 
	}
	var str = $('#tbody' + index).text();
	if(str == ''){
		getMarket();
	}else {
		if(index == 4 && needRefresh){
			needRefresh = false;
			getMarket();
		}
	}	
});

if(isAndroid2){
	$(".order-nav div span").css("line-height",'0.45rem');
}

getMarketTitle();
function getMarketTitle(){
	var url =  urlPre + "news/getMarketTitle";
	mui.ajax(url,{
    	data:{
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			if(res.code == 200){
				$(".order-nav").html('');
				var navBar = res.data.split(',');
				for(var i=0; i<navBar.length; i++){
					var navIndex,isActive = '';
					if(navBar[i] == "上海黄金"){
						navIndex = 0;
					}else if(navBar[i] == "贵金属"){
						navIndex = 1;
					}else if(navBar[i] == "外汇原油"){
						navIndex = 2;
					}else if(navBar[i] == "主要股指"){
						navIndex = 3;
					}else if(navBar[i] == "我的自选"){
						navIndex = 4;
					}
					
					if(i == 0){
						isActive = 'active';
					}
					var html = '<div index="'+navIndex+'" class="'+isActive+'">\
									<span>'+navBar[i]+'</span>\
								</div>';
					$(".order-nav").append(html);
				}
				var navW = 100 / navBar.length;
				$(".order-nav div").css("width",navW+'%');
				index = $(".order-nav div:eq(0)").attr("index");
				$("#market"+index).show();
				getMarket();  
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
 
// 弹窗
$('.cancel').on('tap',function(e){
	e.preventDefault();	 
	$('.cancel-follow-shadow').hide();
	needReset = false;
	isDel = false;
});

$('#save').on('tap',function(e){
	e.preventDefault();
	$('.cancel-follow-shadow').hide();
	
	changeUserMarket();	
});

$('.tbody').on('tap', "#add", function(e){
	e.preventDefault();
	e.stopPropagation();
	 
	var text = $(this).parent().parent().find("label").text();
	pCode = $(this).parent().parent().find("div:eq(2)").text();
	console.log(text+"-pCode->"+pCode);
	
	sort = "0";
	$('.cancel-follow-shadow .p1').html("确认将“" + text + "”");
	$('.cancel-follow-shadow .p2').html("加入我的自选吗？");
	$('.cancel-follow-shadow').fadeIn();
	$(".tips").hide();
	startTimer();
}); 
$('.tbody').on('tap', "#del", function(e){
	e.preventDefault();
	e.stopPropagation();
	
	var text = $(this).parent().parent().find("label").text();
	pCode = $(this).parent().parent().find("div:eq(2)").text();
	console.log(text+"-pCode->"+pCode);
	
	isDel = true;
	$(".tips").hide();
	startTimer();	
 	$('.cancel-follow-shadow .p1').html("确认将“" + text + "”");
 	$('.cancel-follow-shadow .p2').html("从我的自选里删除吗？");
 	$('.cancel-follow-shadow').fadeIn();
});
$('.tbody').on('tap', "#top", function(e){
	e.preventDefault();
	e.stopPropagation();
	
	var text = $(this).parent().parent().find("label").text();
	pCode = $(this).parent().parent().find("div:eq(2)").text();
	console.log(text+"-pCode->"+pCode);
	
	$(".tips").hide();
	startTimer();
	
	sort = "9";
	changeUserMarket();	
});
 
$(".tbody").on("tap",".goDetail",function(){
	console.log("longtap->"+longtap);
	if(longtap) {
		return; 
	}
	
	var junmpUrl = $(this).attr("url");
	console.log("junmpUrl->"+junmpUrl);
	//stopTimer();
	//plus.webview.open(junmpUrl, 'new', {}, 'slide-in-right', 200);
	
	mui.openWindow({
		id: junmpUrl,
		url: junmpUrl,
		waiting:{
			autoShow:false // 加载动画
		},
		 show:{
	      autoShow:true,//页面loaded事件发生后自动显示，默认为true
	      duration:200 ,//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
	      aniShow:'slide-in-right',
	    },
	});
	
});
window.addEventListener("newsTimer", function(e) { //触发回调事件
	console.log("newsTimer->");
	startTimer();
});
 
$('#reset').on('tap',function(e){
	e.preventDefault();
	$('.cancel-follow-shadow .p1').html("确认将“我的自选”");
	$('.cancel-follow-shadow .p2').html("重置成默认状态吗？");
	$('.cancel-follow-shadow').fadeIn();
	
	needReset = true;
});

var oldPrice = [],isFirst = true;

var timer = null; 
function startTimer() {	
	stopTimer();
	console.log("startTimer...");	
	timer = setInterval(getMarket,3000);
}	
function stopTimer() {	
	console.log("stopTimer...");
	if(timer != null){
		clearInterval(timer);
		timer = null;
	}
}

// 获取行情
function getMarket() {	 
	var url = "";
	if(index == 0) {       // 上海黄金
		url = urlPre + "common/getTDMarket";
	}else if(index == 1){  // 贵金属
		url = urlPre + "common/getGoodsMarket";
	}else if(index == 2){  // 外汇原油
		url = urlPre + "common/getOTCMarket";
	}else if(index == 3){  // 主要股指接口
		url = urlPre + "common/getIndexMarket";
	}else {                // 自选行情
		url = urlPre + "news/getUserMarket";
		pTicket = localStorage.getItem("ticket");
	}
//	console.log(pTicket+"url->"+url);
	mui.ajax(url,{
    	data:{
    		ticket: pTicket ,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log(res);						 
	    	if(res.code = 200){
				$('#tbody'+index).empty();
				$.each(res.data,function(key,value) {
					
					var color = "c999",cls;					
					var latestPrice = 0;
					 			
					if(value.contractId == "Ag(T+D)"){
						latestPrice = value.latestPrice / 100;
						value.upDown = value.upDown / 100;
						value.upDownRate = (value.upDownRate / 10000).toFixed(2);						
					}else if(value.contractId == "USDCNY") {
						value.upDown = (value.upDown / 10000).toFixed(4);
						latestPrice = (value.latestPrice / 10000).toFixed(4);
						value.upDownRate = (value.upDownRate / 10000).toFixed(2);
					}else {
						value.upDown = (value.upDown / 100).toFixed(2);
						latestPrice = (value.latestPrice / 100).toFixed(2);						
						value.upDownRate = (value.upDownRate / 10000).toFixed(2);
					}
					if(value.upDown > 0){
						color = "riseColor";
						cls = "up";
						value.upDown = "+"+value.upDown;
					}else if(value.upDown < 0){
						color = "fallColor";
						cls = "lower";
					}
					
					if(value.upDownRate > 0){
						value.upDownRate = "+"+value.upDownRate;
					}
					 
					var add = '<span id="add">添加自选</span>';
					if(index == 4) {						
						add = '<span id="top">置顶</span><span id="del" class="del">删除</span>';
					} 
					var tips = '<div class="btn-list tips">'+ add +	'</div>'
								+ '<div class="ratio-skew tips"></div>';
					
					var html = '<tr class="goDetail" url="marketChart.html?type='+value.contractId+'"><td>'
					+ tips
					+ '<label>' + value.contractName+'</label>'
					+ '</div><div class="remark">'
					+ value.contractId
					+ '</div></td><td class="newPirce detail '+color+'">'
					+ latestPrice
					+ '</td><td class="detail upDown '+color+'">'
					+ value.upDown
					+ '</td><td class="detail '+color+'">'
					+ value.upDownRate + "%"
					+ '</td><td class="Shadow '+cls+'"></td></tr>'; 	
								
					$('#tbody'+index).append(html);	
				});
				
				//调用阴影闪烁
				if(!isFirst){ // 不是第一次赋值
					showShadow(oldPrice);
				}
				isFirst = false;
				oldPrice = [];
				
				$.each(res.data,function(key,value) {
					if(value.contractId == "USDCNY") {
						oldPrice.push(value.latestPrice / 10000);
					}else {
						oldPrice.push(value.latestPrice / 100);
					}					
				});				
	    	}else{
	    		mui.toast("获取数据失败" + res.msg)
	    	}
		},
		error : function(error){
			//mui.toast("请求失败")
		}
	});
}

//更新行情
function changeUserMarket() {	
	pTicket = localStorage.getItem("ticket");
	console.log("sort->" + sort + "-pTicket->" + pTicket);
	if(pTicket == null || pTicket == "") {		
		plus.webview.open('../login/login_or_register.html', 'login_or_register.html', {}, 
		'slide-in-right', 200); 
		return;
	}	
	var url = "";
	if(needReset){
		needReset = false;
		url = urlPre + "news/resetUserMarket";
	}else if(isDel){
		isDel = false;
		url = urlPre + "news/delUserMarket";
	}else {
		needRefresh = true;
		url = urlPre + "news/addOrUpdateUserMarket";
	}

	mui.ajax(url,{
    	data:{
    		ticket: pTicket ,
			code: pCode ,
			sort: sort //置顶 传 9 
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			console.log(res.code);						
	    	if(res.code = 200) {
				console.log(res.msg);	
				mui.toast(res.msg)	
				if(index == 4) {
					getMarket();  //如果在当前页面，刷新下
				}				
	    	}else {				
	    		mui.toast(res.msg)
	    	}
		},
		error : function(error){			
			mui.toast("请求失败")
		}
	});
}

mui.init({
    gestureConfig: {
        longtap: true, //默认为false
    }
});
mui(".tbody").on("longtap","tr",function(){

	longtap = true;
	$(".tips").hide();
	stopTimer();
	 
	this.getElementsByClassName("tips")[0].style.display = "block";
	this.getElementsByClassName("tips")[1].style.display = "block";
});
//$("body").on("tap",function(){
$(window).on("tap",function(){
	$(".tips").hide();	
	if(longtap){
		longtap = false;
		startTimer();
	}	
});
var old_index = index;
//设置行情价变动阴影
function showShadow(oldPrice2){
//	console.log("旧的index="+old_index);
//	console.log("新的的index="+index);
	if(old_index != index){
		old_index = index;
		return false;
	}
	var item = $('#tbody'+index+' .goDetail');
	for(var i =0; i < item.length; i++){
		var _thisVal = $(item[i]).find(".newPirce").html();
		if(_thisVal != oldPrice2[i]){
			var testNum = i+1;
//			console.log("第 "+testNum+" 个价格变了");
			$(item[i]).find(".Shadow").animate({"opacity":1},300);
			$(item[i]).find(".Shadow").animate({"opacity":0},300);
		}
	}
}
