// 快捷跳转
var urlType = $.getUrlParam("type");
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
if(isIOS){
	$(".mui-scroll").css("width","94.5%");
	$("#zhenjin").css({"top":0});
	$(".order-nav").css("top","41px");
}
if(isAndroid2){
	$(".order-nav div span").css("line-height",'0.37rem');
}

// 获取栏目
getNewsTitle();
function getNewsTitle(){
	var url =  urlPre + "news/getNewsTitle";
	mui.ajax(url,{
    	data:{
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			if(res.code == 200){
				$(".order-nav").html('');
				var navBar = res.data.split(',');
				for(var i=0; i<navBar.length; i++){
					var navIndex,isActive = '';
					if(navBar[i] == "全球快讯"){
						navIndex = 0;
					}else if(navBar[i] == "财经日历"){
						navIndex = 1;
					}else if(navBar[i] == "黄金时评"){
						navIndex = 2;
					}else if(navBar[i] == "黄金日报"){
						navIndex = 3;
					}else if(navBar[i] == "臻金百言"){
						navIndex = 4;
					}
					
					if(i == 0){
						isActive = 'active';
					}
					var html = '<div index="'+navIndex+'" class="'+isActive+'">\
									<span>'+navBar[i]+'</span>\
								</div>';
					$(".order-nav").append(html);
				}
				var navW = 100 / navBar.length;
				$(".order-nav div").css("width",navW+'%');
				if(!urlType){
					$("#news"+index).show();
				}else{
					$("#news"+urlType).show();
					var arr = $('.order-nav div');
					for(var i = 0; i<arr.length; i++){
						if($(arr[i]).attr("index") == urlType){
							$(arr[i]).addClass("active").siblings().removeClass("active");//去掉下面黄线
						}
					}
					
				}
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

$('body').on('tap','.order-nav div',function(e){
	//e.preventDefault();
	
	if(isRequest){
		return;
	}

	$('#news'+index).hide(); //隐藏之前tab
	$(this).addClass("active").siblings().removeClass("active");//去掉下面黄线
	index = $(this).attr("index");  // 获取当前tab
	$('#news'+index).show();        // 显示当前tab
	
	$("#jcalendar_week").hide();
	
	//切换tab时候，判断是否可以上拉加载更多
	if(index == 0) { 		 
		if(bNo0){
			mui("#zhenjin").pullRefresh().endPullupToRefresh(true);
		}else {
			mui('#zhenjin').pullRefresh().refresh(true);
			if(pNo0 == 0){
				getNewsPage();
			}
		}
	}else if(index == 1) {
		$("#jcalendar_week").show();
		if(bNo1){
			mui("#zhenjin").pullRefresh().endPullupToRefresh(true);
		}else {
			mui('#zhenjin').pullRefresh().refresh(true);
			if(pNo1 == 0) {
				getNewsPage();
			}
		}
	}else if(index == 2) {
		if(bNo2){
			mui("#zhenjin").pullRefresh().endPullupToRefresh(true);
		}else {
			mui('#zhenjin').pullRefresh().refresh(true);
			if(pNo2 == 0){
				getNewsPage();
			}
		}
	}else if(index == 3) {
		if(bNo3){
			mui("#zhenjin").pullRefresh().endPullupToRefresh(true);
		}else {
			mui('#zhenjin').pullRefresh().refresh(true);
			if(pNo3 == 0){
				getNewsPage();
			}
		}
	}else {
		if(bNo4){
			mui("#zhenjin").pullRefresh().endPullupToRefresh(true);
		}else {
			mui('#zhenjin').pullRefresh().refresh(true);
			if(pNo4 == 0){
				getNewsPage();
			}
		}
	}
});

var isRequest = false;
var date = new Date();
var toDay = dates(date.getTime()); //获取当天的
var index = 0, pSize = 10 , economicDate = toDay;
var pNo0 = 0, pNo1 = 0, pNo2 = 0,pNo3 = 0,pNo4 = 0;
var bNo0 = false, bNo1 = false, bNo2 = false,bNo3 = false,bNo4 = false;//记录是否已经没有数据
index = localStorage.getItem("newsIndex");

if(urlType){
	// 臻金百言跳转无需设置
	index = urlType;
	$(".list-ul").hide();
	$(".list-ul").eq(urlType);
	$('.order-nav div').eq(urlType).addClass("active").siblings().removeClass("active");//去掉下面黄线
	$('#news'+index).show();        // 显示当前tab
}

// 上拉加载
mui.init({
  pullRefresh : {
    container:"#zhenjin",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      //height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :getNewsPage //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  },
});

document.addEventListener( "plusready", function(){  
	$('.list-ul').on('tap', "li", function(e){
		e.preventDefault();
		 
		//var id = $(this).attr("id");
		var linkUrl = $(this).attr("link");
		if(linkUrl){
			mui.openWindow({
				id: 'newsLinkDetail.html',
				url: "newsLinkDetail.html?link=newUrl"+linkUrl,
				waiting:{
					autoShow:false, // 加载动画
				},
				show:{
			      autoShow:true,//页面loaded事件发生后自动显示，默认为true
			      duration:200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
			    }
			});
		}else {
			var title = $(this).find("p").html();
			var content = $(this).find(".d-content").html();
			var author = $(this).find(".name").text();
			var date = $(this).find(".date").text();
			var time = $(this).find(".time").text();
			//console.log(title+"-"+content+"-"+author+"-"+date+"-"+time);
			mui.openWindow({
				id: 'newsDetail',
				url: 'newsDetail.html',
				extras: {
					//id: record[index].id,
					title: title,
					content: content,
					date: date,
					time:time,
					author:author
				},
				waiting:{
					autoShow:false
				}
			}); 
		}
	}); 
}, false );  

var dayChange = false;  
// 获取资讯
function getNewsPage(){
	if(isRequest){
		return;
	}
	plus.nativeUI.showWaiting();
	isRequest = true;
	$(".mui-pull-caption-nomore").html("没有更多数据了");
	$(".mui-pull-caption-down").html("上拉加载更多");
	var pNo = 0;
	var url = '';
	var sendType = 0;
	if(index == 0) {
		pNo = pNo0;
		url =  urlPre + "news/kuaixun";
	}else if(index == 1){
		pNo = pNo1;
		url =  urlPre + "news/economics";
	}else if(index == 2){ // 黄金时评
		pNo = pNo2;
		sendType = 0;
		url =  urlPre + "news/newsPage";
	}else if(index == 3){
		pNo = pNo3;
		sendType = 2;
		url =  urlPre + "news/tipsPage";
	}else {
		pNo = pNo4;
		sendType = 0;
		url =  urlPre + "news/tipsPage";
	}
	
	pNo = pNo + 1;
	console.log("economicDate:"+economicDate);
	
	mui.ajax(url,{
    	data:{
    		pageNo: pNo,
    		pageSize: pSize,
    		//type: index,
    		type: sendType,
    		state : 0,
    		economicDate:economicDate
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log(res);
			isRequest = false;
			plus.nativeUI.closeWaiting();
	    	if(res.code = 200){
	    		if(res.data.record.length < 1 && pNo == 1){
	    			$(".ul-content").html("");
	    			$(".mui-pull-caption-nomore").html("当天没经济数据");
	    			$(".mui-pull-caption-down").html("当天没经济数据");
	    		}
				var data = res.data;
				
				$.each(data.record,function(key,value) {
					if(!value.author){
						value.author = "黄金帮";
					}
					var news2 = '<li class="c" link="'+ value.link +'">\
						 	<div class="img-box fl">\
						 		<img src="'+value.thumb+'"/>\
						 	</div>\
						 	<div class="d-content" style="display:none;">'+value.content+'</div>\
							<div class="left fl">\
								<p class="news-title">'+value.title+'</p>\
								<div class="left-b">\
									<span class="name">'+value.author+'</span>\
									<span class="date">'+dates(value.createTime)+'</span>\
									<span>'+times(value.createTime)+'</span>\
								</div>\
							</div>\
						</li>';
						
					// 全球快讯
					var kx_time,fontColor = "",date_fontColor = "c-green",imgStr = "",isHide = "";
					var dateColor = "";
					if(index == 0){
						//kx_time = value.datetime.split(" ")[1];
						kx_time = value.datetime;
						if(value.fontColor == 0){//0：红色 1：黑色
							fontColor = "active";
						}
					}else if(index == 1){
						//console.log("economicDate2:"+economicDate);
						kx_time = value.publishDt.split(" ")[1];
						if(value.effect == "利多"){
							date_fontColor = "c-red";
						}else if(value.effect == "利空"){
							date_fontColor = "c-green";
						}else{
							isHide = "hide";
						}
						
						if(!value.previous){
							value.previous = "--";
						}
						if(!value.forecast){
							value.forecast = "--";
						}
						if(!value.reality){
							value.reality = "--";
						}
						
						if(value.importance >= 4){
							dateColor = "riseColor";
						}
						
						for(var i = 0; i< 5; i++){
							if(i < value.importance){
								imgStr = imgStr+'<img src="images/information_icon_star_red@2x.png"/>';
							}else{
								imgStr = imgStr+'<img src="images/information_icon_star_gray@2x.png"/>';
							}
						}
						
					}
					var news4 = '<div class="g-item '+fontColor+'">\
									<div class="top">\
										<span class="circle"></span>\
										<span class="times">'+kx_time+'</span>\
									</div>\
									<p class="g-content">'+value.content+'</p>\
								</div>';
					
					// 财经日历
					var news1 = '<li>\
									<div class="top c">\
										<div class="t-left fl">\
											<span>'+kx_time+'</span>\
											<span>'+value.country+'</span>\
										</div>\
										<div class="t-center fl">'+imgStr+'</div>\
										<div class="t-right fr">\
											<span class="'+date_fontColor+' '+isHide+'">\
												<em>'+value.effect+'</em>\
												<em>金银</em>\
												<em>原油</em>\
											</span>\
										</div>\
									</div>\
									<div class="center c">\
										<p class="'+dateColor+'">'+value.title+'</p>\
									</div>\
									<div class="bottom c">\
										<span class="fl">前值: '+value.previous+'</span>\
										<span class="fl">预测值: '+value.forecast+'</span>\
										<span class="fr">公布值: '+value.reality+'</span>\
									</div>\
								</li>';
					
					var html = '<li id="' + value.id + '" link="'+ value.link
					+ '"><div class="d-content" style="display:none;">'+value.content+'</div><div class="left"><p>' 
					+ value.title
					+ '</p><div class="left-b"><span class="name">'
					+ value.author
					+ '</span><span class="date">'
					+ dates(value.createTime)
					+ '</span><span class="time">'
					+ times(value.createTime) 
					+ '</span></div></div></li>';
					
					if(index == 0){
						$('#news'+index).append(news4);	
					}else if(index == 1){
						//console.log(index);
						if(dayChange){
							//console.log(economicDate)
							$(".ul-content").html("");
							dayChange = false;
						}
						$(".ul-content").append(news1);	
					}else if(index == 2){
						$('#news'+index).append(news2);	
					}else{
						$('#news'+index).append(html);	
					}
					
					//$('#news'+index).append(html);		
				});
				//console.log("data.totalPage:"+data.totalPage);
				var bNo = (pNo >= data.totalPage);
				// console.log("bNo:"+bNo);
				// mui("#zhenjin").pullRefresh().endPullupToRefresh(bNo);
				$('.mui-pull-bottom-pocket').css("visibility","visible");
				if(isAndroid){
					var scrollH = document.getElementById("zhenjin").scrollHeight;
					//mui('#zhenjin').scroll().scrollTo(0, scrollH, 10);
					//document.getElementById('zhenjin').scrollTop = scrollH;
					//mui.toast(scrollH);
				}
				 
				if(index == 0){
					pNo0 = pNo0 + 1;
					bNo0 = bNo;
				}else if(index == 1){
					pNo1 = pNo1 + 1;
					bNo1 = bNo;
				}else if(index == 2){
					pNo2 = pNo2 + 1;
					bNo2 = bNo;
				}else if(index == 3){
					pNo3 = pNo3 + 1;
					bNo3 = bNo;
				}else {
					pNo4 = pNo4 + 1;
					bNo4 = bNo;
				}
	    	}else{
	    		mui("#zhenjin").pullRefresh().endPullupToRefresh("在拉一下试试");
	    	}
	    	//mui('#zhenjin').pullRefresh().enablePullupToRefresh();
			if(index == 0){
				mui('#zhenjin').pullRefresh().endPullupToRefresh(bNo0);
			}else if(index == 1){
				mui('#zhenjin').pullRefresh().endPullupToRefresh(bNo1);
			}else if(index == 2){
				mui('#zhenjin').pullRefresh().endPullupToRefresh(bNo2);
			}else if(index == 3){
				mui('#zhenjin').pullRefresh().endPullupToRefresh(bNo3);
			}else {
				mui('#zhenjin').pullRefresh().endPullupToRefresh(bNo4);
			}
		},
		error : function(error){
			mui.toast("请求失败");
			isRequest = false;
			//mui('#zhenjin').pullRefresh().enablePullupToRefresh();
			plus.nativeUI.closeWaiting();
		}
	});
}

///api/news/economics  财经日历 参数:economicDate
///api/news/kuaixun  全球快讯

var winH = $(window).height();
var domT = $("#zhenjin").offset().top;
var domH = winH - domT; // 减25是给底部能够完全显示数据
console.log("下拉容器高度："+domH);
//$("#zhenjin").css({"height":domH + "px"});