//数据模型 time0 open1 close2 min3 max4 vol5 tag6 macd7 dif8 dea9
//['2015-10-19',18.56,18.25,18.19,18.56,55.00,0,-0.00,0.08,0.09] 
//K线数据  tag6 macd7 dif8 dea9 这些数据可以不需要
function isWeekEnd(date){
  if("天一二三四五六".charAt(new Date(date).getDay())=="天") return true;

  if("天一二三四五六".charAt(new Date(date).getDay())=="六")  return true;
}
//alert(isWeekEnd("2019-06-23"));

var _newDay = new Date();
var toDay = _newDay.getTime();
toDay = dates(toDay);

var period_type = "D",prod_code; // 没有年k
var kChart = echarts.init(document.getElementById('k-content')); 
var mChart = echarts.init(document.getElementById('m-line'));

var _time = "0", _mtime = "0";

// 分时是闪电图
var prod_code_url = $.getUrlParam("type");
prod_code = prod_code_url;

$(".mui-title").html(typeCodeCheck(prod_code_url));
console.log("url参数:type="+prod_code_url);
var tab = 0;
$('.order-nav div').on('tap',function(e){
	e.preventDefault();
	$(this).addClass("active").siblings().removeClass("active");
	var index = $(this).attr("index");
	tab = index;
	if(index !=0 ){
		$("#m-line").hide();
		$("#k-content").show();
		$("#k-content").css("display","block");
		$(".K-line canvas").css("width",$(".K-line").width()+"px");
		$("#k-content").css("width",$(".K-line").width()+"px");
		$(".m-data-bottom").hide();
		$(".hr5").css("margin-top","-0.65rem");
		_time = 0;
	}else{
		$("#k-content").hide();
		$("#m-line").show();
		$("#m-line").css("display","block");
		$(".m-data-bottom").show();
		$(".hr5").css("margin-top",".1rem");
	}
	
	if(index == 0){
		if(!isWeekEnd(toDay)){
			getMdata();
		}
	}else if(index == 1){
		period_type = "D";
		getMarket();
	}else if(index == 2){
		period_type = "W";
		getMarket();
	}else if(index == 3){
		period_type = "M";
		getMarket();
	}
});
var is_calcMACD = false,is_calcAvg = false;
function getMarket(){
	var url = quotationDomain + '/kline';
//	var url = 'http://192.168.0.25:8030/kline';
	$.ajax({
		type: "GET",
		url: url,
		dataType: "json",
		data: {
			time:_time,
			symbol:prod_code_url,
			type:period_type
		},
		success: function(res) {
			kdata = [];
			// 赋值给kdata
			if(res.data.length <= 0){
				mui.toast("当前品种无行情数据");
				return false;
			}
			$.each(res.data,function(key,value){
				value.openPrice = formatPrice(value.openPrice,prod_code_url);
				value.closePrice = formatPrice(value.closePrice,prod_code_url);
				value.lowestPrice = formatPrice(value.lowestPrice,prod_code_url);
				value.highestPrice = formatPrice(value.highestPrice,prod_code_url);
				
				var _date = dates(value.quotationTime * 1000);
				//var dataArr = [_date,value.openPrice,value.closePrice,value.lowestPrice,value.lowestPrice,value.averagePrice];
				var dataArr = [_date,value.openPrice,value.closePrice,value.lowestPrice,value.highestPrice,value.averagePrice];
				kdata.push(dataArr);
			});
			_time = res.data[0].quotationTime;
			//console.log(kdata);
			if(res.data[res.data.length - 1].source != 1){
				is_calcMACD = true;
			}else{
				is_calcMACD = false;
			}
			
			kdata.reverse();
			kChart.setOption(initKOption(kdata)); 
			
		},
		error: function(response) {
			alert("请求出错");
		}
	});	
}

//getMarket();	

var kdata=[];

// 分时数据  
var mdata = { 
	"data": [//时间   当前价  均价   交易量
			
	],
	"yestclose": 33.01
};

// 获取分时数据
var m_maxData = 0,m_minData = 10000000,m_statrTime,m_endTime , isFirst = true;
getMdata();
function getMdata() {
	if(prod_code_url.indexOf("+") != -1 ){ // true
		//prod_code_url.replace("+","%2B")
	}
	var url = quotationDomain + "/timeline";
	//var url = "http://192.168.0.25:8030/timeline";
	
	mui.ajax(url,{
    	data:{
    		time:_mtime,
    		symbol:prod_code_url
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log("res:"+JSON.stringify(res));
			var data = res.data;
			if(res.data.length <= 0){
				//mui.toast("当前品种无行情数据");
				return false;
			}
	
			$("#preclose_px").html(data[0].preclosePx);
			var lastPx = 0;
			$.each(data, function(key,value) {
					lastPx = value.lastPx;
					if(value.lastPx > m_maxData){
						m_maxData = value.lastPx;
						m_maxData = m_maxData + m_maxData * 0.001;
						if(prod_code_url == "Ag(T+D)"){
							m_maxData = decimal(m_maxData,0);
						}else{
							m_maxData = formatPrice(m_maxData,prod_code_url);
						}
					}
					//m_minData = 3650;
					if(value.lastPx < m_minData){
						m_minData = value.lastPx;
						//m_minData = m_minData - m_minData * 0.001;
						if(prod_code_url == "Ag(T+D)"){
							//m_minData = m_minData - m_minData * 0.001;
							m_minData = decimal(m_minData,0);
						}else{
							m_minData = formatPrice(m_minData,prod_code_url);
						}
					}
					
					value.lastPx = formatPrice(value.lastPx,prod_code_url);
					console.log("最新价："+value.lastPx);
					
					
					var time = value.hourMinu.split(" ");
					var dataArr = [time[1],value.lastPx,value.lowPx,value.pxChangeRate,3000]; // 以最新价为准
					//var dataArr = [time[1],value.highPx,value.lowPx,value.pxChangeRate,3000]; // 以最高价为准
					mdata.data.push(dataArr);
			});
			
			//if(lastPx == 0){
			if(mdata.data == null || mdata.data.length == 0){	
				mui.toast("当前品种无行情数据");
				return false;
			}
			
			console.log("最大值"+m_maxData);
			console.log("最小值"+m_minData);
			if(isFirst){
				m_statrTime = data[data.length - 1].hourMinu.split(" ")[1];
				m_endTime = data[0].hourMinu.split(" ")[1];
				
				_mtime =  data[0].updateIme;
				mdata.data.reverse();
				console.log(mdata);
			}else{
//				m_statrTime = data[data.length - 1].hourMinu.split(" ")[1];
				m_endTime = data[0].hourMinu.split(" ")[1];
				
				_mtime =  data[0].updateIme;
			}
			console.log(mdata);
			isFirst = false;
			$(".m-data-bottom").show();
			// 行情类型
			//国内贵金属的合约代码
			if(prod_code == "Au(T+D)" || prod_code == "Ag(T+D)" || prod_code == "mAu(T+D)" || prod_code == "Au9999" || prod_code == "Au9995" || prod_code == "Au100g" || prod_code == "Pt9995"){
					mChart.setOption(initMOption(mdata,'hs'));
					$(".shanghaiT").show().siblings().hide();
			}
			//国内股票的合约代码
			if(prod_code == "000001.SS" || prod_code == "000001" || prod_code == "399001.SZ" || prod_code == "399001" || prod_code == "399006.SZ" || prod_code == "399006"){
					mChart.setOption(initMOption(mdata,'chn-stock'));
					$(".chn-stock").show().siblings().hide();
			}
			//#国际贵金属的合约代码,国际原油的合约代码,虚拟货币的合约代码,汇率
			if(prod_code == "AUUSD" || prod_code == "AGUSD" || prod_code == "XAP" || prod_code == "WGJS" || prod_code == "USCL" || prod_code == "BTCUSD" || prod_code == "USD" || prod_code == "USDCNY"){
					mChart.setOption(initMOption(mdata,'gj-gold'));
					$(".gj-gold").show().siblings().hide();
			}
			//国际股票的合约代码
			if(prod_code == "DJI" || prod_code == "SPX" || prod_code == "NASDAQ"){
					mChart.setOption(initMOption(mdata,'gj-stock'));
					$(".gj-stock").show().siblings().hide();
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

function setColor(px_change,amplitude,latestPrice){
	if(px_change > 0){
		$("#px_change").html('+' + px_change);
		$("#amplitude").html('+' + amplitude + '%');
		$("#px_change").css({"color":"#F35F5F"});
		$(".latestPrice").css({"color":"#F35F5F"});
		$("#amplitude").css({"color":"#F35F5F"});
	}else if(px_change < 0){
		$("#px_change").html(px_change);
		$("#amplitude").html(amplitude + '%');
		$("#px_change").css({"color":"#3eb15e"});
		$(".latestPrice").css({"color":"#3eb15e"});
		$("#amplitude").css({"color":"#3eb15e"});
	}else{
		$("#amplitude").html(amplitude + '%');
		$("#px_change").html(px_change);
		$("#px_change").css({"color":"#F35F5F"});
		$(".latestPrice").css({"color":"#F35F5F"});
		$("#amplitude").css({"color":"#F35F5F"});
	}
}
getLatestPrice();
//获取顶部行情
function getLatestPrice(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "common/getTypeMarket";
	mui.ajax(url,{
    	data:{
    		code:prod_code,
			},
		    dataType:'json',
		    type:'GET',
		    timeout:20000,
			success:function(res){
					var data = res.data;
					if(res.status){
						var x = 100;
						if(prod_code_url == "USDCNY"){
								x = 10000;
						}
						
						var lastPx = data[prod_code][0].latestPrice / x;
						var high_px = data[prod_code][0].highestPrice / x;
						var low_px = data[prod_code][0].lowestPrice / x;
						var openingPrice = data[prod_code][0].openingPrice / x;
						var upDownRate = data[prod_code][0].upDownRate / 10000;
						var px_change = data[prod_code][0].upDown / 100;
						
						if(prod_code_url == "USDCNY"){
							px_change = decimal(px_change,4);
							px_change = formatDecimal4(px_change);
						}else{
							if(prod_code_url != "Ag(T+D)"){
								px_change = decimal(px_change,2);
								px_change = floatCompletion(px_change);
							}
						}
						
						$(".latestPrice").html(formatPrice(lastPx,prod_code_url));
						$("#high_px").html(formatPrice(high_px,prod_code_url));
						$("#low_px").html(formatPrice(low_px,prod_code_url));
						$("#openingPrice").html(formatPrice(openingPrice,prod_code_url));
						
						$("#px_change").html(px_change);
						setColor(px_change,upDownRate,lastPx);
					}
			}
		
	});
}

var code = $.getUrlParam("type");
var operation = 1,userNo;
//添加自选
$("#AddOrDelUserMarket").on("tap",function(){
	AddOrDelUserMarket();
});
function AddOrDelUserMarket() {	
	var ticket = localStorage.getItem("ticket");
	if(!ticket){
		mui.toast("请先登录");
		return false;
	}
	
	var url,resTips = "添加";
	if(operation == 1){ // 添加自选
		url = urlPre + "news/addOrUpdateUserMarket";
	}else{ // 删除自选
		url = urlPre + "news/delUserMarket";
		resTips = "删除";
	}
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		code:code,
    		sort:""
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			console.log(res);			
			 
	    	if(res.code = 200){
				mui.toast(resTips+"自选成功");
				if(operation == 1){
					operation = 2;
					$("#AddOrDelUserMarket").html("删除自选");
				}else{
					operation = 1;
					$("#AddOrDelUserMarket").html("添加自选");
				}
	    	}else{
	    		mui.toast(resTips+"自选失败" + res.msg)
	    	}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

// 自选行情
getUserMarket();
function getUserMarket() {	 
	// 自选行情
	var UserMarket = urlPre + "news/getUserMarket";
	pTicket = localStorage.getItem("ticket");
	mui.ajax(UserMarket,{
    	data:{
    		ticket: pTicket ,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			console.log(res.code);						 
	    	if(res.code = 200){
				$.each(res.data,function(key,value) {
					if(prod_code_url == value.contractId){
						operation = 2;
						$("#AddOrDelUserMarket").html("删除自选");
					}
				});				
	    	}else{
	    		mui.toast("获取数据失败" + res.msg)
	    	}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

//getHeadData();
function getHeadData(){
	var url =  'https://api-ddc.wallstreetcn.com/market/real?fields=symbol,\
	en_name,prod_name,last_px,px_change,px_change_rate,high_px,low_px,open_px,\
	preclose_px,market_value,turnover_volume,turnover_ratio,turnover_value,\
	dyn_pb_rate,amplitude,dyn_pe,trade_status,circulation_value,update_time,\
	price_precision,week_52_high,week_52_low,static_pe&prod_code='+prod_code;
	$.ajax({
		type: "GET",
		url: url,
		dataType: "json",
		data: {
		},
		success: function(res) {
			var headData = res.data.snapshot[prod_code];
			$(".latestPrice").html(formatPrice(headData[2],prod_code_url));
			
			$("#preclose_px").html(formatPrice(headData[8],prod_code_url));
			$("#high_px").html(formatPrice(headData[5],prod_code_url));
			$("#low_px").html(formatPrice(headData[6],prod_code_url));
			var px_change = headData[3];
			if(prod_code_url == "USDCNY"){
				px_change = decimal(headData[3],4);
				px_change = formatDecimal4(px_change);
			}else{
				if(prod_code_url != "Ag(T+D)"){
					px_change = decimal(headData[3],2);
					px_change = floatCompletion(px_change);
				}
			}
			
			headData[14] = headData[14] * 100; // 返回数据没有没有百分比化 需要*100
			var amplitude = decimal(headData[14],2);
			amplitude = floatCompletion(amplitude);
			
			if(px_change > 0){
				$("#px_change").html('+' + px_change);
				$("#amplitude").html('+' + amplitude + '%');
				$("#px_change").css({"color":"#F35F5F"});
				$(".latestPrice").css({"color":"#F35F5F"});
				$("#amplitude").css({"color":"#F35F5F"});
			}else if(px_change < 0){
				$("#px_change").html(px_change);
				$("#amplitude").html('-'+amplitude + '%');
				$("#px_change").css({"color":"#3eb15e"});
				$(".latestPrice").css({"color":"#3eb15e"});
				$("#amplitude").css({"color":"#3eb15e"});
			}else{
				$("#amplitude").html(amplitude + '%');
				$("#px_change").html(px_change);
				$("#px_change").css({"color":"#F35F5F"});
				$(".latestPrice").css({"color":"#F35F5F"});
				$("#amplitude").css({"color":"#F35F5F"});
			}
			
			
			/*if(amplitude > 0){
				$("#amplitude").html('+' + amplitude + '%');
				//$("#amplitude").css({"color":"#F35F5F"});
			}else if(amplitude < 0){
				$("#amplitude").html(amplitude + '%');
				//$("#amplitude").css({"color":"#3eb15e"});
			}else{
				$("#amplitude").html(amplitude + '%');
				//$("#amplitude").css({"color":"#F35F5F"});
			}*/
			
			//$("#amplitude").html(amplitude + '%');
			var turnover_value = headData[12] / 100000000;
			var turnover_volume = headData[10] / 10000;
			
			turnover_value = decimal(turnover_value,2);
			turnover_volume = decimal(turnover_volume,2);
			
			if(turnover_value <= 0 || turnover_value < 0.01){
				turnover_value = "--";
			}else{
				turnover_value = turnover_value + '亿';
			}
			if(turnover_volume <= 0 || turnover_volume < 0.01){
				turnover_volume = "--";
			}else{
				turnover_volume = turnover_volume + '万';
			}
			
			$("#turnover_value").html(turnover_value);
			$("#turnover_volume").html(turnover_volume);
			
		},
		error: function(response) {
			mui.toast("获取失败");
		}
	});		
}
getUserInfo();

var suggest = 1,cUserType,isSend = false,isReal=0;
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
if (isAndroid) {
	cUserType = 1;
}
if (isIOS) {
	cUserType = 2;
}

$('.stop-radio input').click(function(){
	$(".stop-radio .radio-style").removeClass("active");
	$('.stop-radio input[name="sex"]:checked').prev().addClass("active");
	suggest = $('.stop-radio input[name="sex"]:checked').val();
});

$('#content').bind('input propertychange', function(){
	var fontNum = $(this).val().length;
	if(fontNum > 100){
		var font = $(this).val();
		$(this).val(font.substring(0,100));
		mui.toast("只能输入100个字以内");
		
		fontNum = $(this).val().length;
		$('.current-FontNum').html(fontNum);
		return;
	}
	$('.current-FontNum').html(fontNum);
});

$('#publish').on("tap",function(){
	if(isSend){
		return;
	}
	var content = $("#content").val();
	if(!content){
		mui.toast("请输入行情分析");
		return;
	}else if(content.length < 10){
		mui.toast("请输入至少10个字的行情分析");
		return;
	}else if(content.length > 100){
		mui.toast("只能输入100个字以内");
		return;
	}
	insertAnalysComment(content,suggest,cUserType);
});

// 分析师行情评论
function insertAnalysComment(content,suggest,cUserType) {
	isSend = true;
	var UserMarket = urlPre + "trade/analyst/insertAnalysComment";
	 var ticket  = localStorage.getItem("ticket");
	mui.ajax(UserMarket,{
    	data:{
    		ticket: ticket,
    		prodCode:code,
    		type:2, //评论类型 1-精选 2-讨论
    		isReal:isReal,
    		content:content,
    		suggest:suggest,
    		cUserType:cUserType,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code = 200){
	    		getAnalysCommentCount();
	    		$("#content").val("");
	    		$('.current-FontNum').html(0);
				mui.toast("发表成功");
				postParameter();
	    	}else{
	    		resCodeTips(res.code);
	    	}
	    	isSend = false;
		},
		error : function(error){
			isSend = false;
			mui.toast("请求失败");
		}
	});
}
var userNo;
//获取今日发布条数
function getAnalysCommentCount() {
	var UserMarket = urlPre + "trade/analyst/getAnalysCommentCount";
	mui.ajax(UserMarket,{
    	data:{
    		userNo:userNo,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code = 200){
	    		if(res.data > 0){
	    			$("#num").html(res.data);
	    		}
	    	}else{
	    		resCodeTips(res.code);
	    	}
		},
		error : function(error){
			mui.toast("请求失败");
		}
	});
}

function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
		    if(res.code == 200){
				if(!jQuery.isEmptyObject(res.data)){
					// data不为空 登录
					if(res.data.userType == 1){
						$(".viewpoint").show();
						$("#Kline-div").append('<div class="hr5"></div>');
						userNo = res.data.userNo;
						getAnalysCommentCount();
						if(res.data.salt == 1){ // salt==1实盘签约，空和0都是非实盘签约
							isReal = 1;
						}
					}
				}
			}
		},
		error:function(){
			console.log("请求错误");
		}
	});
}
var timer = null;
timer = setInterval("getData()",300000);
function getData(){
	if(tab == 0 && !isWeekEnd(toDay)){
		//当前tab是时分图 并且不是周末
		getMdata();
	}else{
		//getMarket(); 
	}
}

// 刷新顶部行情
var timer_Top = null;
timer_Top = setInterval("getData_Top()",3000);
function getData_Top(){
		getLatestPrice();
}

mui.init({
	beforeback: function(){
		//获得列表界面的webview
		var news = plus.webview.getWebviewById('news/market.html');
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
		mui.fire(news,'newsTimer');
		//返回true，继续页面关闭逻辑
		return true;
	} 
});
document.addEventListener( "plusready", function(){  
	var news = plus.webview.getWebviewById('news/market.html');
	news.evalJS("stopTimer()");
}, false ); 

function postParameter(){
	mui.plusReady(function() {
			var isRefresh = 1;
			var analyst = plus.webview.getWebviewById("analysts/analysts.html");
			mui.fire(analyst,'Refresh',{isRefresh:isRefresh});
	});
}
$("#k-content").hide();

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

if(isAndroid){
	$(".top-order").css("margin-top",0.02+"rem");
}