var Notice_index = 0, Notice_size = 20 ,tips_index = 0 , tips_size = 20, tab = 0 , tab1Post = false , tab2Post = false ,total1, total2;
$(function(){
	$('#msg-nav span').on('touchend',function(e){
		e.preventDefault();
		
		// mui让div滚动回到顶部
		mui(".query-body").scroll().scrollTo(0, 0, 350);
		
		$(this).addClass("active").siblings().removeClass("active");
		var index = $(this).attr("index");
		$(".dataList").hide();
		$(".dataList").eq(index).show();
		tab = index;
		
		//mui('.query-body').pullRefresh().refresh(true);
		
		if(index == 0){
			if(!tab1Post){
				getData();
			}
			if(Notice_index >= total1){
				mui(".query-body").pullRefresh().endPullupToRefresh(true);
			}else{
				mui('.query-body').pullRefresh().refresh(true);
			}
		}
		
		if(index == 1){
			if(!tab2Post){
				getData();
			}
			if(tips_index >= total2){
				mui(".query-body").pullRefresh().endPullupToRefresh(true);
			}else{
				mui('.query-body').pullRefresh().refresh(true);
			}
		}
		
	});
});
mui.init({
	swipeBack: true, //启用右滑关闭功能
	  pullRefresh : {
	    container:".query-body",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	    up : {
	      height:50,//可选.默认50.触发上拉加载拖动距离
	      auto:true,//可选,默认false.自动上拉加载一次
	      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	      callback :getData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	    }
	  },
});
function getData(){
	if(tab == 0){
		getNoticeInfo();
	}else{
		getUserMsg();
	}
}

// 公告列表
function getNoticeInfo(){
	Notice_index++;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "notice/getNoticeInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		pageNo:Notice_index,
    		pageSize:Notice_size,
    		noticeType:1 // 1本地公告，2交易所
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			tab1Post = true;
			var data = res.data;
			if(res.code == 200){
				total1 = data.totalPage;
				if(Notice_index >= data.totalPage){
					mui(".query-body").pullRefresh().endPullupToRefresh(true);
				}else{
					mui(".query-body").pullRefresh().endPullupToRefresh(false);
				}
				$.each(data.record,function(key,value){
					var isShow = "hide";
					if(value.isRead == 0){
						isShow = "show";
					}
					
					var _date2 = dates(value.cdate);
					var _time2 = times(value.cdate);
					
					var _date = dates(value.cdate) + ' &nbsp;' + times(value.cdate);
					var html = '<li class="c" url="'+value.forwardUrl+'" msgId="'+value.id+'" dates="'+_date2+'" time="'+_time2+'">\
									<p class="fl">'+value.noticeTitle+'</p>\
									<div class="d-content" style="display:none;">'+value.noticeContent+'</div>\
									<div>\
										<div class="item-date fl">'+_date+'</div>\
										<div class="item-icon fr '+isShow+'"><img src="images/msg_icon_more@2x.png"/></div>\
									</div>\
								</li>';
					$("#noticeDataList").append(html);
				});
			}else{
				//mui.toast('添加失败,原因:'+res.msg);
			}
		}
		
	});
}

// 提醒列表
function getUserMsg(){
	tips_index++;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "message/getUserMsg";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		pageNo:tips_index,
    		pageSize:tips_size
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			tab2Post = true;
			var data = res.data;
			if(res.code == 200){
				total2 = data.totalPage;
				if(tips_index >= data.totalPage){
					mui(".query-body").pullRefresh().endPullupToRefresh(true);
				}else{
					mui(".query-body").pullRefresh().endPullupToRefresh(false);
				}
				
				$.each(data.record,function(key,value){
					var isShow = "hide";
					if(value.isRead == 0){
						isShow = "show";
					}
					
					var _date = dates(value.createTime) + ' &nbsp;' + times(value.createTime);
					var html = '<li class="c" url="'+value.forwardUrl+'" msgId="'+value.id+'">\
									<p class="fl">'+value.msgTitle+'</p>\
									<div>\
										<div class="item-date fl">'+_date+'</div>\
										<div class="item-icon fr '+isShow+'"><img src="images/msg_icon_more@2x.png"/></div>\
									</div>\
								</li>';
					$("#remindDataList").append(html);
				});
			}else{
				//mui.toast('添加失败,原因:'+res.msg);
			}
		}
		
	});
}

//-------------------------消息提醒
$("#remindDataList").on("tap","li",function(){
	var msgId = $(this).attr("msgId");
	$(this).find(".show").hide();
	updateUserMsg(msgId);
	//refreshMyMsg(); // 刷新"我的"页面
	enterPlan();
});

//更新未读的用户消息提醒内容，更改为已读
function updateUserMsg(id){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "message/updateUserMsg";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id:id
		},
	    dataType:'json',
	    type:'get',
	    timeout:20000,
		success:function(res){
			if(res.code == 200){
				console.log("更新成功");
			}
		}
	});
}
// 跳转
function enterPlan(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/enterPlan";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
		},
	    dataType:'json',
	    type:'get',
	    timeout:20000,
		success:function(res){
			if(res.code == 204){
				mui.toast("普通登录过期");
				return false;
			}else if(res.code == 224){
				//mui.toast("计划进行中");
				plus.webview.open("../remindAndPlan/planDetail.html", 'planDetail', {}, 'slide-in-right', 200);
			}else if(res.code == 228){
				//mui.toast("完成计划");
				if(res.data){
					plus.webview.open("../remindAndPlan/planEnd.html", 'planEnd', {}, 'slide-in-right', 200);
				}
			}else{
				resCodeTips(res.code);
			}
		}
	});
}

//-------------------------公告
/*$("#noticeDataList").on("tap","li",function(){
	var msgId = $(this).attr("msgId");
	var junmpUrl = $(this).attr("url");
	$(this).find(".show").hide();
	updateUserNotice(msgId);
	//refreshMyMsg(); // 刷新"我的"页面
	plus.webview.open(junmpUrl, 'new', {}, 'slide-in-right', 200);
});*/

//更新未读的用户公告内容，更改为已读
function updateUserNotice(id){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "notice/updateUserNotice";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		noticeId:id
		},
	    dataType:'json',
	    type:'get',
	    timeout:20000,
		success:function(res){
			if(res.code == 200){
				console.log("更新成功");
			}
		}
	});
}

document.addEventListener( "plusready", function(){  
	$('#noticeDataList').on('tap', "li", function(e){
		var linkUrl = $(this).attr("link");
		if(linkUrl){
			plus.webview.open("../newsLinkDetail.html?link=newUrl"+linkUrl, 'new',
				{}, 'slide-in-right', 150);
		}else {
			var title = $(this).find("p").text();
			var content = $(this).find(".d-content").html();
			var author = "";
			var date = $(this).attr("dates");
			var time = $(this).attr("time");
			//console.log(title+"-"+content+"-"+author+"-"+date+"-"+time);
			mui.openWindow({
				id: 'newsDetail',
				url: '../news/newsDetail.html',
				extras: {
					//id: record[index].id,
					title: title,
					content: content,
					date: date,
					time:time,
					author:author
				},
				waiting:{
					autoShow:false
				}
			}); 
		}
	}); 
}, false );  


culHeight();
function culHeight(){
	var winH = $(window).height();
	var domT = $(".query-body").offset().top;
	var domH = winH - domT; // 减25是给底部能够完全显示数据
	$(".query-body").css({"height":domH+"px"});
	//alert(domH);
}

function postParameter(){
	//B页面
	mui.plusReady(function() {
			var isFlow = 1;
			var main=plus.webview.getWebviewById("personal/personal.html");
			mui.fire(main,'changeFlow',{isFlow:isFlow});
	});
}

