var beginDate, endDate, pagingDate = "";
var toDay = new Date();
var cru_timestamp = toDay.getTime();
var endYear = toDay.getFullYear(); 
var beginYear = endYear - 4;//当前年的5前

var option={"type":"date","beginYear":beginYear,"endYear":endYear};
var pickerStart = new mui.DtPicker(option);
var pickerEnd = new mui.DtPicker(option);
 
//开始时间
document.getElementById('starttime').addEventListener('tap', function(){ 
     pickerStart.show(function(rs) {
        console.log(rs.text);
        document.getElementById('starttime-text').innerHTML = rs.text;
     }); 
},false);
//结束时间
document.getElementById('endtime').addEventListener('tap', function(){
    pickerEnd.show(function(rs) {		
        console.log(rs.text);
        document.getElementById('endtime-text').innerHTML = rs.text;
    }); 
},false);
 
$("#starttime-text").html(dates(cru_timestamp));
$("#endtime-text").html(dates(cru_timestamp));

$("#search").on("tap",function(){
	beginDate = $("#starttime-text").html();
	endDate = $("#endtime-text").html();
	pagingDate = "";
	mui('#dataList-box').pullRefresh().refresh(true);
	transFee();
});
beginDate = $("#starttime-text").html();
endDate = $("#endtime-text").html();
 
var isRequest = false, firstTime = true;

// 用户费用查询
function transFee(){
	if(isRequest){
		return;
	}
	isRequest = true;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "real/transFee";
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		beginDate: beginDate,
    		endDate: endDate,
    		pagingDate: pagingDate
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			console.log(res.code);
			isRequest = false;
			if(res.code == 200){
				var data = res.data.feeDetail;
				if(pagingDate == ""){
					$("#dataList").empty();
				}
				showTransFee(data);
				pagingDate = data[data.length-1].tradeDate;
				
				if(res.data.actualRow <= 5){
					mui("#dataList-box").pullRefresh().endPullupToRefresh(true);
				}else{
					mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				}
				
				if(firstTime){
					firstTime = false;
					culHeight();
				}
			}else{
				mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				mui.toast(res,msg); 				
			}
		},
		error : function(){	
			mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
			isRequest = false;			 
			mui.toast("请求出错了！");  			 
		}
	});
}

function showTransFee(data){
	$.each(data,function(key,value){
		if(value.clientId != "" && value.clientId != 0){
			//console.log("value.exchangeTradingFee->"+value.exchangeTradingFee);
			//console.log("value.bankTradingFee->"+value.bankTradingFee);
			//console.log("value.deferFee->"+value.deferFee);
			var html = '<li>\
						<span>'+value.exchangeTradingFee/100+'</span>\
						<span>'+value.bankTradingFee/100+'</span>\
						<span>'+value.deferFee/100+'</span>\
						<span>'+value.tradeDate+'</span>\
					</li>';
			$("#dataList").append(html);
		}
	});
}

// 上拉加载
mui.init({
  pullRefresh : {
    container:"#dataList-box",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :transFee //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  }
});

function culHeight(){
	var winH = $(window).height();
	var domT = $("#dataList-box").offset().top;
	var domH = winH - domT - 25; // 减25是给底部能够完全显示数据
	//alert(domH);
	$("#dataList-box").css({"height":domH + "px"});
}