mui.init({
	beforeback: function(){  // 屏蔽返回
		var client_id = localStorage.getItem("client_id");
		if(client_id){
			return false;
		}else{  //返回true，继续页面关闭逻辑
			return true;
		}		
	} 
});


document.addEventListener("plusready", function(){  
	var reg = new RegExp("(^|&)" + "client_id" + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	var client_id = "", isOur;	 
	var isRequest = false;
	if(r != null){
		client_id = unescape(r[2]);
		/* $('#che-tradeCode').val(client_id.substr(0,9)+"****"
			+client_id.substr(client_id.length-3,client_id.length));	 */
		$('#che-tradeCode').val(client_id);	
	}else {
		$('#che-tradeCode').val("");
	}	 
	var actionMarkType = 0;
	var ticket = localStorage.getItem("ticket");
	// alert("ticket-" + ticket);
	// 判断用户输入的交易编码是否已经绑定过
	$('#getCode').on('touchend',function(e){
		e.preventDefault();
		$("input").blur();
		var idStr = $('#che-ID').val();
		if(idStr == ''){
			mui.toast("请输入身份证号码");
			return;
		}
		actionMarkType = 1;
		getMsgVerify(idStr,0); //获取验证码
	});
	
	$('#next').on('touchend',function(e){
		e.preventDefault();
		$("input").blur();
		var idStr = $('#che-ID').val();
		if(idStr == ''){
			mui.toast("请输入身份证号码");
			return;
		}
		if(!identityCodeValid(idStr)){
			//mui.toast("身份证格式有误");
			return;
		}
		 
		var code = $('#che-code').val();
		if(code == ''){
			mui.toast("请输入手机验证码");
			return;
		}
		actionMarkType = 2;
		getMsgVerify(idStr,code); //校验验证码
	});
	
	$('#goback').on('touchend',function(e){
		e.preventDefault();	
		$(".fail").hide();	 	 
		plus.webview.currentWebview().close(); 
	});
	$('#reinput').on('touchend',function(e){
		e.preventDefault();	
		$(".fail").hide();	 
		//$('#che-ID').val("");
		$('#che-ID').focus();      
	});
	function getMsgVerify(idStr,code){
		if(isRequest){
			return
		}
		isRequest = true;
		$.ajax({
			type: "POST",
			url: urlPre + "real/msgVerify",
			dataType: "json",
			
			beforeSend:function(a){
				//console.log(a);
				$('.lodding').show();
			},
			data:{
				ticket :ticket,
				client_id:client_id,
				actionMark:actionMarkType,
				idType:0,
				idNumber:idStr,
				verificationCode:code
			},
			success: function(res) {
				//console.log(res);	
				console.log('res:' + JSON.stringify(res)); 
				$('.lodding').hide();
				if(res.status) {
					if(actionMarkType == 1){
						isRequest = false;
						if(res.data.returnCode == 0) {
							mui.toast("获取验证码成功");	
							count_Down($("#getCode"));
						}else {
							$("#fail_msg").html(res.data.returnMsg);
							$(".fail").show();
							//mui.toast("获取验证码失败，"+res.data.returnMsg);	
						}						
					}else {
						if(res.data.returnCode == 0 && res.data.verificationResult == 1){
							localStorage.setItem("client_id",""+client_id);
							isOur = res.data.last4Digits;
							console.log("isOur-->"+isOur);
							if(isOur == null){
								isOur = "0";
							}
							
							getRealUser();
						}else {	
							isRequest = false;
							$("#fail_msg").html(res.data.returnMsg);
							$(".fail").show();
							//mui.toast(res.data.returnMsg);	
						}					
					}					
				}else {
					isRequest = false;
					if(res.msg.indexOf("已经绑定过") > -1){
						$("#fail_msg").html(res.msg);
						$(".fail").show();
					}else {
						mui.toast(res.msg);	
					}											
				}
			},
			error : function(){
				$('.lodding').hide();
				isRequest = false;
				mui.toast("请求错误");
				//console.log("请求错误");
			}
		});
	}
	
	// 倒计时 函数
	var timeState;
	function count_Down(_this){
	 	var timer = null;
	 	timeState = 120;
	 	var t = 120;
	 	_this.html(t+' s');
	 	clearInterval(timer);
	 	_this.attr('disabled',true);
	 	timer = setInterval(function(){
	 		if(t == 1){
	 			timeState = 0;
	 			_this.attr('disabled',false);
	 			_this.html('重新获取');
	 			clearInterval(timer);
	 			return;
	 		}
	 		t--;
	 		_this.html(t+' s');
	 	},1000);
	 }
	
	/**
	 * 绑定成功后获取实盘用户信息
	 */
	function getRealUser(){		
		$.ajax({
			type: "POST",
			url: urlPre + "real/getRealUser",
			dataType: "json",
			
			beforeSend:function(a){
				//console.log(a);
			},
			data:{
				ticket :ticket
			},
			success: function(res) {
				if(res.status) {
					var userReal = JSON.stringify(res.data);						 
					localStorage.setItem("userReal",userReal);	
					//var jsonStr = localStorage.getItem("userReal")					 
					//var json = JSON.parse(jsonStr);
					//alert(jsonStr+"="+json.tradeCode);
					localStorage.setItem("userRealNull",'0');
					localStorage.setItem("stepBind",'0');
					$(".success").show();				
				}else{					 
					mui.toast(res.msg);							
				}
			},
			error : function(){
				mui.toast("请求错误");
				//console.log("请求错误");
			}
		});
	}
	 
	$('#gotoLocker').on('touchend',function(e){
		e.preventDefault();	
		$(".success").hide();
		 
		plus.webview.open('setPwd.html?type=0&isOur='+isOur, 'new', {}, 'slide-in-right', 200); 		
		setTimeout(function(){
			var bind = plus.webview.getWebviewById('bind.html');
			if(bind != null){
				bind.close("none");
			}
			plus.webview.currentWebview().close("none");
			 			
		},200);			
	});
	 
});

/* $(function(){
	
	 
}); */
