$("#goHistory").on("tap",function(){
	plus.webview.open('gold-history.html', 'new', {}, 'slide-in-right', 200);
});

var icbcSerialNo = "", tradeDate = "9999-12-31";
var timestamp_init = new Date().getTime();
var beginDate = dates(timestamp_init - 86400000) ,
	endDate = dates(timestamp_init);
// 出入金明细
function transDetail(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "real/transDetail";
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		icbcSerialNo: icbcSerialNo,
			beginDate:beginDate,
			endDate:endDate,
			tradeDate:tradeDate
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			var data = res.data;
			if(data.returnCode == 0){
				if(data.actualRow <= 5){
					mui("#dataList-box").pullRefresh().endPullupToRefresh(true);
				}else {
					mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				}
				$.each(data.discrepancyDetail, function(key,value) {
					if(value.clientId != 0){
						icbcSerialNo = value.icbcSerialNo;
						tradeDate = value.tradeDate;
						 
						var type = ""; // 0入金  1出金
						if(value.transferType == 1){
							type = "出金";
						}else{
							type = "入金";
						}
						var html = '<li>\
										<span>'+value.tradeDate+'</span>\
										<span>'+value.tradeTime+'</span>\
										<span>'+type+'</span>\
										<span>'+value.amount+'</span>\
									</li>';
						$("#dataList").append(html);
					}
				});
			}else if(data.returnCode == 180){
				mui("#dataList-box").pullRefresh().endPullupToRefresh(true);
			}else{
				mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				mui.toast(data.returnMsg);
			}
		}
	});
}
// 上拉加载
mui.init({
  pullRefresh : {
    container:"#dataList-box",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :transDetail //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  }
});

var winH = $(window).height();
var domT = $("#dataList-box").offset().top;
var domH = winH - domT - 25; // 减25是给底部能够完全显示数据
//alert(domH);
$("#dataList-box").css({"height":domH + "px"});