var toDay = new Date();
var endYear = toDay.getFullYear(); 
var beginYear = endYear - 4;//当前年的5前

var option={"type":"date","beginYear":beginYear,"endYear":endYear};
var pickerStart = new mui.DtPicker(option);
var pickerEnd = new mui.DtPicker(option);

//开始时间
document.getElementById('starttime').addEventListener('tap', function(){
    //option={"type":"date","beginYear":"1980","endYear":"2030"};
    // var picker = new mui.DtPicker(option);
    pickerStart.show(function(rs) {
       console.log(rs.text);
       document.getElementById('starttime-text').innerHTML = rs.text;
       beginDate = rs.text;
    }); 
},false);
//结束时间
document.getElementById('endtime').addEventListener('tap', function(){
    //option={"type":"date","beginYear":"1980","endYear":"2030"};
    //var picker = new mui.DtPicker(option);
    pickerEnd.show(function(rs) {
        console.log(rs.text);
        document.getElementById('endtime-text').innerHTML = rs.text;
        endDate = rs.text;
    }); 
},false);

var isRequest = false, firstTime = true;
var initDay = 7 * 86400000;
var timestamp_init = toDay.getTime();
var icbcSerialNo = "", beginDate = dates(timestamp_init - initDay),
	endDate = dates(timestamp_init), tradeDate = "9999-12-31";
$("#endtime-text").html(endDate);
$("#starttime-text").html(beginDate);

var num = 7;
$(".btn-item div").on("tap",function(){
	$(this).addClass("active").siblings().removeClass("active");
	var timestamp = new Date().getTime();
	num = $(this).attr("id");
	var day = timestamp - num * 86400000;
	beginDate = dates(day);
	endDate = dates(timestamp);
	
	$("#endtime-text").html(endDate);
	$("#starttime-text").html(beginDate); 
 
	icbcSerialNo = "";
	tradeDate = "9999-12-31";
	mui('#dataList-box').pullRefresh().refresh(true);
	transDetail();
});

$("#search").on("tap",function(){
	console.log("search...");
	$("#"+num).removeClass("active");
	
	icbcSerialNo = "";
	tradeDate = "9999-12-31";
	mui('#dataList-box').pullRefresh().refresh(true);
	transDetail();
});

// 上拉加载
mui.init({
  pullRefresh : {
    container:"#dataList-box",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :transDetail //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  }
});

// 起始日期 默认一周

// 出入金明细
function transDetail(){
	if(isRequest){
		return;
	}
	isRequest = true;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "real/transDetail";
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		icbcSerialNo: icbcSerialNo,
    		beginDate:beginDate,
    		endDate:endDate,
			tradeDate:tradeDate
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			isRequest = false; 
			if(!res.status){
				mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				mui.toast(res.msg);
				return
			}
			if(icbcSerialNo == ""){
				$("#dataList").empty();
			}
			var data = res.data;
			if(data.success){ // data.returnCode  == 0也是成功
				if(data.actualRow <= 5){
					mui("#dataList-box").pullRefresh().endPullupToRefresh(true);
				}else {
					mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				}
				$.each(data.discrepancyDetail, function(key,value) {
					if(value.clientId != 0){
						icbcSerialNo = value.icbcSerialNo;
						tradeDate = value.tradeDate;
						 
						var type = ""; // 0入金  1出金
						if(value.transferType == 1){
							type = "出金";
						}else{
							type = "入金";
						}
						var html = '<li>\
										<span>'+value.tradeDate+'</span>\
										<span>'+value.tradeTime.replace(".",":").replace(".",":")+'</span>\
										<span>'+type+'</span>\
										<span>'+value.amount/100+'</span>\
									</li>';
						$("#dataList").append(html);
					}
				});
				if(firstTime){
					firstTime = false;
					culHeight();
				}
			}else{
				mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				mui.toast(data.returnMsg);
			}
		},
		error : function(){
			isRequest = false;
			mui.toast("请求失败了！");
		}
	});
}

function culHeight(){
	var winH = $(window).height();
	var domT = $("#dataList-box").offset().top;
	var domH = winH - domT - 25; // 减25是给底部能够完全显示数据
	//alert(domH);
	console.log("domH-->"+domH);
	$("#dataList-box").css({"height":domH + "px"});  
}
