
// 上拉加载
//document.addEventListener("plusready", function(){
var needRefresh = 0;	
mui.init({
	beforeback: function(){
		//获得列表界面的webview
		var realTrade = plus.webview.getWebviewById('realTrade/index.html');
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
		mui.fire(realTrade,'isRefresh', {type:4,refresh:needRefresh});
		//返回true，继续页面关闭逻辑
		return true;
	},
  pullRefresh : {
	container:"#getData",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	up : {
	  height:50,//可选.默认50.触发上拉加载拖动距离
	  auto:true,//可选,默认false.自动上拉加载一次
	  contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	  contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	  callback :getEntrustRecord //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	}
  },
});
  
var pagingOrderNo = "99999999999";
var date = new Date();
var times = date.getTime() - 1 * 86400000; //获取当天的
var beginDate = dates(times), endDate = dates(date.getTime());
var tradeDate = endDate;
var declareTime = "23.59.59";
var ticket = '';//'PypyBef9o0QX6D8C7P/QkQ==';  //测试

function getEntrustRecord() {		
	ticket = localStorage.getItem("ticket");
	console.log(ticket);
	mui.ajax({
		type: "POST",
		url: urlPre + "real/entrustRecord",
		dataType: "json",
		
		beforeSend:function(a) {
			//console.log(a);
			$(".lodding").show();
		},
		data:{
			ticket :ticket,
			code:"",
			orderNo:0,
			queryRange:2,
			beginDate:beginDate,
			endDate:endDate,
			pagingOrderNo:pagingOrderNo,
			tradeDate:tradeDate,
			declareTime:declareTime
		},
		success: function(res) {
			console.log(res);
			$(".lodding").hide();							
			if(!res.status) {
				mui.toast(res.msg);	
				mui("#getData").pullRefresh().endPullupToRefresh(false);
				return
			}
			var data = res.data;					
			if(data.returnCode != 0){
				mui("#getData").pullRefresh().endPullupToRefresh(false);
				mui.toast(data.returnMsg);
				return
			}	
			if(data.actualRow <= 5) {
				mui("#getData").pullRefresh().endPullupToRefresh(true);
			}else {
				mui("#getData").pullRefresh().endPullupToRefresh(false);
			}
			var str = "mAu(T+D),Au(T+D),Ag(T+D)";
			for(var i = 0; i < data.delegationDetail.length; i++){					
				if(data.delegationDetail[i].orderNo != 0) {
					tradeDate = data.delegationDetail[i].tradeDate;
					declareTime = data.delegationDetail[i].declareTime;
					pagingOrderNo = data.delegationDetail[i].orderNo;
										
					var cId = data.delegationDetail[i].contractId;	
					console.log(cId+"-cId->"+str.indexOf(cId));	
					if(str.indexOf(cId) > -1){						 
						 
						var time = declareTime.replace(".", ":").replace(".", ":");				
						var dir = data.delegationDetail[i].businessDirection == 1 ? "买入" : "卖出";
						var pos = data.delegationDetail[i].positionFlag == 0 ? "开仓" : "平仓";
						var status = data.delegationDetail[i].status == 3 ? "未成交" : "部分成交";
						var price = 0;
						if(cId == "Ag(T+D)"){
							price = data.delegationDetail[i].matchPrice / 100;
						}else {
							price = data.delegationDetail[i].matchPrice / 100000;
						}
						 
						var lineStr = '<div class="item" id="' + pagingOrderNo 
						+ '"><div class="item-t"><div class="left">'							
						+ '<span>合约</span>' 
						+ '<span>'+ cId + '</span></div>'
						+ '<div class="center"><span>方向</span>' 
						+ '<span>' + pos + dir + '</span></div>' 
						+ '<div class="right"><span>价格</span>' 
						+ '<span>' + price + '</span></div></div>' 
						
						+ '<div class="item-b"><div class="left"><span>剩余数量</span><span>' 
						+ data.delegationDetail[i].remnantNumber + '</span></div>'
						+ '<div class="center"><span>时间</span><span>'
						+ time + '</span></div>'
						+ '<div class="right"><span>报单状态</span><span>'
						+ status + '</span></div></div>'
						+ '<img src="images/firmOffer_icon_retract@2x.png"/></div>'
						;
						
						$('.dataList').append(lineStr);
					}
				}
			}							  
		},
		error : function(){
			mui.toast("请求错误");
			$(".lodding").hide();
			mui("#getData").pullRefresh().endPullupToRefresh(false);
		}
	});
}

var id = "";
var onclick = false;
$('.dataList').on('tap', ".item img", function(e){
	e.preventDefault();
	
	id = $(this).parent().attr("id");   		
	$('#cancel-shadow').show();
}); 

$('.active').on('tap', function(e){
	e.preventDefault();
	
	if(onclick){
		return;
	}
	onclick = true;
	
	$('#cancel-shadow').hide();
	revokeEntrust(id);
}); 
$('.cancel').on('tap', function(e){
	e.preventDefault();
	onclick = false;
	$('#cancel-shadow').hide();
}); 
 
//撤销订单
function revokeEntrust() {		
	ticket = localStorage.getItem("ticket");
		
	$.ajax({
		type: "POST",
		url: urlPre + "real/revokeEntrust",
		dataType: "json",
		
		beforeSend:function(a){
			//console.log(a);
			$(".lodding").show();
		},
		data:{
			ticket :ticket,
			orderNo:id 
		},
		success: function(res) {
			onclick = false;
			var data = res.data;
			$(".lodding").hide();
			if(res.status) {
				if(data.returnCode == 0 && data.revocationStatus == 1) {
					needRefresh = 1;	
					$("#"+id).remove();	
					mui.toast("撤销订单成功");	 										  								  
				} else {
					//$("#"+id).remove();	//测试
					mui.toast(data.returnMsg);		
				}
			}else{
				mui.toast(res.msg);				
			}
		},
		error : function(){
			onclick = false;
			mui.toast("请求错误");
			$(".lodding").hide();
		}
	});
}
	
//});

/* $(function(){
	
	 
}); */
