var planId;

var isHistory = $.getUrlParam("history");
if(isHistory){
	$('.mui-title').html("历史记录");
	$(".btn-box").hide();
	$(".banner").hide();
}

var client_id = localStorage.getItem("client_id");
if(client_id){
	// 检测到该账号是未绑定交易账户
	$(".banner").hide();
}

//重新开启计划
$("#setPlan").on("tap",function(e){
	hasNewPlan();
});

//获取最近一场完成的投资计划，返回的是主计划，那着主计划的计划期号去获取计划的阶段getRunningState
getRecentlyFinishPlan();
function getRecentlyFinishPlan(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getRecentlyFinishPlan";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
		},
	    dataType:'json',
	    type:'get',
	    timeout:20000,
		success:function(res){
			var data = res.data;
			/*if(!data){
				hasNewPlan();
			}*/
			if(res.code == 200){
				//mui.toast("计划进行中");
				getRunningState(res.data.id);
			}else if(res.code == 224){
				//mui.toast("计划进行中");
				getRunningState(res.data.id);
			}else if(res.code == 225){
				//mui.toast("开启新计划");
			}else if(res.code == 228){
				//mui.toast("完成计划");
			}
			if(!res.data){
				if(isHistory){
					$(".content").hide();
					$(".noHistory").show();
				}
			}
			
			var type = typeCheck(data.type);
			data.profitAbility = decimal(data.profitAbility,2);
			
			if(data.profit > 0){
				$("#trade-profit").addClass("riseColor");
			}else if(data.profit < 0){
				$("#trade-profit").addClass("fallColor");
			}else{
				$("#trade-profit").addClass("c28");
			}
			
			if(data.profitAbility > 0){
				$("#trade-profitAbility").addClass("riseColor");
			}else if(data.profitAbility < 0){
				$("#trade-profitAbility").addClass("fallColor");
			}else{
				$("#trade-profitAbility").addClass("c28");
			}
			
			var createTime = dates(data.createTime);
			var endTime = dates(data.endTime);
			$("#trade-type").html(type);
			$("#trade-capital").html(data.capital);
			$("#trade-profit").html(data.profit);
			data.profitAbility = decimal(data.profitAbility,2);
			data.profitAbility = floatCompletion(data.profitAbility);
			$("#trade-profitAbility").html(data.profitAbility + "%");
			
			$("#createTime").html(dates(data.createTime));
			$("#endTime").html(dates(data.endTime));
			
		}
	});
}


// 是否有新计划
function hasNewPlan(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/hasNewPlan";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
		},
	    dataType:'json',
	    type:'get',
	    timeout:20000,
		success:function(res){
			console.log(res.code);
			if(res.code == 225){
				plus.webview.open("setPlan.html", 'new', {}, 'slide-in-right', 200);
				setTimeout(function(){
					plus.webview.currentWebview().close("none");
				},500);	
			}else if(res.code == 226){
				resCodeTips(res.code);
			}else {
				resCodeTips(res.code);
			}
		}
	});
}

// 获取投资计划详情
function getRunningState(planId){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getRunningState";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		planSeq:planId
		},
	    dataType:'json',
	    type:'get',
	    timeout:20000,
		success:function(res){
			if(res.data){
				if(res.data.length <= 0){
					if(isHistory){
						$(".content").hide();
						$(".noHistory").show();
					}
				}
				if(res.data.length < 4){
					$("#Fourth").hide();
				}
				$.each(res.data,function(key,value){
					var stage = "",price;
					var direction = directionCheck(value.direction);
					if(value.planSeqState == 1){
						stage = "阶段一";
					}else if(value.planSeqState == 2){
						stage = "阶段二";
					}else if(value.planSeqState == 3){
						stage = "阶段三";
					}else if(value.planSeqState == 4){
						stage = "阶段四";
					}
					
					if(value.type != 0){
						price = decimal(value.dealPrice,2);
						price = floatCompletion(price);
					}else{
						price = value.dealPrice;
					}
					
					var html = '<tr>\
								<td>'+stage+'</td>\
								<td>'+direction+'</td>\
								<td>'+price+'</td>\
								<td>'+value.num+'</td>\
							</tr>';
					$("#dataList").append(html);
					
				});
			}
		}
	});
}

// 用户信息
getUserInfo();
function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',//服务器返回json格式数据
	    type:'GET',//HTTP请求类型
	    timeout:20000,//超时时间设置为20秒；
		success:function(res){
		    if(res.code == 200){
				if(!jQuery.isEmptyObject(res.data)){
					// data不为空 登录
					//$("#txImg").html(res.data.nickName);
					$("#nickName").html(res.data.nickName);
					if(res.data.faceUrl){
						$("#txImg").attr("src",res.data.faceUrl);
					}
					
				}
			}
		},
		error:function(){
			console.log("请求错误");
		}
	});
}