mui.init({
 　　　swipeBack: true, //启用右滑关闭功能
 　　　beforeback: function(){//监听物理返回按键的方法
 		plus.webview.currentWebview().close();
 　　　　 /*alert("确定吗");
　　　　　return true;*/
 　　　}
});
//删除已提醒
$('.del-overdue').on('tap',function(e){
	//$("#del-shadow").fadeIn();
	delId = "";
	del_type = ov_state; // 删除已提醒直接传4或5
	deleteUserPriceNotify(delId);
});

$('.cancel').on('tap',function(e){
	$("#del-shadow").hide();
});

$('#del-save').on('tap',function(e){
	$("#del-shadow").hide();
	deleteUserPriceNotify(delId);
});


//关闭提醒（用户日后再开启）

// 获取提醒列表
var index = 1,size = 30 ,state = 1,del_type = "",delId,data1 = true,data2=true;
getUserPriceNotify();
function getUserPriceNotify(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getUserPriceNotify";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		state:state,
    		index:index,
    		size:size,
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			if(res.data.record.length <= 0){
				data1 = false;
				/*$(".noData").show();
				$("#remideList-box").hide();
				$("#goAdd").hide();*/
			}
			if(res.status){
				showUserPriceNotify(res.data.record);
			}
		}
	});
}

function showUserPriceNotify(data){
	$("#dataList").html("");
	$.each(data, function(key,value) {
		var _date = dates(value.createTime);
		var _times = times(value.createTime);
		var price = "",mark = "≥";;
		if(value.downPrice){
			price = value.downPrice;
			mark = "≤";
		}else if(value.upPrice){
			price = value.upPrice;
			mark = "≥";
		}
		var type = typeCodeCheck(value.type);
		var remarkDays = "";
		if(value.expireDays == 1){
			remarkDays = "(24h)";
		}
		var cru_timestamp = new Date().getTime();
		var a = cru_timestamp - value.createTime;
		var percent = value.expireDays - (a / 86400000);
		var width = (percent / value.expireDays) * 100;
		if(width < 0){
			width = 0;
		}
		console.log("占比："+width);  // 已到期的价格提醒未能正确显示，所以百分比图可能显示不准确
		/*var e = (3 / 13) * 100;
		alert(e);*/
		var active = "mui-active";
		if(value.state == 3){
			//active = "mui-disabled";
			active = "";
		}
		//price = formatPrice_Num(price,value.type);
		price = formatPrice(price,value.type)
		var html = '<li class="c">\
						<div class="left fl" state="'+value.state+'" remindId="'+value.id+'">\
							<div class="left-t">\
								<span>'+type+'</span>\
								<em>推送提醒</em>\
								<div>\
									<b style="width:'+width+'%"></b>\
									<i>'+value.expireDays+'天'+remarkDays+'</i>\
								</div>\
							</div>\
							<div class="left-b">\
								<span>价格提醒<i>'+mark+'</i><em>'+price+'</em></span>\
								<span>设置时间:<em>'+_date+'</em><em>'+_times+'</em></span>\
							</div>\
						</div>\
						<div class="right fr">\
							<div switchId="'+value.id+'" state="'+value.state+'" class="aa mui-switch mui-switch-mini '+active+'">\
								<div class="mui-switch-handle"></div>\
							</div>\
						</div>\
					</li>';
		$("#dataList").append(html);
		
	});
	bindRemindCLick2();
	mui('.mui-switch').each(function() {
        mui(this).switch();
    });
    
    var isManual = true;//标志按钮最后状态
	$(".aa").on("toggle",function(event){
		isManual=!isManual;
		
		/*if(!isManual){
			var switchId = $(this).attr("switchId");
			switchPriceNotify(switchId);
		}*/
		
		var switchId = $(this).attr("switchId");
		var switchState = $(this).attr("state");
		if(switchState == 1){
			switchState = 3;
		}else if(switchState == 3){
			switchState = 1;
		}
		switchPriceNotify(switchId,switchState);
		
		console.log("按钮状态:"+isManual);
	});
}


// 获取已提醒列表(状态：1：新建；2：过期；3：暂停；4：已到达；5：已提醒)
var ov_index = 1,ov_size = 20 ,ov_state = 5;
getUserOverduePriceNotify();
function getUserOverduePriceNotify(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getUserPriceNotify";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		state:ov_state,
    		index:ov_index,
    		size:ov_size,
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			if(res.status){
				if(data1){
					$(".overdue-tips").css({"position":"initial"});
				}
				if(res.data.record.length > 0){
					$("#noData").hide();
					$("#goAdd").show();
					$(".del-overdue").show();
					//$(".overdue-list").show();
					//$(".overdue-tips").show();
				}else{
					$(".del-overdue").hide();
					if(ov_state != 4){
						ov_state = 4;
						getUserOverduePriceNotify();
					}else{
						if(!data1){
							$(".overdue-tips").css({"position":"absolute"});
							$(".noData").show();
							$("#remideList-box").hide();
							$("#goAdd").hide();
						}
						
					}
				}
				showUserOverduePriceNotify(res.data.record);
			}
		}
	});
}
var delIds = "";
function showUserOverduePriceNotify(data){
	$(".overdue-list").html("");
	$.each(data, function(key,value) {
		var _date = dates(value.createTime);
		var price = "",mark = "≥";
		if(value.downPrice){
			price = value.downPrice;
			mark = "≤";
		}else if(value.upPrice){
			price = value.upPrice;
			mark = "≥";
		}
		var type = typeCodeCheck(value.type);
		var remarkDays = "";
		if(value.expireDays == 1){
			remarkDays = "(24h)";
		}
		delIds = delIds + "," + value.id;
		price = formatPrice_Num(price,value.type);
		
		var html = '<li class="c">\
						<div class="left fl" state="'+value.state+'" remindId="'+value.id+'">\
							<div class="left-t">\
								<span>'+type+'</span>\
								<em>推送提醒</em>\
								<i>'+value.expireDays+'天'+remarkDays+'</i>\
							</div>\
							<div class="left-b">\
								<span>价格提醒<i>'+mark+'</i><em>'+price+'</em></span>\
								<span>设置时间:<em>'+_date+'</em></span>\
							</div>\
						</div>\
						<div class="right fr">\
							<div class="mui-switch mui-switch-mini mui-active">\
								<div class="mui-switch-handle"></div>\
							</div>\
						</div>\
						<div class="overdue-logo-box">\
							<img src="images/priceReminder_img_02@2x.png"/>\
						</div>\
					</li>';
		$(".overdue-list").append(html);
		
	});
	delIds = delIds.substr(1);
	console.log(delIds);
}


// 删除价格提醒
function deleteUserPriceNotify(id){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/deleteUserPriceNotify";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id:id,
    		state:del_type
		},
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			console.log(res.code);
			if(res.code == 200){
				getUserPriceNotify();
				getUserOverduePriceNotify();
				mui.toast("提醒已删除");
			}else {
				resCodeTips(res.code);
			}
		},
		error:function(){
			mui.toast("请求失败");
		}
	});
}

// 暂停价格提醒

function switchPriceNotify(id,state){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/switchPriceNotify";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id:id,
    		state:state
		},
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			if(res.code == 200){
				if(state == 1){
					mui.toast("提醒已开启");
				}else if(state == 3){
					mui.toast("提醒已关闭");
				}
				getUserPriceNotify();
			}else {
				resCodeTips(res.code);
			}
		}
	});
}


$("#goSetRemind").on("tap",function(){
	goAdd();
});

// 去添加价格提醒
function goAdd(){
	location.href = "addRemind.html";
	//plus.webview.open('add.html', 'new', {}, 'slide-in-right', 200); 
}
$("#closeWindow").on("tap",function(){
	plus.webview.currentWebview().close(); // 关闭当前窗口
});


// 优化长按事件
var isLongTouch = false;
function bindRemindCLick2(){
	$("#dataList li .left").on({
		touchstart: function(e){
			longPress2($(this));
			setTimeout(function(){
				isLong($(this));
			},1000);
		},
		touchmove: function(e){
	        clearInterval(timing2);
		},
		touchend: function(e){
			if(touchState2>=1){ 
			   isLongTouch = true;
			   isLong($(this));
			}
			touchState2 = 0;
			clearInterval(timing2);
			return false; 
		}
	});
}

var touchState2 = 0, timing2 = null;
function longPress2(_this){ 
    timing2 = setInterval(function(){
    	touchState2 = touchState2 + 0.2; // 0.5秒
    	if(touchState2 >= 1){
    		console.log("长按");
		    $("#del-shadow").fadeIn();
			delId = _this.attr("remindId");
			del_type = _this.attr("state");
			isLongTouch = false;
			touchState2 = 0;
    	}
    },100);
    console.log("长按事件触启动了"); 
}

function isLong(_this){
	if(isLongTouch){
		console.log("长按");
	    $("#del-shadow").fadeIn();
		delId = _this.attr("remindId");
		del_type = _this.attr("state");
		isLongTouch = false;
	}
}
