var capacity = 10000,type = 0;
/*$(".picker-capital").on("tap","div",function(){
	$(this).addClass("active").siblings().removeClass("active");
	$(".picker-type div").removeClass("cannot");
	var this_val = $(this).find("span").html();
	var typeArr = $(".picker-type div");
	capacity = this_val;
	for(var i=0; i<typeArr.length; i++){
		var typeVal = $(typeArr[i]).attr("val");
		
		if(parseInt(typeVal) > parseInt(this_val)){
			$(typeArr[i]).addClass("cannot");
		}
	}
});*/

$(".picker-capital").on("tap","div",function(){
	$(this).addClass("active").siblings().removeClass("active");
	var this_val = $(this).find("span").html();
	var orderBy = $(this).attr("orderBy");
	capacity = this_val;
	console.log(orderBy);
	getScreenPordRelate(orderBy);
});

var txImg = localStorage.getItem("loginImg");
if(txImg){
	$("#txImg").attr("src",txImg);
}

$(".picker-type").on("tap","div",function(){
	if(!$(this).hasClass("cannot")){
		type = $(this).attr("key");
		$(this).addClass("active").siblings().removeClass("active");
		var typeText = advantage_map[$(this).find("span").html()];
		$("#advantage").html(typeText);
	}
});
$("#save").on("tap",function(){
	console.log(capacity);
	console.log(type);
	if(!type){
		mui.toast("请选择投资品种");
		return false;
	}
	var pickMoney = $(".picker-capital .active span").html();
	var pickType = $(".picker-type .active span").html();
	$("#startMoney").html(pickMoney);
	$("#startType").html(pickType);
	$("#start-shadow").show();
	//startPlan();
});

$(".cancel").on("tap",function(){
	$("#start-shadow").hide();
});
$("#start-save").on("tap",function(){
	$("#start-shadow").hide();
	startPlan();
});
// 开启新计划
function startPlan(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/startPlan";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		capacity:capacity,
    		type:type,
		},
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			console.log(res.code);
			if(res.code == 200){
				mui.toast("开始计划吧！");
				updatePushSetting();
				plus.webview.open('planDetail.html', 'new', {}, 'slide-in-right', 200);
				setTimeout(function(){
					plus.webview.currentWebview().close("none");
				},500);
			}else if(res.code == 236){
				mui.toast("投资计划不在设置时间段范围之内或已结束");
			}else {
				resCodeTips(res.code);
			}
		},
		error:function(){
			mui.toast("请求失败");
		}
	});
}

// 用户信息
getUserInfo();
function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
		    if(res.code == 200){
				if(!jQuery.isEmptyObject(res.data)){
					// data不为空 登录
					//$("#txImg").html(res.data.nickName);
					$("#nickName").html(res.data.nickName);
				}
			}
		},
		error:function(){
			console.log("请求错误");
		}
	});
}

//获取投资计划筛选时页面加载筛选内容
getPlanScreenConfig();
function getPlanScreenConfig(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getPlanScreenConfig";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			console.log(res.code);
			var data = res.data;
			if(res.code == 200){
				$.each(data, function(key,value) {
					var active = "";
					if(key == 0){
						active = "active";
					}
					var html = '<div class="middle dom-center '+active+'" orderBy="'+value.orderBy+'">\
									<span>'+value.screenValue+'</span>\
								</div>';
					$(".picker-capital").append(html);
				});
				getScreenPordRelate(data[0].orderBy);
			}else {
				resCodeTips(res.code);
			}
		},
		error:function(){
			mui.toast("请求失败");
		}
	});
}

//根据投资计划筛选资金量时动态加载对应筛选的合约代码的内容
//getScreenPordRelate(1);
function getScreenPordRelate(screen_id){
	$(".picker-type").html("");
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getScreenPordRelate";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		screen_id:screen_id
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){			
			//console.log('item:' + JSON.stringify(res));
			 
			var data = res.data;
			if(res.code == 200){
				$.each(data, function(key,value) {
					var cannot = "";
					if(value.isEnable == 0){
						cannot = "cannot";
					}
					var attrKey = "";
					if(value.prodCode.prodCode == "Ag(T+D)"){
						attrKey = 0;
					}else if(value.prodCode.prodCode == "mAu(T+D)"){
						attrKey = 2;
					}else if(value.prodCode.prodCode == "Au(T+D)"){
						attrKey = 1;
					}
					var html = '<div val="'+value.planScreen.screenValue+'" key="'+attrKey+'" class="middle dom-center '+cannot+'">\
									<span>'+value.prodCode.prodCode+'</span>\
								</div>';
					$(".picker-type").append(html);
				});
			}else {
				resCodeTips(res.code);
			}
		},
		error:function(){
			mui.toast("请求失败");
		}
	});
}

// 开启投资计划推送
function updatePushSetting(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/updatePushSetting";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		settingType:"invest_plan",
    		settingValue:1
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			
		},
		error : function(error){
			mui.toast("投资计划推送请求失败")
		}
	});
}


var advantage_map = {
	'Au(T+D)':'上金所标准递延产品，开仓一手需要3万元左右，跟随国际金价，适合资金量大的客户。交易单位为1000克/手，保证金为9%。',
	'Ag(T+D)':'开仓一手需要400元左右，交易所需资金少，特别适合资金量少的客户，资金和仓位都容易调整。Ag(T+D）相对Au(T+D)和mAu(T+D)波动率更大，并具有工业属性，可操作空间大。交易单位为1000克/手，保证金为10%。',
	'mAu(T+D)':'开仓一手需要3千元左右，是Au（T+D)合约的十分之一，适合资金量较少的客户，容易灵活调整仓位。交易单位为100克/手，保证金为9%。',
};

function his(){
	//location.href = "planEnd.html?history=1";
	plus.webview.open("planEnd.html", 'new', {}, 'slide-in-right', 200);
}