
//监听自定义事件，用于和B.html页面进行通信
var addId;
var isRequest = false;
window.addEventListener("changeCity", function(e) {
	addId = e.detail.addrId;
	document.getElementById("addr").innerHTML = e.detail.cityName;
});
var userScore = 0;
getUserInfo();
// 兑换
$('#cancel').on('tap',function(e){
	e.preventDefault();
	$(".confirm-shadow").hide();
	$("#num").html(1);
	$("html,body").css("overflow","initial");
	PageScrolling();
});
var exNum,num,goods_title;
$('#submit').on('tap',function(e){
	//e.preventDefault();
	//console.log("isRequest:"+isRequest);
	if(isRequest){
		return;
	}
	if(!addId){
		mui.toast("请选择地址");
		return false;
	}
	
	num = $("#num").html();
	goods_title = $(".good-title").html();
	exNum = $("#exNum").html();
	if(userScore < parseInt(exNum)){
		isRequest = true;
		mui.toast("您的元宝不足");
		setTimeout(function(){						 	 
			isRequest = false;
		},1000);
		return false;
	}
	
	$(".confirm-shadow").hide();
	productExchange();
	PageScrolling();
});

$('.submit span').on('tap',function(e){
	e.preventDefault();
	var showExNum = $(".price").html();
	$("#exNum").html(showExNum);
	$("#shadow-t").html($(".good-title").html());
	
	$(".confirm-shadow").fadeIn();
	$("html,body").css("overflow","hidden");
	stopPageScrolling();
});

var score;

// 增加
$('#plus').on('tap',function(e){
	var plusNum = $("#num").html();
	var plusExNum = $("#exNum").html();
	plusNum = parseInt(plusNum) + 1;
	plusExNum = parseInt(plusExNum) + score;
	$("#num").html(plusNum);
	$("#exNum").html(plusExNum);
});

// 减
$('#reduce').on('tap',function(e){
	var plusNum = $("#num").html();
	var plusExNum = $("#exNum").html();
	if(plusNum <= 1){
		return;
	}
	plusExNum = parseInt(plusExNum) - score;
	plusNum = parseInt(plusNum) - 1;
	
	$("#num").html(plusNum);
	$("#exNum").html(plusExNum);
});

var id = $.getUrlParam("goodsId");

productDetail();
function productDetail(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "act/productDetail";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id:id
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log('success:' + JSON.stringify(res));
			var data = res.data;
			if(res.code == 200){
				//$(".goodsImg-box img").attr("src",data.images);
				addBanner(data.images.split("|"));
				$(".good-title").html(data.title);
				$(".good-alias").html(data.alias);
				$(".price").html(data.score);
				score = data.score;
				//$(".d-brief-content").html(data.brief);
				/*var contents = data.content.split("#");
				for(var i = 0; i < contents.length; i++){
					var c = contents[i].split(":");
					var html = '<div class="d-details-item"><div class="d-d-title fl">'
					+ c[0] + ':</div><p class="d-d-content fl">' + c[1] + '</p>';
					$(".d-details-con").append(html);
				}				
				*/
			   var remarks = "无";
			   if(data.remarks){
			   	  remarks = data.remarks;
			   }
			   $(".d-tips-content").html(remarks);
			   var imgs = $(".d-tips-content img");
			   if(imgs != null){
			   	for(var i = 0; i < imgs.length; i++){
			   		var src = $(imgs[i]).attr("src");
			   		//console.log("src:"+src);
			   		if(src.indexOf('http') < 0){
			   			src = imageDomain + src;
			   			$(imgs[i]).attr("src", src);
			   		}				
			   	}
			   }
			   
				var detailImg = data.detail.split("|");
				for(var i=0; i < detailImg.length; i++){
					$(".d-details-con").append('<img src="'+detailImg[i]+'">');
					//$(".d-tips-content").append('<img src="'+detailImg[i]+'">');
				}
			}else{
				mui.toast(res.msg);
			}
		}
	});
}

/**
 * 添加banner
 */
function addBanner(bannerData){
	var item = bannerData[bannerData.length - 1];
	var img = item;
	var lastImgUrl = bannerData[0];
	if(!img.startsWith("http")) {
		img = urlPre + img;
	}
	
	var lineStr = '';
	var first = '<div class="mui-slider-item mui-slider-item-duplicate" id="yu">' + '<a><img src="' + img + '"></a></div>';
	var last = '<div class="mui-slider-item mui-slider-item-duplicate">' + '<a><img src="' + lastImgUrl + '"></a></div>';
				
	$(".mui-slider-loop").empty();
	$(".mui-slider-indicator").empty();
	$(".mui-slider-loop").append(first);
	
	for(var i = 0; i < bannerData.length; i++){		
		item = bannerData[i];
		console.log("item->"+item);
		img = item;
		if(!img.startsWith("http")){
			img = urlPre + img;
		}
		if(i == 0){
			$(".mui-slider-indicator").append('<div class="mui-indicator mui-active"></div>');	
		}else {
			$(".mui-slider-indicator").append('<div class="mui-indicator"></div>');
		}
		var imgDiv = '<div class="mui-slider-item"><a href="##"><img src="'+img+'"></a></div>';
		$(".mui-slider-loop").append(imgDiv);
	}
	$(".mui-slider-loop").append(last);
	mui("#slider").slider(); // 解决动态加载图片后无法滚动
}

// 元宝商城兑换
function productExchange(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "act/productExchange";
	// console.log(ticket);
	console.log(id);
	// console.log(num);
	// console.log(addId);
	isRequest = true;
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id:id,
			num:num,
    		addressId:addId
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			isRequest = false;
			var data = res.data;
			console.log(res.code);
			if(res.code == 200){
				var personal = plus.webview.getWebviewById('personal/personal.html');
				if(personal){
					personal.evalJS('refreshScore(-'+exNum+')');
				}
				/* var yuanbao = plus.webview.getWebviewById('shop/yuanbao.html');
				console.log("yuanbao->"+(yuanbao==null));
				if(yuanbao){
					yuanbao.evalJS('refreshScore(-'+exNum+')');
				} */
				mui.toast("兑换成功"); 
				$("#num").html(1);
				plus.webview.open('exchangeSuccess.html?num='+num+'&yuanbao='+exNum+'&addrId='+addId+'&goods_title='+goods_title, 'new', {}, 'slide-in-right', 200);
				delayedColse();
				//刷新个人页面;			
				var personal = plus.webview.getWebviewById('personal/personal.html');
				if(personal){
					personal.evalJS("getUserInfo()"); 
				}
			}else{
				$("#num").html(1);
				mui.toast(res.msg); 				 
			}		
		},
		error : function(){	
			isRequest = false;
			mui.toast("网络请求出错了！"); 	
		}
	});
}

// 获取收货地址
getUserAddr();
function getUserAddr(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserAddr";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		isDefault:1
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){			
			if(res.code == 200){
				var data = res.data[0];
				var addr = "";
				if(data != null && data.addr != null){
					addr = data.addr+data.addrDetail;
					addId = data.id;
				}				
				$("#addr").html(addr);				
			}else{
				//mui.toast('添加失败,原因:'+res.msg);
			}
		}
	});
}

$("#changeAddr").on("tap",function(){
	var thumb = $(this).attr("thumb");
	plus.webview.open('../addr/addrList.html?change=1', 'addrList.html', {}, 'slide-in-right', 200);
});

function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
		    if(res.code == 200){
				if(!jQuery.isEmptyObject(res.data)){
					// data不为空 登录
					var userTypeVal = res.data.userType;
					userScore = res.data.score;
				}
			}
		},
		error:function(){
			console.log("请求错误");
		}
	});
}

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

if (isIOS) {
	$(".baseInfo .price").css({"background-position":".0rem center"});
	$("#num").css({"line-height":0.32+"rem"});
}