mui.init({
	swipeBack: true, //启用右滑关闭功能
　　beforeback: function(){//监听物理返回按键的方法
		plus.webview.currentWebview().close();
		//return true;		 
 　},
  pullRefresh : {
    container:".query-body",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多商品了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :productPage //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  },
});
var goods_index = 0, goods_size = 20, sort = 0;
var bNo0 = false;
		
// 获取元宝商城产品列表
function productPage(){
	goods_index++;
	var url =  urlPre + "act/productPage";
	mui.ajax(url,{
    	data:{
    		pageNo:goods_index,
    		pageSize:goods_size,
			sort:sort
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			var data = res.data;
			if(res.code == 200){
				var bNo = (goods_index >= res.data.totalPage);
				mui(".query-body").pullRefresh().endPullupToRefresh(bNo);
				
				$.each(data.record,function(key,value){
					var html = '<li goodsId="'+value.id+'">\
									<div class="shop-img-box">\
										<img src="'+value.thumb+'"/>\
									</div>\
									<p>'+value.title+'</p>\
									<div class="price">'+value.score+'</div>\
								</li>';
					
					$("#dataList"+sort).append(html);	
				});
				 
			}else{
				mui.toast(res.msg);
			}
		},
		error : function(){			
			mui(".query-body").pullRefresh().endPullupToRefresh(false);
			mui.toast("请求错误"); 
		}		
	});
}

// 绑定商品列表点击事件
$(".shop-dataList").on("tap","li", function(key,value){
	var id = $(this).attr("goodsId");
	console.log("id->"+id);
	plus.webview.open('goodsDetails.html?goodsId='+id, 'goodsDetails.html', {},
	 'slide-in-right', 200);
});

culHeight();
function culHeight(){
	var winH = $(window).height();
	var domT = $(".query-body").offset().top;
	var domH = winH - domT; // 减25是给底部能够完全显示数据
	$(".query-body").css({"height":domH+"px"});
	//alert(domH);
}