//$(function(){
	
// 获取最新价
getLatestPrice();
function getLatestPrice(){
	var typeVal = "Au(T+D)";
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "common/getTypeMarket";
	mui.ajax(url,{
    	data:{
			ticket:ticket,
			code:typeVal
		},
		async:false,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){	
			//console.log("res->"+JSON.stringify(res));
			var data = res.data;
			if(res.status){				
				$.each(data[typeVal], function(key,value) {
					if(value.contractId == typeVal){
						$("#au-LatestPrice").html(value.latestPrice/100);
						return false;
					} 
				});							
			}
		}
	});
	
	//return LatestPrice;
}
//获取最新一期信息
var seqId = 0;
var endTime = null;
getThisPeriod();
function getThisPeriod(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "act/getThisPeriod";
	var LatestPrice;
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
		async:true,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			//console.log(res);		
			if(res.status){	
				var data = res.data.actGuessRiseFail;
				seqId = data.id;
				endTime = dates(data.endTime, true);
				endTime = endTime.replace("/","月");
				
				$(".thisDate").html(endTime);
				$(".preDate").html(dates(data.startTime,true).replace("/","月"));
				$("#endTime").html(dateTimeCN(data.endTime)); 
				$(".getPrice").html(data.scoreNum);				 
				var riseRate = data.riseNum / (data.riseNum + data.failNum) * 100 ;
				$(".ratio-item").width(riseRate + "%");
				$("#rise").html(riseRate.toFixed(2) + "%"); 
				$("#down").html((100-riseRate).toFixed(2) + "%"); 				
				$("#prePrice").html(decimal(data.previousPrice,2).toFixed(2)); 
			 
				var record = res.data.actGuessRiseFailRecord;
				if(record != null){
					$(".pick-btn-box").hide();
					$(".alreadyInvolved").show();
					var myanswer = record.answer == 1 ? "涨" : "跌";
					$("#updown").html(myanswer); 
					$("#priceTime").html(endTime); 
				}
			}else {
				mui.toast(res.msg);
			}
		}
	});
}
//获取我的最新参与开奖记录
getNewRecordState();
function getNewRecordState(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "act/getNewRecordState";
	var LatestPrice;
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
		async:true,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			
			if(res.status) {
				var data = res.data;
				if(data != null){
					$("#myPriceTime").html(dates(data.settleTime,true).replace("/","月"));			
					$("#myPrice").html(data.thisPrice);					
					if(data.state == 0) {
						/*$("#myCorrect").html("错误");
						$("#myUp").html(data.answer==0 ? "涨" : "跌");
						$("#myGet").html("0");*/
					}else {
						$("#myCorrect").html("正确");
						$("#myUp").html(data.answer==0 ? "跌" : "涨");
						$("#myGet").html(data.award);
						$(".shadow-res").fadeIn();
					}
				}			
			}
		}
	});
}

//参与活动
var answer;
function joinThisPeriod(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "act/joinThisPeriod";
	var LatestPrice;
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		seqId:seqId,
    		answer:answer
		},
		async:true,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			var data = res.data;
			if(res.status){
				$(".pick-btn-box").hide();
				$(".alreadyInvolved").show();
				var myanswer = answer == 1 ? "涨" : "跌";
				$("#updown").html(myanswer); 
				$("#priceTime").html(endTime); 
				mui.toast("预测成功");
				$(".no-involvement").hide();
				$(".alreadyInvolved").show();
			}else {
				mui.toast(res.msg);
			}
		}
	});
	return LatestPrice;
}


//点击事件
$("#guess-rise").on("tap",function(){
	$("#riseOrFall-img").attr("src","images/guess_img_ups02@2x.png");
	$("#riseOrFall-font").html("涨");
	$("#guess-sure-shadow").fadeIn();
	answer = 1;
});
$("#guess-fall").on("tap",function(){
	$("#riseOrFall-img").attr("src","images/guess_img_downs02@2x.png");
	$("#riseOrFall-font").html("跌");
	$("#guess-sure-shadow").fadeIn();
	answer = 0;
});

$(".cancel").on("tap",function(){
	$(".shadow").hide();
});

$("#save").on("tap",function(){
	$(".shadow").hide();
	joinThisPeriod();
});

//});

/* document.addEventListener( "plusready", function(){  
	var info = plus.push.getClientInfo();
	clientid = info.clientid;
}, false ); */

function his(){
	plus.webview.open("guessHistory.html", 'new', {}, 'slide-in-right', 200);
}