// 上拉加载
mui.init({
  pullRefresh : {
	container:"#pullrefresh",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	up : {
	  height:50,//可选.默认50.触发上拉加载拖动距离
	  auto:true,//可选,默认false.自动上拉加载一次
	  contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	  contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	  callback :guessHistory //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	}
  },
});
 
// 获取参与记录
var index = 0;

function guessHistory() {
	var pNo = 0;
	pNo = index + 1;
	
	var ticket = localStorage.getItem("ticket");
	//ticket = "PypyBef9o0QX6D8C7P/QkQ=="; //测试
	var url =  urlPre + "act/getUserHisPeriod";
	var LatestPrice;
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:pNo,
    		size:10
		},
		async:true,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			//console.log(res);		
			if(res.status){	
				var data = res.data;
				index = pNo;
				if(data != null && data.record != null){
					$.each(data.record, function(key,value) {	
						
						var answer = value.answer == 1 ? "看涨" : "看跌";
						var answerCls = value.answer == 0 ? "fallColor" : "riseColor";
						var orange = value.state == 1 ? "orange" : "";
						
						var correct = "";
						var award = 0;
						if(value.isSettle != 0) {
							if(value.state == 1) {
								award = value.award;
								correct = '<span class="mui-icon mui-icon-checkmarkempty orange"></span>';
							}else {
								correct = '<span class="mui-icon mui-icon-closeempty"></span>';
							}
						}else {
							correct = '<span>未开奖</span>';
						}
						 					
						var lineStr = '<tr><td>'
						+ dates(value.joinTime) + '</td><td class="' + answerCls + '">'
						+ answer + '</td><td>' 
						+ correct + '</td><td class="'+orange+'">' 
						+ award
						+ '</td></tr>';
						
						$('#dataList').append(lineStr);					
					});	
					var bNo = (index >= data.totalPage);
					mui("#pullrefresh").pullRefresh().endPullupToRefresh(bNo);
				}				
			}
		}
	});
}

 