mui.init({
	swipeBack:true //启用右滑关闭功能
});
var changeAddr = $.getUrlParam("change");
var isDefault = 0,updateData = {},dataList = [];

$('#goAdd-btn').on('touchend',function(e){
	e.preventDefault();
	//location.href = "add.html";
	plus.webview.open('add.html', 'add.html', {}, 'slide-in-right', 200); 
});

window.addEventListener("refresh", function(e) {
	getUserAddr();
});

function edit(){
	$('.edit').on('touchend',function(e){
		e.preventDefault();
		var id = $(this).attr("id");
		//location.href = "add.html?id="+id;
		plus.webview.open('add.html?id='+id, 'add.html', {}, 'slide-in-right', 200); 
	});
	$('.delete').on('touchend',function(e){
		e.preventDefault();
		var id = $(this).attr("key");
		delAddr(id);
	});
	
	// 设置默认
	$('.default-box').on('touchend',function(e){
		e.preventDefault();
		var addrId = $(this).attr("addrId");
		setDefaultAddr(addrId);
		/*if($(this).hasClass("seTdefault")){  // 不默认
			isDefault = 0;
			$(this).find("img").attr("src","images/icon_unchecked@2x.png");
			$(this).removeClass("seTdefault");
		}else{ // 默认
			isDefault = 1;
			$(this).find("img").attr("src","images/icon_selection@2x.png");
			$(this).addClass("seTdefault");
		}*/
	});
	
}


// 获取收货地址
getUserAddr();
function getUserAddr(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserAddr";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		isDefault:isDefault
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			if(res.code == 200){
				dataList = res.data;
				//mui.toast('添加地址成功');
				if(res.data.length > 0){
					$("#addrList").show();
					$("#noAddr").hide();
					showAddrList(res.data);
				}else{
					$("#addrList").hide();
					$("#noAddr").show();
				}
			}else{
				//mui.toast('添加失败,原因:'+res.msg);
			}
		}
	});
}

// 展示收货地址列表
function showAddrList(data){
	$("#addrList").html("");
	$.each(data,function(key,value){
		var addr = value.addr+value.addrDetail;
		var defaultImg = "images/icon_unchecked@2x.png";
		if(value.isDefault == 1){
			defaultImg = "images/icon_selection@2x.png";
		}
		var html = '<div class="add-item">\
					<div class="add-item-t c" addrId="'+value.id+'">\
						<span class="fl">'+value.receiveMan+'</span>\
						<em class="fr">'+value.receivePhone+'</em>\
						<p style="display:none;" addrId="'+value.id+'">'+addr+'</p>\
					</div>\
					<div class="add-item-c c" addrId="'+value.id+'">\
						<p>'+addr+'</p>\
					</div>\
					<div class="add-item-b c">\
						<div class="fl">\
							<div addrId="'+value.id+'" class="default-box add-item-b-pick c">\
								<i class="fl"><img src="'+defaultImg+'" alt="" /></i>\
								<span class="fl">设为默认收货地址</span>\
							</div>\
						</div>\
						<div class="fr add-item-b-pick-r">\
							<span id="'+value.id+'" class="edit mui-icon mui-icon-compose"></span>\
							<span key="'+value.id+'" class="delete mui-icon mui-icon-trash"></span>\
						</div>\
					</div>\
				</div>';
		$("#addrList").append(html);
	});
//	$("#addrList").before("<div class='hr' style='margin-top:.18rem'></div>");
	$(".add-item").eq(0).css({"border-top":"5px solid #F1F1F1"});
	edit();
}

// 设为默认地址(同更新收货地址接口)
function setDefaultAddr(id){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/setDefault";
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		id: id,
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			if(res.code == 200){
				mui.toast('设置成功');
				getUserAddr();
			}else{
				mui.toast('设置失败,原因:'+res.msg);
			}
		}
	});
}
// 删除收货地址
function delAddr(id){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/deleteUserAddr";
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		id: id,
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			if(res.code == 200){
				mui.toast('删除成功');
				getUserAddr();
			}else{
				mui.toast('删除失败,原因:'+res.msg);
			}
		}
	});
}

// 去添加收货地址
function goAdd(){
	//location.href = "add.html";
	plus.webview.open('add.html', 'add.html', {}, 'slide-in-right', 200); 
}

//mui 子页面回传值到父页面
function postParameter(){
	//B页面
	mui.plusReady(function() {
		$('body').on('tap', '.add-item-c,.add-item-t', function() {
			if(!changeAddr){
				return;
			}
			var cityName = $(this).find("p").html();
			var addrId = $(this).attr("addrId");
			//获取父页面A.html
			var main=plus.webview.getWebviewById("goodsDetails.html");
			//自定义事件,事件名为changeCity
			mui.fire(main,'changeCity',{cityName:cityName,addrId:addrId});
			//关闭子页面
			mui.back();
		})
	});
}
postParameter();
