mui.init({
 　　　swipeBack: false, //启用右滑关闭功能
 　　　beforeback: function(){//监听物理返回按键的方法
 		plus.webview.currentWebview().close();
 　　　　 /*alert("确定吗");
　　　　　return true;*/
 　　　}
});


/*$('#msg-nav span').on('touchend',function(e){
	e.preventDefault();
	$(this).addClass("active").siblings().removeClass("active");
	var index = $(this).attr("index");
	$('.id-tab').hide();
	$('.id-tab').eq(index).show();
});*/

$('#msg-nav span').on('touchend',function(e){
	e.preventDefault();
	$(this).addClass("active").siblings().removeClass("active");
	var index = $(this).attr("index");
	$('.id-tab').hide();
	$('.id-tab').eq(index).show();
});

$('.mui-icon-loop').on('tap',function(e){
	refresh();
});

// 保证金比例
$('#showDeposit').on('touchend',function(e){
	e.preventDefault();
	$("#deposit-shadow").fadeIn();
});
$('.ok').on('touchend',function(e){
	e.preventDefault();
	$("#deposit-shadow").hide();
});
// 查看止盈止损

$('#show-stop').on('touchend',function(e){
	e.preventDefault();
	getStopLose();
	$("#show-stop-shadow").fadeIn();
});
$('#s-stop-cancel').on('touchend',function(e){
	e.preventDefault();
	$("#show-stop-shadow").hide();
});
$('#s-stop-save').on('touchend',function(e){
	e.preventDefault();
	$("#show-stop-shadow").hide();
});


// 获取用户信息
getUserInfo();
function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/acc/userInfo";
	console.log(ticket);
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',
	    type:'GET',
	    beforeSend:function(a){
	    	console.log("请求发送前");
		},
		success:function(res){
			var data = res.data;
			if(res.status){
				if(data.profitAbility > 0){
					$("#profitAbility").addClass("riseColor");
				}else if(data.profitAbility < 0){
					$("#profitAbility").addClass("fallColor");
				}else{
					$("#profitAbility").addClass("c999");
				}
				
				if(data.lastMonthAbility > 0){
					$("#lastMonthAbility").addClass("riseColor");
				}else if(data.lastMonthAbility < 0){
					$("#lastMonthAbility").addClass("fallColor");
				}else{
					$("#lastMonthAbility").addClass("c999");
				}
				
				$("#capitalAvailable").html(data.capitalAvailable);
				$("#principal").html(data.capital);
				$("#profitAbility").html(data.profitAbility+'%');
				$("#lastMonthAbility").html(data.lastMonthAbility+'%');
				// 资产合计
				$("#total").html(data.totalAsset);
			}
		},
		error : function(error){
		}
	});
}


// 获取持仓列表
getPositionList();
function getPositionList(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/position";
	console.log(ticket);
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code == 200){
	    		if(res.data.length > 0){
	    			showPositionList(res.data);
	    		}else{
	    			$("#position-dataList").html('<tr style="border:none;"><td colspan="5" style="color: #999;">您暂无持仓</td></tr>');
	    		}

	    	}
		},
		error : function(error){
			mui.toast("获取失败")
		}
	});
}

function showPositionList(data){
	$("#position-dataList").html("");
	$.each(data,function(key,value){
		var type,direction,price;
		if(value != null){
			type = typeCheck(value.exchType);
			direction = manyAndEmptyCheck(value.direction);
			if(!value.avgPrice){
				value.avgPrice = 0;
			}
			if(value.exchType == 1 || value.exchType == 2){
				price = floatCompletion(value.avgPrice);
			}else{
				price = value.avgPrice;
			}
			if(value.num > 0){
				var html = '<tr>\
								<td>'+type+'</td>\
								<td>'+direction+'</td>\
								<td>'+value.num+'</td>\
								<td>'+price+'</td>\
								<td class="changeColor">'+decimal(value.floatProfit,2)+'</td>\
							</tr>';
				$("#position-dataList").append(html);
			}
		}
		changeColor();
	});
}
function changeColor(){
	var obj = $(".changeColor");
	for(var i=0; i<obj.length; i++){
		if(parseInt($(obj[i]).html()) < 0){
			$(obj[i]).css({"color":"#3eb15e"});
		}else if($(obj[i]).html() > 0){
			$(obj[i]).css({"color":"#F35F5F"});
		}
	}
	
}

//止盈止损---------------------------------------------------------
var stopParm = {
	type:1,
	dr:'',
	stopProfitPrice:0,
	stopLosePrice:0,
	num:0,
	effDays :0
};
var stopTypeVal = 1;

function initStopParm(){
	$("#number").val(0);
	$("#stop-endDate").val(1);
	$("#stop-profit").val("");
	$("#stop-loss").val("");
}


$('.cancel').on('touchend',function(e){
	e.preventDefault();
	$(".shadow").hide();
});

$('#setStop').on('tap',function(e){
	getAvaliablePosition(1);
	var init_cru_timestamp=new Date().getTime() + 86400000;
	var init_stopEndDay = dates(init_cru_timestamp);
	$("#Effective-date").html(init_stopEndDay);
	$("#stop-type-text").html("Au(T+D)");
	getLatestPrice("Au(T+D)");
	initStopParm();
	$("#stop-shadow").show();
});

$('.stop-radio input').click(function(){
	$(".stop-radio .radio-style").removeClass("active");
	$('.stop-radio input[name="sex"]:checked').prev().addClass("active");
	var positionNum = $(this).val();
	runLine(parseInt(positionNum));
	$("#number").val($('.stop-radio input[name="sex"]:checked').next().find("em").html());
});


// 数量滑块调用函数
function runLine(maxNum){
	$(".demo").html("");
	$(".demo").html('<input type="text" class="single-slider" value="0" />');
	$('.single-slider').jRange({
		from: 0,
		to: maxNum,
		step: 1,
		//scale: [0,2500,5000,7500,10000],
		format: '%s',
		width: 300,
		showLabels: true,
		showScale: true
	});
}

/*$('#number').bind('input propertychange', function(){
	var thisVal = $(this).val();
	if(thisVal > stopRangeVal){
		$(this).val(stopRangeVal);
	}
});*/

$('#number').change(function(){
	var thisVal = $(this).val();
	if(thisVal > stopRangeVal){
		$(this).val(stopRangeVal);
	}
});

// 天数
$("#stop-plus").on("tap",function(){
	var stop_endDate = parseInt($("#stop-endDate").val()) + 1;
	$("#stop-endDate").val(stop_endDate);
	
	var stop_endDate = $("#stop-endDate");
	var stopDays;
	if(stop_endDate.val() != 0){
		stopDays = parseInt(stop_endDate.val()) * 86400000;
	}
	if(stop_endDate.val() > 20){
		stop_endDate.val(20);
	}
	var cru_timestamp=new Date().getTime() + stopDays;
	var stopEndDay = dates(cru_timestamp);
	$("#Effective-date").html(stopEndDay);
	
});
$("#stop-reduce").on("tap",function(){
	var stop_endDate;
	if(parseInt($("#stop-endDate").val()) > 1){
		stop_endDate = parseInt($("#stop-endDate").val()) - 1;
		$("#stop-endDate").val(stop_endDate);
	}else{
		$("#stop-endDate").val(1);
	}
	
	var stop_endDate = $("#stop-endDate");
	var stopDays;
	if(stop_endDate.val() != 0){
		stopDays = parseInt(stop_endDate.val()) * 86400000;
	}
	var cru_timestamp=new Date().getTime() + stopDays;
	var stopEndDay = dates(cru_timestamp);
	$("#Effective-date").html(stopEndDay);
	
});

$('#stop-endDate').bind('input propertychange', function(){
	var _this = $(this);
	if(_this.val() > 20){
		_this.val(20);
	}else if(_this.val() <= 0){
		_this.val(1);
	}
});

$('#stop-endDate').change(function(){
	var _this = $(this);
	if(_this.val() > 20){
		_this.val(20);
	}else if(_this.val() <= 0){
		_this.val(1);
	}
	var stopDays;
	if(_this.val() != 0){
		stopDays = parseInt(_this.val()) * 86400000;
	}
	var cru_timestamp=new Date().getTime() + stopDays;
	var stopEndDay = dates(cru_timestamp);
	$("#Effective-date").html(stopEndDay);
});


$('#stop-save').on('tap',function(e){
	stopParm.num =  $("#number").val();
	stopParm.effDays =  $("#stop-endDate").val();
	stopParm.dr = $('.stop-radio input[name="sex"]:checked').attr("drVal");
	stopParm.stopProfitPrice = $("#stop-profit").val();
	stopParm.stopLosePrice = $("#stop-loss").val();
	
	console.log(stopParm);
	
	if(!stopParm.dr){
		mui.toast('请选择仓位');
		return false;
	}
	
	if(stopParm.stopProfitPrice <= 0 && stopParm.stopLosePrice <= 0){
		mui.toast('请输入止盈价格或止损价格');
		return false;
	}
	
	// 校验委托价是否大于或小于最新价的 10%;
	var MaxStopPrice = parseInt($('#stop-newestPrice').html()) + $('#stop-newestPrice').html() / 10;
	var MinStopPrice = parseInt($('#stop-newestPrice').html()) - $('#stop-newestPrice').html() / 10;
	if(stopParm.stopProfitPrice > 0 && stopParm.stopLosePrice > 0){
		if (stopParm.stopProfitPrice > MaxStopPrice || stopParm.stopProfitPrice < MinStopPrice) {
			mui.toast('价格不在合理范围内，请重新输入');
			return false;
		}
		if (stopParm.stopLosePrice > MaxStopPrice || stopParm.stopLosePrice < MinStopPrice) {
			mui.toast('价格不在合理范围内，请重新输入');
			return false;
		} 	
	}else if(stopParm.stopProfitPrice > 0){
		if (stopParm.stopProfitPrice > MaxStopPrice || stopParm.stopProfitPrice < MinStopPrice) {
			mui.toast('价格不在合理范围内，请重新输入');
			return false;
		}	
	}else if(stopParm.stopLosePrice > 0){
		if (stopParm.stopLosePrice > MaxStopPrice || stopParm.stopLosePrice < MinStopPrice) {
			mui.toast('价格不在合理范围内，请重新输入');
			return false;
		}	
	}
	
	var stop_newPrice = $("#stop-newestPrice").html();
	if(stopParm.dr == 3){
		if(stopParm.stopProfitPrice < stop_newPrice){
			mui.toast('止盈价不能小于最新价');
			return false;
		}else if(stopParm.stopLosePrice > stop_newPrice){
			mui.toast('止损价不能大于最新价');
			return false;
		}
	}else if(stopParm.dr == 2){
		if(stopParm.stopProfitPrice > stop_newPrice){
			mui.toast('止盈价不能大于最新价');
			return false;
		}else if(stopParm.stopLosePrice < stop_newPrice){
			mui.toast('止损价不能小于最新价');
			return false;
		}
	}
	
	if(stopParm.stopLosePrice == stop_newPrice || stopParm.stopProfitPrice == stop_newPrice){
		mui.toast('不能输入当前最新价');
		return false;
	}
	
	if(stopParm.num <= 0){
		mui.toast('请输入数量');
		return false;
	}
	$('#stop-shadow').hide();
	stopLose();
});

//止盈止损请求
function stopLose(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/stopLose";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		type:stopParm.type,
    		num:stopParm.num,
    		direction:stopParm.dr,
    		stopLosePrice :stopParm.stopLosePrice,
    		stopProfitPrice :stopParm.stopProfitPrice,
    		effDays :stopParm.effDays
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			console.log(res.code);
	    	if(res.code == 200){
	    		mui.toast("设置成功");
	    	}else{
	    		resCodeTips(res.code);
	    	}
		},
		error : function(error){
			mui.toast("未登录")
		}
	});
}

//撤销止盈止损
$('body').on('tap','.cancelStop',function(e){
	var orderId = $(this).attr("orderId");
	cancelStopLose(orderId);  // 暂无接口
});

//撤销止盈止损
function cancelStopLose(orderId){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/cancelStopLose";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id : orderId,
		},
	    dataType:'json',
	    type:'get',
		success:function(res){
			console.log(res.code);
	    	if(res.code == 200){
	    		mui.toast("撤销成功");
	    		$("#show-stop-shadow").hide();
	    	}else{
	    		mui.toast(res.msg);
	    	}
		},
		error : function(error){
			mui.toast("未登录")
		}
	});
}

//查询止盈止损
var s_index = 1, s_size = 12;
getStopLose();
function getStopLose(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getStopLose";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		state :1,
    		index:s_index,
    		size:s_size
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			var data = res.data.record;
	    	if(res.code == 200){
	    		$("#stop-dataList").html("");
	    		$.each(data, function(key,value) {
	    			var type = typeCheck(value.type);
	    			var html = '<tr>\
								<td>'+type+'</td>\
								<td>'+value.quantity+'</td>\
								<td>'+value.stopProfitPrice+'</td>\
								<td>'+value.stopLosePrice+'</td>\
								<td><img orderId="'+value.id+'" class="cancelStop" src="images/simulation_icon_revoke@2x.png"/></td>\
							</tr>';
					$("#stop-dataList").append(html);
	    		});
	    		if(data.length <= 0){
					var noPosition = '<tr><td colspan="5" style="color: #999;">暂无止盈止损单</td></tr>';
					$("#stop-dataList").html(noPosition);
				}
	    	}else{
	    		resCodeTips(res.code);
	    	}
		},
		error : function(error){
			mui.toast("未登录")
		}
	});
}

var isFocus = false;
$(".stop_num").blur(function(){
	isFocus = false;
}).focus(function(){
	isFocus = true;
});

var stopRangeVal;

// 获取平仓对应仓位
function getAvaliablePosition(type){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getAvaliablePosition";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		type:type
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
	    	if(res.code == 200){
	    		if(jQuery.isEmptyObject(res.data)){
					console.log("空的：");
					runLine(1);
				}
    			$.each(res.data,function(key,value){
    				$("#stop-many-num").html(0);
    				$("#stop-empty-num").html(0);
    				$("#stop-many-num-input").val(1);
    				$("#stop-empty-num-input").val(1);
    				$("#stop-empty-num").html(0);
    				if(value.direction == 0){ // 多单
    					$("#stop-many-num").html(value.num);
    					$("#stop-many-num-input").val(value.num);
	    			}else{ // 空单
	    				$("#stop-empty-num").html(value.num);
	    				$("#stop-empty-num-input").val(value.num);
	    			}
	    			
	    			var many = $("#stop-many-num").html();
	    			var empty = $("#stop-empty-num").html();
	    			
	    			stopRangeVal = many > empty ? many : empty;
	    			if(stopRangeVal > 0){
	    				runLine(stopRangeVal);
	    			}else{
	    				runLine(1);
	    			}
	    			
	    		});
	    		
	    	}else{
	    		resCodeTips(res.code);
	    	}
		},
		error : function(error){
			runLine(1);
			mui.toast("请求失败");
		}
	});
}

// 获取最新价
function getLatestPrice(type){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "common/getTD";
	var LatestPrice;
	mui.ajax(url,{
    	data:{
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			var data = res.data;
			if(res.status){
				LatestPrice = data[type][0].latestPrice/100;
				LatestPrice = decimal(LatestPrice,2);
				LatestPrice = floatCompletion(LatestPrice);
				
				$("#stop-newestPrice").html(LatestPrice);
			}
		}
	});
	
}

// 选择列表
(function($, doc) {
	$.init();
	$.ready(function() {
		/**
		 * 获取对象属性的值
		 * 主要用于过滤三级联动中，可能出现的最低级的数据不存在的情况，实际开发中需要注意这一点；
		 * @param {Object} obj 对象
		 * @param {String} param 属性名
		 */
		var _getParam = function(obj, param) {
			return obj[param] || '';
		};
		//普通示例
		var stopTypePicker = new $.PopPicker();
		
		stopTypePicker.setData([{
			value: '1',
			text: 'Au(T+D)'
		}, {
			value: '0',
			text: 'Ag(T+D)'
		}, {
			value: '2',
			text: 'mAu(T+D)'
		}]);
		
		// 止盈止损合约选择
		var stop_type = doc.getElementById('stop-type');
		var stop_type_text = doc.getElementById('stop-type-text');
		var LatestPrice = doc.getElementById('stop-newestPrice');
		stop_type.addEventListener('tap', function(event) {
			stopTypePicker.show(function(items) {
				stop_type_text.innerText = items[0].text;
				var val = items[0].value;
				stopTypeVal = val;
				stopParm.type = val;
				getAvaliablePosition(val,1);
				getLatestPrice(items[0].text);
			});
		}, false);
		
	});
})(mui, document);

mui.plusReady(function() {
	//alert("设备型号= "+plus.device.model);
});