var windowId;
document.addEventListener( "plusready", function(){
	windowId = plus.webview.currentWebview().id;
	if(windowId != null && windowId == "analysts/analysts.html"){
		$(".mui-action-back").removeClass("mui-icon-left-nav");
	}
}, false );

var userLabel_map2 = {
	'0':'',
	'1':'参赛中'
};

$(".select-shadow").on("tap",function(){
	$(this).fadeOut();
	$("#lastOper-picker").slideUp(150);
	$("#sort-picker").slideUp(150);
});

var firstTime = true;
var index = 0,size = 20,nickName="",lastOperDate=0,profitAbility=0,
	userLabel="",isReal="",isSort = false;

// 上拉加载
mui.init({
	swipeBack: false, //启用右滑关闭功能
　　beforeback: function(){//监听物理返回按键的方法
		var id = plus.webview.currentWebview().id;
		if(id == "new"){
			plus.webview.currentWebview().close();
		}else{
			//return false;
		}
		return true;		 
 　},
  pullRefresh : {
    container:"#dataList-box",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :getAnalystList //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  },
});


// 重置
$("#reset").on("tap",function(e){
	mui('#dataList-box').pullRefresh().refresh(true);
	index = 0;
	nickName = "";
	lastOperDate=0;
	profitAbility=0;
	userLabel="";
	isReal="";
	isSort = true;
	getAnalystList(true);
	$(".select-box").slideUp(150);
	$(".select-shadow").fadeOut();
	
	$("#lastOper-picker li").eq(0).addClass("active").siblings().removeClass("active");
	$("#sort-picker li").eq(0).addClass("active").siblings().removeClass("active");
	
	$("#lastOper-picker li").eq(0).siblings().find(".mui-icon").removeClass("mui-icon-checkmarkempty");
	$("#lastOper-picker li").eq(0).find(".mui-icon").addClass("mui-icon-checkmarkempty");
	
	$("#sort-picker li").eq(0).siblings().find(".mui-icon").removeClass("mui-icon-checkmarkempty");
	$("#sort-picker li").eq(0).find(".mui-icon").addClass("mui-icon-checkmarkempty");
});

//搜索按钮
$(".mui-icon-search").on("tap",function(e){
	$(".mui-title").toggle();
	$(".mui-input-row").toggle();
	if($(".mui-input-row").css("display") == "block"){
		//$(".mui-input-row").css("display:inline-block");
		$(".mui-input-row").css({"display":"inline-block"});
	}
});

// 移动端键盘确认按钮和pc回车键 响应
$("#analyst-search").on('keypress',function(e) {  
	var keycode = e.keyCode;  
	var searchName = $(this).val();  
	
	if(keycode=='13') {  
		e.preventDefault();
		mui('#dataList-box').pullRefresh().refresh(true);
		index=0;
		nickName = searchName;
		isSort = true;
		getAnalystList(true);
	}
});

$("#analyst-search").blur(function(){
	var searchName = $(this).val();
	mui('#dataList-box').pullRefresh().refresh(true);
	index=0;
	nickName = searchName;
	if(!nickName){
		nickName = "";
	}
	isSort = true;
	getAnalystList(true);
});

// 最近操作
$("#lastOper").click(function(e){
//	$(".select-shadow").show();
//	$("#sort-picker").hide();
//	$("#lastOper-picker").slideDown(200);
	$("#sortIcon").attr("src","images/icon_down@2x.png");
	$("#sort-picker").hide();
	var lastoperCss = $("#lastOper-picker").css("display");
	if(lastoperCss == "none"){
		$("#lastOper-picker").slideDown(200);
		$(".select-shadow").show();
		$("#operIcon").attr("src","images/icon_up@2x.png");
	}else{
		$("#lastOper-picker").slideUp(200);
		$(".select-shadow").fadeOut();
		$("#operIcon").attr("src","images/icon_down@2x.png");
	}
	console.log($("#lastOper-picker").css("display"));
	
	e.stopPropagation();
});
$("#lastOper-picker li").click(function(e){
	$("#lastOper-picker").slideUp(150);
	$(".select-shadow").fadeOut();
	var lastOper = $(this).attr("key");
	console.log(lastOper);
	e.stopPropagation();
	lastOperDate = lastOper;
	index = 0;
	mui('#dataList-box').pullRefresh().refresh(true);
	isSort = true;
	getAnalystList(true);
	$(this).addClass("active").siblings().removeClass("active");
	
	$(this).siblings().find(".mui-icon").removeClass("mui-icon-checkmarkempty");
	$(this).find(".mui-icon").addClass("mui-icon-checkmarkempty");
	$("#operIcon").attr("src","images/icon_down@2x.png");
});

//排序
$("#sort").click(function(e){
//	$(".select-shadow").show();
//	$("#lastOper-picker").hide();
//	$("#sort-picker").slideDown(200);
	$("#operIcon").attr("src","images/icon_down@2x.png");
	$("#lastOper-picker").hide();
	var lastoperCss = $("#sort-picker").css("display");
	if(lastoperCss == "none"){
		$("#sort-picker").slideDown(200);
		$(".select-shadow").show();
		$("#sortIcon").attr("src","images/icon_up@2x.png");
	}else{
		$("#sort-picker").slideUp(200);
		$(".select-shadow").fadeOut();
		$("#sortIcon").attr("src","images/icon_down@2x.png");
	}
	
	e.stopPropagation();
});
$("#sort-picker li").click(function(e){
	$("#sort-picker").slideUp(150);
	$(".select-shadow").fadeOut();
	var sort = $(this).attr("key");
	console.log(sort);
	profitAbility = sort;
	index = 0;
	mui('#dataList-box').pullRefresh().refresh(true);
	isSort = true;
	getAnalystList();
	$(this).addClass("active").siblings().removeClass("active");
	
	$(this).siblings().find(".mui-icon").removeClass("mui-icon-checkmarkempty");
	$(this).find(".mui-icon").addClass("mui-icon-checkmarkempty");
	$("#sortIcon").attr("src","images/icon_down@2x.png");
});
//绑定“关注按钮”点击事件
var _this;
$(".analysts").on("tap",".follow-btn",function(e){
	e.preventDefault();
	e.stopPropagation();
	_this = $(this);
	var follow_state = $(this).attr("follow");
	var analystNo = $(this).attr("analystNo");
	var analystName = $(this).attr("analystName");
	var follow_font = '<p>关注名师 '+analystName+'，即同意接受</p><p>此黄金分析师的交易策略及通知</p><div class="follow-shadow-tips">提示：同一时间只能关注一位名师</div>';
	var cancel_font = '<p>取关后将无法收到 '+analystName+' 的策略通知，</p><p>可选择关注其他为您参谋的名师!</p>';
	
	if(follow_state == 0){
		$("#follow-con").html(follow_font);
	}else{
		$("#follow-con").html(cancel_font);
	}
	$(".follow-shadow").show();
});


$("#follow").on("tap",function(e){
	$(".follow-shadow").hide();
	var follow_state = _this.attr("follow");
	var analystNo = _this.attr("analystNo");
	if(follow_state == 0){
		focusAnalyst(analystNo,_this);
	}else{
		cnacelFocusAnalyst(analystNo,_this);
	}
});

$(".cancel").on("tap",function(e){
	$(".follow-shadow").hide();
});

$(".analysts").on("tap",".item",function(e){
	var analystNo = $(this).attr("analystNo");
	var follow_state_Detail = $(this).find(".follow-btn").attr("follow");
	//location.href = "analysts_detail.html?analystNo="+analystNo;
	plus.webview.open("analysts_detail.html?analystNo="+analystNo+"&follow_state="+follow_state_Detail, 'new', {}, 'slide-in-right', 200);
});

// 获取分析师列表
function getAnalystList(){  // isSort 排序或筛选
	index++;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/getAnalystList";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		index:index,
    		size:size,
    		nickName:nickName,
    		lastOperDate:lastOperDate,
    		profitAbility:profitAbility,
    		userLabel:userLabel,
    		isReal:isReal,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log('success:' + JSON.stringify(res));
			var data = res.data;
			if (res.status) {
				showAnalystList(data.record);
				
				if(index >= res.data.totalPage){
					mui("#dataList-box").pullRefresh().endPullupToRefresh(true);
				}else{
					mui("#dataList-box").pullRefresh().endPullupToRefresh(false);
				}
			}	    	
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
function showAnalystList(data){
	if(isSort){
		$(".analysts").html("");
		isSort = false;
	}
	$.each(data, function(key,value) {		 
		var auth = isAuth(value.isAuth);
		var position = positionCheck(value.position);
		var _date = dates(value.lastOperDate);
		var _time = times(value.lastOperDate);
		var isReal = value.isReal; // 是否为实盘分析师   1：实盘，0：否
		var follow_font = "关注";
		var follow_state = 0; // 0 未关注 1关注
		if(followAnalyst == value.userNo){
			follow_font = "取关";
			follow_state = 1;
		}		 
		if(value.faceUrl == null || value.faceUrl == ""){
			value.faceUrl = "../images/my_icon_headPortrait_select@2x.png";
		}else if(!value.faceUrl.startsWith("http")){
			value.faceUrl = urlPre + value.faceUrl;
		}
		
		var userLabel = userLabel_map2[value.userLabel];
		
		var prof_color = "fallColor";
		if(value.profitAbility > 0){
			prof_color = "riseColor";
		}else if(value.profitAbility == 0){
			prof_color = "c999";
		}
		
		var authImgStyle = "",authShow = 'hide2';
		// 校验是否全英文字母
		var isletter = /^[a-zA-Z]+$/.test(value.nickName);
		if(isletter && isAndroid2){
			authImgStyle = "margin-top:0";
		}
		if(value.isAuth == 1){
			authShow = '';
		}
		
		var html = '<div class="item" analystNo="'+value.userNo+'" isReal="'+isReal+'">'
				+ '<div class="item-t c"><div class="tx-box"><img src="'+value.faceUrl+'"/>'
				+ '<b>'+userLabel+'</b></div><div class="info-box"><span><em>'+value.nickName+'</em>'
				+ '<i class="anaAuthImg '+authShow+'"><img style="'+authImgStyle+'" src="images/mingshi_img_certified@2x(1).png"></i></span><span class="position">'+value.position+'</span>'
				+ '</div><div class="fr right"><div class="trade-limit-box">'
				+ '<span><i class="fw">'+value.tradeYears+'</i> 年</span><span>交易年限</span>'
				+ '</div><div class="profit-box"><span class="'+prof_color+'"><i style="font-size:.17rem;">'
				+ value.profitAbility+'</i>%</span><span>收益率</span></div></div>'
				+ '</div><div class="info-hr-box"><div></div></div><div class="item-b c">'
				+ '<div class="fl item-b-title">最近策略:</div><div class="fl item-b-info">'
				+ '<div><span>'+value.analystStrategy+'</span><em></em></div><div><span>'+_date+'</span><em>'
				+ _time+'</em></div></div><div class="fr item-b-btn-box middle">'
				+ '<span class="follow-btn" analystNo="'+value.userNo+'" follow="'
				+ follow_state+'" analystName="'+value.nickName+'">'+follow_font+'</span></div></div></div>';
		$(".analysts").append(html);
	});
	getAndroid_version();
	if(firstTime){
		firstTime = false;
		culHeight();
	}
}

// 关注分析师
function focusAnalyst(analystNo,_this){
	postParameter();
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/focusAnalyst";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		analystNo:analystNo
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			console.log(res.code);
			if(res.code == 200){
				$(".follow-btn").html("关注");
				$(".follow-btn").attr("follow",0);
				_this.html("取关");
				_this.attr("follow",1);
				mui.toast("关注成功");
				localStorage.setItem("follow",analystNo);
				followAnalyst = analystNo;
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

// 取消关注分析师
function cnacelFocusAnalyst(analystNo,_this){
	postParameter();
	
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/cnacelFocusAnalyst";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		analystNo:analystNo
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			if(res.code == 200){
				$(".follow-btn").html("关注");
				$(".follow-btn").attr("follow",0);
				_this.html("关注");
				_this.attr("follow",0);
				mui.toast("已取关");
				localStorage.removeItem("follow");
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
function culHeight(){
	//var winH = $(window).height();
	var winH = localStorage.getItem("winH") - 50;  // 由于打开app就会执行子页面代码单页面还没有渲染导致获取 $(window).height() 为0,所在index获取
	var domT = $("#dataList-box").offset().top;
	var domH = winH - domT + 50; // 不是预加载 则不需要-50
	if(windowId != null && windowId == "analysts/analysts.html"){
		domH = winH - domT - 10; // 减25是给底部能够完全显示数据
	}
	
//	$("#dataList-box").css({"height":domH+"px"});
	console.log("窗口"+winH);
	console.log("距离顶部"+domT);
	console.log("列表搞"+domH);
}

//mui 子页面回传值到父页面
function postParameter(){
	//B页面
	mui.plusReady(function() {
			var isFlow = 1;
			var main=plus.webview.getWebviewById("personal/personal.html");
			mui.fire(main,'changeFlow',{isFlow:isFlow});
	});
}

//监听自定义事件，用于和B.html页面进行通信（如果在分析师页面关注分析师状态变的话，就刷新页面）
window.addEventListener("changeFlow", function(e) {
	//alert(e.detail.cityName);
	if(e.detail.isFlow == 1){
		location.reload();
	}
	//document.getElementById("addr").innerHTML = e.detail.isFlow;
});

//document.addEventListener("plusready", getAndroid_version, false); 
function getAndroid_version(){
	var android_version = plus.os.version.split(".");
	if(isAndroid2 && android_version[0] >= 9 ){
		// 安卓9以上
		console.log("安卓9以上");
		//$(".anaAuthImg img").css("margin-top","0.01rem");
	}
}
if(isIOS2){
	$(".analysts").addClass("ios-style");
}
