document.addEventListener( "plusready", function(){  
	var windowId = plus.webview.currentWebview().id;
	if(windowId == "analysts/analysts.html"){
		$(".mui-action-back").removeClass("mui-icon-left-nav");
	}
}, false );

mui.init({
 　　　swipeBack: false, //启用右滑关闭功能
 　　　beforeback: function(){//监听物理返回按键的方法
		 		var id = plus.webview.currentWebview().id;
		 		if(id == "new"){
		 			plus.webview.currentWebview().close();
		 		}else{
		 			//return false;
		 		}
 　　　　 /*alert("确定吗");
　　　　　return true;*/
 　　　}
});
// 获取直播列表
var index = 0,size = 2 ,state = 1, title="";

// 上拉加载
mui.init({
  pullRefresh : {
    container:".dataList",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :livePage //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  },
});

$("#msg-nav a").css("width",100/3+"%");

document.addEventListener( "plusready", function(){  
	$('#dataList').on('tap', ".item", function(e){
		e.preventDefault();
		 
		var id = $(this).attr("id");		 
		plus.webview.open("live_Inside.html?id="+id, 'new', {}, 'slide-in-right', 200);
	}); 
}, false );  

function livePage(){
	var url =  urlPre + "act/livePage";
	var pageIndex = index;
	pageIndex++;
	mui.ajax(url,{
    	data:{
    		pageNo:pageIndex,
    		pageSize:size 
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			console.log(res);
			if(res.code == 200){
				if(res.data.record.length > 0) {
					index = pageIndex;
					showLivePage(res.data.record);
					if(index >= res.data.totalPage){
						mui(".dataList").pullRefresh().endPullupToRefresh(true);
					}else {
						mui(".dataList").pullRefresh().endPullupToRefresh(false);
					}				
				}
			}else{
				mui.toast(res.msg);
			}			
		},
		error : function(){
			mui.toast("请求出错了！");			
		}
	});
}
function showLivePage(data){
	$.each(data,function(key,value){
		 
		var _date = dates(value.createTime);
		var _time = times(value.createTime);
		var _content = value.content;
		if(_content.length > 26) {
			_content = _content.substring(0, 23) + "...";
		}
		
		var html = '<div class="item" id="'+ value.id +'"><img class="poster" '
		+ ' src="'+value.image+'"/>'
		+ '<p class="live-title">'+value.title+'</p><div class="live-base middle">'
		+ '<img class="user-icon" src="images/famous_icon_name@2x.png"/>'
		+ '<span class="teacher-name">'+value.author+'</span>'
		+'<img class="time-icon" src="images/famous_icon_time@2x.png"/>'
		+'<span class="live-date">'+_date+'</span>'
		+'<span>'+_time+'</span></div><p class="brief">'+_content+'</p></div>';
		
		$("#dataList").append(html);
	});
}

function culHeight(){
	var winH = $(window).height();
	var domT = $(".dataList").offset().top;
	var domH = winH - domT - 10; // 减25是给底部能够完全显示数据
	$(".dataList").css({"height":domH+"px"});
	//alert("分析师"+winH);
}
culHeight();
