var follow_state,analystNo,orderId,commentNo; // isReal 是否为实盘分析师   1：实盘，0：否 根据状态调用实盘或者模拟盘接口
analystNo = $.getUrlParam("userNo");
orderId = $.getUrlParam("orderNo");
commentNo = $.getUrlParam("commentNo");
if(isEmpty(orderId)){
	getAnalystOper();
}else{
	$(".oper-content").hide();
	$(".strategy-content").show();
	getAnalysComment();
}

$("#follow-btn").on("tap",function(){
	var _this = $(this);
	follow_state = $(this).attr("follow");
	if(follow_state == 0){
		focusAnalyst(analystNo,_this);
	}else{
		cancelFocusAnalyst(analystNo,_this);
	}
	var listPage = plus.webview.getWebviewById("analysts/analysts.html");
	listPage.evalJS("location.reload();");
});
// 关注分析师
function focusAnalyst(analystNo,_this){
	postParameter();
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/focusAnalyst";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		analystNo:analystNo
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			console.log(res.code);
			if(res.code == 200){
				_this.html("取关");
				_this.attr("follow",1);
				mui.toast("关注成功");
			}else{
				resCodeTips();
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

// 取消关注分析师
function cancelFocusAnalyst(analystNo,_this){
	postParameter();
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/analyst/cnacelFocusAnalyst";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		analystNo:analystNo
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			if(res.code == 200){
				_this.html("关注");
				_this.attr("follow",0);
				mui.toast("已取关");
			}else{
				resCodeTips();
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

// 获取分析师信息（模拟盘分析师）
analystDetail();
function analystDetail(){
	$(".lodding").show();
	var ticket = localStorage.getItem("ticket");
	ticket = ticket==null?"":ticket;
	var url =  urlPre + "trade/analyst/analystDetail";
	mui.ajax(url,{
    	data:{ 
    		ticket:ticket,
    		analystNo:analystNo
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			$(".lodding").hide();
		    //alert("接收："+ JSON.stringify(res));
			//console.log("接收："+ JSON.stringify(res));
			if(res.code == 200){
				if(res.data != null){
					$("#nickName").html(res.data.nickName);
				}				
				$("#holdRation").html(res.data.holdRation + '%');
				//$("#profitAbility").html(res.data.profitAbility + '%');
				if(res.data.correctRation == null){
					res.data.correctRation = 0;
				}
				$("#correctRation").html(res.data.correctRation + '%');
				if(res.data.isReal == 0){
					$('.actual').hide();
				}
				$("#last-strategy").html(res.data.analystStrategy);
//				if(res.data.img){
//					$("#userImg").attr("src",res.data.img);
//				}
				if(res.data.userLabel != 0){
					$(".item-t").css({"height":".9rem"});
				}
				$(".csz").html(userLabel_map[res.data.userLabel]);

				var Format_profitAbility = (res.data.profitAbility*1).toFixed(2);
//				Format_profitAbility = Format_profitAbility / 10;
//				Format_profitAbility = decimal(Format_profitAbility,2);
//				Format_profitAbility = floatCompletion(Format_profitAbility);
				
				$(".myStat").attr("data-text",Format_profitAbility+"%");
				$(".myStat").attr("data-percent",Format_profitAbility);
				$('.myStat').circliful();

				var _date = dates(res.data.lastOperDate);
                var _time = times(res.data.lastOperDate);
				$(".date-box em").html(_date);
                $(".date-box i").html(_time);

				myStat();
				
			}else{
				resCodeTips();
			}
		},
		error : function(error){
			$(".lodding").hide();
			mui.toast("请求失败")
		}
	});
}

// 获取分析师操作
function getAnalystOper(){
	$(".lodding").show();
	var ticket = localStorage.getItem("ticket");
	ticket = ticket==null?"":ticket;
	var url =  urlPre + "trade/analyst/getAnalystOper";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		userNo:analystNo,
    		orderNo:orderId
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			$(".lodding").hide();
		    //plus.nativeUI.alert("接收："+ JSON.stringify(res));
			if(res.code == 200){
				var data = res.data.record[0];
				var type = typeCheck(data.type);
				var direction = directionCheck(data.direction);

				var price=0,profit=0,money=0;
				if(data.type != 0){
					price = (data.price*1).toFixed(2);//decimal(data.price,2);
					//price = floatCompletion(data.price);
				}else {
				    price = data.price;
				}
				profit = (data.profit*1).toFixed(2);
				if(data.type == 1){
					money = data.num * data.price *1000;
					money = decimal(money,2);
					money = floatCompletion(money);
				}else if(data.type == 2){
					money = data.num * data.price *100;
					money = decimal(money,2);
					money = floatCompletion(money);
				}else{
					money = data.num * data.price;
				}
				console.log("data.direction:"+data.direction);
				// 开仓不显示盈亏
				if(data.direction == 0 || data.direction == 1){
					profit = '';
					$("#li-profit").hide();
				}

				//价格乘以数量 = 成交金额 * 1000; mag * 100
				$("#op-type").html(type);
				$("#op-dir").html(direction);
				$("#op-price").html(price);
				$("#op-num").html(data.num);
				$("#op-money").html(money);
				$("#op-profit").html(profit);

				var _date = dates(data.createTime);
                var _time = times(data.createTime);

				$("#op-date").html(_date);
				$("#op-time").html(_time);

			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			$(".lodding").hide();
			mui.toast("请求失败")
		}
	});
}

// 获取分析师行情分析
function getAnalysComment(){
	$(".lodding").show();
	var ticket = localStorage.getItem("ticket");
	ticket = ticket==null?"":ticket;
	var url =  urlPre + "trade/analyst/getAnalysComment";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		id:commentNo,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			$(".lodding").hide();
		    //plus.nativeUI.alert("接收："+ JSON.stringify(res));
			if(res.code == 200){
				var data = res.data;
				$("#str-type").html(data.prodCode.prodCode);
				$("#str-suggest").html(data.suggest);
				if(data.prodCode.prodCode != "Ag(T+D)"){
					data.price = decimal(data.price,2);
					data.price = floatCompletion(data.price);
				}
				$("#str-price").html(data.price);
				var _date = dates(data.cdate)+' ' +times(data.cdate);
				$("#str-date").html(_date);
				$("#str-strategy").html(data.content);
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			$(".lodding").hide();
			mui.toast("请求失败")
		}
	});
}


//mui 子页面回传值到父页面
function postParameter(){
	//B页面
	mui.plusReady(function() {
			var isFlow = 1;
			//获取父页面A.html
			var main=plus.webview.getWebviewById("personal/personal.html");
			//自定义事件,事件名为changeFlow
			mui.fire(main,'changeFlow',{isFlow:isFlow});
			//关闭子页面
			//mui.back();
	});
}

function myStat(){	
	var myStat = $('.myStat');
	for(var i=0; i < myStat.length; i++){
		var percent = $(myStat[i]).attr('data-percent');			
		if(percent > 0 ){
			$(myStat[i]).attr("data-fgcolor","#ff3131");
			$(myStat[i]).find("span:first").css({color:"#ff3131"});
		}else{
			$(myStat[i]).attr("data-fgcolor","#00c600");
			$(myStat[i]).find("span:first").css({color:"#00c600"});
		}
	}
}