var wgtVer=null;  
function plusReady(){  
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	if (isIOS) {
	    console.log("是苹果机，不用更新");
	    return false;
	}
	
	// ......  
	// 获取本地应用资源版本号  
	plus.runtime.getProperty(plus.runtime.appid,function(inf){  
		wgtVer = inf.version;  
		console.log("当前应用版本："+wgtVer);  
		
		checkVersion(wgtVer);
	});  
}  

if(window.plus){  
	plusReady();  
}else{  
	document.addEventListener('plusready',plusReady,false);  
}

// 检测更新  
var checkUrl = urlPre + "/user/common/version";  
/* function checkUpdate(){  
	plus.nativeUI.showWaiting("检测更新...");  
	var xhr = new XMLHttpRequest();  
	xhr.onreadystatechange=function(){  
		switch(xhr.readyState){  
			case 4:  
				plus.nativeUI.closeWaiting();  
				if(xhr.status==200){  
					console.log("检测更新成功："+xhr.responseText);  
					var newVer=xhr.responseText;  
					if(wgtVer &&newVer && (wgtVer!=newVer)){  
						downWgt();  // 下载升级包  
					}else{  
						plus.nativeUI.alert("无新版本可更新！");  
					}  
				}else{  
					console.log("检测更新失败！");  
					plus.nativeUI.alert("检测更新失败！");  
				}  
			break;  
				default:  
			break;  
		}  
	}  
	xhr.open('GET',checkUrl);  
	xhr.send();  
} */ 

$(".closeUpdate").on("tap",function(){
	$("#update").hide();
});

var downloadUrl, loading = false, jumpUpdate;
$(".jumpUpdate").on("tap",function(){
	$("#update").hide();
	localStorage.setItem("jumpUpdate", ""+jumpUpdate);
});

$("#update-know").on("tap",function(){
	$("#update").hide();
	if(!loading){
		loading = true;
		downWgt(downloadUrl); 
	}
});
 
function checkVersion(_version){	 
	mui.ajax(checkUrl,{
		data:{
			version:_version
		}, 		
		dataType:'json',
		type:'GET',
		timeout:20000,
		success:function(res) {			
			console.log("res->"+JSON.stringify(res));
			if(res.data) {
				var tips = res.data.decri.split("#");
				for(var i = 0; i < tips.length; i++){
					$('#version_tips').append("<p>" + tips[i] + "</p>");
				}
				jumpUpdate = res.data.value;
				if(res.data.parent_id == 1){ // 强制更新
					$('#update').addClass("force-update");					
				} 
				downloadUrl = res.data.extra;
				
				var old = localStorage.getItem("jumpUpdate");
				if(old == null || old != jumpUpdate){
					$('#update').show();
				}		 
			}
		},error : function(){						
		}			
	});
}

// 下载wgt文件  
var dtask;  
function downWgt(wgtUrl){  
	//console.log("下载wgt："+wgtUrl);  	 
	//plus.nativeUI.showWaiting("下载安装文件...");  
	dtask = plus.downloader.createDownload(wgtUrl, {filename:"_doc/update/"},
		function(d,status){	
			loading = false;
			$("#update").hide();
			if ( status == 200 ) {   
				console.log("下载安装文件成功："+d.filename);  
				installWgt(d.filename); // 安装wgt包  
			} else { 								
				console.log("下载安装失败！");  
				plus.nativeUI.alert("下载安装文件失败！");
				$(".Progress").hide();
			} 					
		//plus.nativeUI.closeWaiting();  
	});  	
	dtask.addEventListener("statechanged", onStateChanged, false);	
	dtask.start();
}  


// 监听下载任务状态,进度条
function onStateChanged(){  
	mui.later(function(){  
		var num = dtask.downloadedSize / dtask.totalSize * 100;  
		if(num < 100){
			// 把自己写的替换这里即可
			$(".Progress").show();
			
			var progressbar1 = mui('#demo1');
			mui(progressbar1).progressbar().setProgress(num);
			$(".Progress-num").html(parseInt(num)+'%');
			//mui(".ProgressBar").progressbar().setProgress(num);  
		}else{ 
			$(".Progress").hide();
			//mui(".ProgressBar").progressbar().hide();  
		}  
	},350)  
}  

// 更新应用资源  
function installWgt(path){  
	plus.nativeUI.showWaiting("安装wgt文件...");  
	plus.runtime.install(path,{},function(){  
		plus.nativeUI.closeWaiting();  
		//console.log("安装wgt文件成功！");  
		plus.nativeUI.alert("应用资源更新完成！",function(){  
			plus.runtime.restart();  
		});  
	},function(e){  
		$(".Progress").hide();
		plus.nativeUI.closeWaiting();  
		//console.log("安装wgt文件失败["+e.code+"]："+e.message);  
		plus.nativeUI.alert("安装文件失败["+e.code+"]："+e.message);  
	});  
}  