var index = 0, pSize = 10;
var pNo = 1;

// 上拉加载
mui.init({
  pullRefresh : {
    container:"#zhenjin",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:true,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback :getNewsPage //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  },
});

document.addEventListener( "plusready", function(){  
	$('.list-ul').on('tap', "li", function(e){
		e.preventDefault();
		var linkUrl = $(this).attr("link");
		if(linkUrl){
			/*plus.webview.open("newsLinkDetail.html?link=newUrl"+linkUrl, 'new',
				{}, 'slide-in-right', 200);*/
				openPage("newsLinkDetail.html?link=newUrl"+linkUrl,'new');
		}else {
			var title = $(this).find(".news-title").text();
			var content = $(this).find(".d-content").html();
			var author = $(this).find(".name").text();
			var date = $(this).find(".date").text();
			var time = $(this).find(".time").text();
			//console.log(title+"-"+content+"-"+author+"-"+date+"-"+time);
			mui.openWindow({
				id: 'newsDetail',
				url: 'newsDetail.html',
				extras: {
					//id: record[index].id,
					title: title,
					content: content,
					date: date,
					time:time,
					author:author
				},
				waiting:{
					autoShow:false
				}
			}); 
		}
	}); 
}, false );  

// 获取资讯
function getNewsPage(){	 
	index++;
	var sendType = 1;
	var url =  urlPre + "news/newsPage";
	mui.ajax(url,{
    	data:{
    		pageNo: index,
    		pageSize: pSize,
    		//type: index,
    		type: sendType,
    		state : 0,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			//console.log(res);
	    	if(res.code = 200){
				var data = res.data;
				$.each(data.record,function(key,value) {
					if(!value.author){
						value.author = "黄金帮";
					}
					var noticeStr = '<li class="c" link="'+ value.link +'">\
						 	<div class="img-box fl">\
						 		<img src="'+value.thumb+'"/>\
						 	</div>\
						 	<div class="d-content" style="display:none;">'+value.content+'</div>\
							<div class="left fl notice-left">\
								<p class="news-title">'+value.title+'</p>\
								<div class="left-b">\
									<span class="name">'+value.author+'</span>\
									<span class="date">'+dates(value.createTime)+'</span>\
									<span>'+times(value.createTime)+'</span>\
								</div>\
							</div>\
						</li>';
					$('#news2').append(noticeStr);	
				});
				var bNo = (pNo >= data.totalPage);
				mui("#zhenjin").pullRefresh().endPullupToRefresh(bNo);
				$('.mui-pull-bottom-pocket').css("visibility","visible");
				 pNo = pNo+1;
	    	}else{
	    		mui("#zhenjin").pullRefresh().endPullupToRefresh("在拉一下试试");
	    	}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}

var winH = $(window).height();
var domT = $("#zhenjin").offset().top;
var domH = winH - domT; // 减25是给底部能够完全显示数据
console.log("下拉容器高度："+domH);
$("#zhenjin").css({"height":domH + "px"});