mui.init({
	swipeBack:true //启用右滑关闭功能
});
var client_id = localStorage.getItem("client_id");
if(!client_id){
	// 检测到该账号是未绑定交易账户
	$(".ID-ad").show();
	client_id = '--';
}
//getUserInfo(false);

$('#msg-nav span').on('touchend',function(e){
	e.preventDefault();
	$(this).addClass("active").siblings().removeClass("active");
	var index = $(this).attr("index");
	$('.id-tab').hide();
	$('.id-tab').eq(index).show();
	$(".auth-success").hide();
	if(index == 0){
		if(userType == 2){
			$("#vip-type").html("工行用户");
			$(".auth-success").hide();
		}else if(userType == 4){
			$("#vip-type").html("VIP客户");
			$(".auth-success").show();
		}
	}else {
		if(userType == 4){
			$("#vip-type").html("VIP客户");
			$(".auth-success").hide();
		}else if(userType == 2){
			$("#vip-type").html("工行用户");
			$(".auth-success").show();
		}
	}
});

$("#tradeCode").focus(function(){
	//$("#trade-code-tips").hide();
	//$("#trade-code-tips").css({"opacity":0});
}).blur(function(){
	if(!$(this).val()){
		//$("#trade-code-tips").css({"opacity":1});
	}
});

$('#show-introduced').on('tap',function(e){
	$("#introduced").show();
});

$('.cancel').on('tap',function(e){
	$("#introduced").hide();
});

var isSend = false,pass = false;
$('#VIPsave').on('tap',function(e){
	if(isSend){
		if(pass){
			if(userType==1){
				mui.toast("您已是名师"); 
			}else if(userType==2){
				mui.toast("您已认证银行经理"); 
			}else {
				mui.toast("您已认证VIP"); 
			}			
		}else{
			mui.toast("请求中...");
		}
		return;
	}
	var tradeCode = $("#tradeCode").val();
	var realName = $("#realName").val();
	var pre6 = tradeCode.substr(0,6);
	if(tradeCode == null || tradeCode == ''){
		mui.toast("请输入交易编码");
		return;
	}else if(tradeCode.length != 16){
		mui.toast("请输入16位交易编码");
		return;
	}else if(pre6 != "000131"){
		mui.toast("请输入000131开头的16位交易编码");
		return;
	}else if(!realName){
		mui.toast("请输入真实姓名");
		return;
	}
	userType=4;
	verifyVIP(tradeCode,realName,userType);
});
// 认证身份（vip客户）
function verifyVIP(clientId,realName,userType){
	isSend = true;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/verify";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		clientId:clientId,
    		realName:realName
		},
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			isSend = false;
			if(res.status){
				//$("#tradeCode").val("");
				//$("#realName").val("");
				if(res.data == 1){ // 0审核  1通过
					isSend = true;
					pass = true;
					//getUserInfo();
					showVerify(userType, clientId, realName);
				}else {
					$("#tradeCode").focus();   
				}
			}
			mui.toast(res.msg);
			
		},error : function(){
			mui.toast("请求失败");
			isSend = false;
		}
	});
}

// var userVerifyStr = localStorage.getItem("userVerify");
// console.log("userVerifyStr:"+userVerifyStr);
// if(userVerifyStr){
// 	var userVerify = JSON.parse(userVerifyStr);
// 	//认证通过
// 	if(userVerify.status == 1){
// 		showVerify(userVerify.userType,
// 			userVerify.clientId, userVerify.realName);
// 	}else {		
// 		getVerify();
// 	}		
// }else {
// 	getVerify();
// }

getVerify();

/**
 * 获取认证信息
 */
function getVerify(){
	isSend = true;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getVerify";
	mui.ajax(url,{
		data:{
			ticket:ticket
		},
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
		success:function(res){
			isSend = false;
			console.log("res:"+JSON.stringify(res) );
			if(res.code == 200){
				if(res.data){	
					//userVerifyStr = JSON.stringify(res.data) 	
					//localStorage.setItem("userVerify", userVerifyStr);
					
					//认证通过
					if(res.data.status == 1){						
						showVerify(res.data.userType,res.data.clientId, res.data.realName);
					}else {
						$("#tradeCode").val(res.data.clientId);		 
						if(res.data.realName){
							$("#realName").val(res.data.realName);
						}else{
							$("#realName").val("--");
						}
					}					
				}else {  //如果没有认证信息
					isSend = true;
					getUserInfo();
				}
			}else {
				mui.toast(res.msg);
			}						
		},error : function(){
			mui.toast("请求失败");
			isSend = false;
		}
	});
}

/**
 * 显示认证通过结果
 * @param {Object} status
 * @param {Object} userType
 */
function showVerify(userType, clientId, realName){	
	isSend = true;
	pass = true;
	if(userType == 1){	
		$(".submit span").css({"opacity":0.5});
		$("#tradeCode").val(clientId);
		$("#trade-code-tips").html("");
		
		if(realName){
			$("#realName").val(realName);
		}else{
			$("#realName").val("--");
		}
	}else if(userType == 2 || userType == 4){
		$(".submit span").css({"opacity":0.5});
		$("#tradeCode").val(clientId);
		$("#trade-code-tips").html("");
		
		if(realName){
			$("#realName").val(realName);
		}else{
			$("#realName").val("--");
		}
		if(userType == 4){
			$(".auth-success").show();
			$(".id-from li input").attr("readonly","readonly");
		}else if(userType == 2){
			$(".code-box").hide();
			$(".manager-form img").hide();
			$(".manager-form li input").attr("readonly","readonly");
		}
	}	
}

var userType;
function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',
	    type:'GET',
	    timeout:20000,
		success:function(res){
			console.log("登录状态："+res.code);	
			isSend = false;
		    if(res.code == 200){									 
				if(!jQuery.isEmptyObject(res.data)){
					userType = res.data.userType;
					if(userType == 1 || userType == 2 || userType == 4) {
						showVerify(userType, client_id, res.data.realName);
					}					
					// if(userType == 1){
					// 	isSend = true;
					// 	pass = true;
					// 	$(".submit span").css({"opacity":0.5});
					// 	$("#tradeCode").val(client_id);
					// 	$("#trade-code-tips").html("");
					// 	
					// 	if(res.data.realName){
					// 		$("#realName").val(res.data.realName);
					// 	}else{
					// 		$("#realName").val("--");
					// 	}
					// }else if(userType == 2 || userType == 4){
					// 	isSend = true;
					// 	pass = true;
					// 	$(".submit span").css({"opacity":0.5});
					// 	$("#tradeCode").val(client_id);
					// 	$("#trade-code-tips").html("");
					// 	
					// 	if(res.data.realName){
					// 		$("#realName").val(res.data.realName);
					// 	}else{
					// 		$("#realName").val("--");
					// 	}
					// 	
					// 	if(userType == 4){
					// 		$(".auth-success").show();
					// 		$("id-from li input").attr("readonly","readonly");
					// 	}
					// 	
					// 	if(userType == 2){
					// 		$(".code-box").hide();
					// 		$(".manager-form img").hide();
					// 		$(".manager-form li input").attr("readonly","readonly");
					// 	}
					// 	
					// }
				}
			}
		},
		error:function(){
			isSend = false;
			console.log("请求错误");
		}
	});
} 

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
if(isIOS){
	$(".msg-nav div a").css({"line-height":0.29+"rem"});
	$(".submit span").css({"line-height":0.4+"rem"});
	$(".ok").css({"line-height":0.3+"rem"});
}
