function getUserPushSetting(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserPushSetting";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			var str = res.data.pushSetting;
			console.log(res.code);
			if(res.code == 200){
				str = JSON.parse(str);
				console.log(str);
				
				if(str.hot_activity_switch == 1){
					$("#hot_activity_switch").addClass("mui-active");
				}
				if(str.big_report_switch == 1){
					$("#big_report_switch").addClass("mui-active");
				}
				if(str.invest_plan == 1){
					$("#invest_plan").addClass("mui-active");
				}
				if(str.price_notify == 1){
					$("#price_notify").addClass("mui-active");
				}
				if(str.teacher_strategy == 1){
					$("#teacher_strategy").addClass("mui-active");
				}
				if(str.not_bother == 1){
					$("#not_bother").addClass("mui-active");
				}
				
				if(str.main_switch == 1){
					$("#main_switch").addClass("mui-active");
				}
				
				$("#hot_activity_switch").attr("state",str.hot_activity_switch);
				$("#big_report_switch").attr("state",str.big_report_switch);
				$("#invest_plan").attr("state",str.invest_plan);
				$("#price_notify").attr("state",str.price_notify);
				$("#teacher_strategy").attr("state",str.teacher_strategy);
				$("#not_bother").attr("state",str.not_bother);
				$("#main_switch").attr("state",str.main_switch);
				
				var switchList = $(".mui-switch");
				for(var i=0; i<switchList.length; i++){
					var state = $(switchList[i]).attr("state");
					if(state == 1){
						$(switchList[i]).addClass("mui-active");
    					$(switchList[i]).find(".mui-switch-handle").css({"-webkit-transform":"translate3d(0.16rem, 0, 0)"});
					}else{
						$(switchList[i]).removeClass("mui-active");
						$(switchList[i]).find(".mui-switch-handle").css({"-webkit-transform":"translate3d(0, 0, 0)"});
					}
				}
				
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
function updatePushSetting(settingType,settingValue){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/updatePushSetting";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		settingType:settingType,
    		settingValue:settingValue
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			if(res.code == 200){
				mui.toast("设置成功");
				getUserPushSetting();
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			mui.toast("请求失败")
		}
	});
}
getUserPushSetting();




mui('.mui-switch').each(function() {
    mui(this).switch();
});

var isManual = true;//标志按钮最后状态
$(".mui-switch").on("toggle",function(event){
	isManual=!isManual;
	
	/*if(!isManual){
		var switchId = $(this).attr("switchId");
		switchPriceNotify(switchId);
	}*/
	
	var id = $(this).attr("id");
	var state = $(this).attr("state");
	if(state == 1){
		state = 0;
	}else{
		state = 1;
	}
	updatePushSetting(id,state);
	
	console.log("按钮状态:"+isManual);
});

mui.init({
	swipeBack:true //启用右滑关闭功能
});
//mui("#Master-switch").switch().toggle();
/*document.getElementById("main_switch").addEventListener("toggle",function(event){
  if(event.detail.isActive){
    console.log("你启动了开关"+event.detail.isActive);
    $(".mui-switch").addClass("mui-active");
    $(".mui-switch-handle").css({"-webkit-transform":"translate3d(0.16rem, 0, 0)"});
   // mui(".mui-switch").switch().toggle();
  }else{
    console.log("你关闭了开关");  
    $(".mui-switch").removeClass("mui-active");
    $(".mui-switch-handle").css({"-webkit-transform":"translate3d(0, 0, 0)"});
  // mui(".mui-switch").switch().toggle();
  }
});*/
