mui.init({
	swipeBack:true //启用右滑关闭功能
});

// 跳转页面
/*
$('#logout').on('touchend',function(e){
	e.preventDefault();
	//logout();
	var btnArray = ['否', '是'];
	mui.confirm("您确认退出当前账号吗？", "", btnArray, function(e) {
        if (e.index == 1) {
        	console.log("退出");
        	logout();
        } else {
            console.log("取消");
        }
    });
});*/
$('#addrList').on('tap',function(e){
	plus.webview.open('../addr/addrList.html', 'addrList.html', {}, 'slide-in-right', 200); 
});

$('#logout').on('touchend',function(e){
	e.preventDefault();
	$("#logout-shadow").fadeIn();
});
$('#logout-cancel').on('touchend',function(e){
	e.preventDefault();
	$("#logout-shadow").hide();
});
$('#logout-save').on('touchend',function(e){
	e.preventDefault();
	$("#logout-shadow").hide();
	logout();
});

var nickName = localStorage.getItem("nickName");
$(".nickName").html(nickName);
/* getUserInfo();
function getUserInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/getUserInfo";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',//服务器返回json格式数据
	    type:'GET',//HTTP请求类型
		success:function(res){
			console.log(res.code);
		    if(res.code == 200){
				if(!jQuery.isEmptyObject(res.data)){
					// data不为空 登录
					$(".nickName").html(res.data.nickName);
				}
			}
		}
	});
} */


$('#reNickName').on('touchend',function(e){
	e.preventDefault();
	$("#re-nickName-shadow").fadeIn();
});

$('#cancel').on('touchend',function(e){
	e.preventDefault();
	$(".re-nickName-shadow").hide();
});

$('#save').on('touchend',function(e){
	e.preventDefault();
	if(isSend){
		mui.toast("请求中");
		return false;
	}
	
	var newNickName = $("#reNickNameVal").val();
	newNickName = newNickName.replace(" ","");
	
	if(!newNickName){
		mui.toast('请输入新昵称');
		return false;
	}
	//验证是否是中文
	var pattern = new RegExp("[\u4E00-\u9FA5]+");
	//var str = "航海";
	//最多只能修改为16个英文字母或6个中文的昵称
	if(pattern.test(newNickName)){
		//alert('该字符串是中文');
		if(newNickName.length > 6){
			mui.toast('昵称过长，请重新输入', {
				duration: 'short',
				type: 'div'
			});
			return false;
		}
	}else {
		if(newNickName.length > 16){
			mui.toast('昵称过长，请重新输入', {
				duration: 'short',
				type: 'div'
			});
			return false;
		}
	}
	reName(newNickName);
});
var isSend = false;
// 提交新昵称
function reName(nickName){
	isSend = true;
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/reName";
	mui.ajax(url,{
    	data:{
    		ticket:ticket,
    		nickName:nickName
		},
	    dataType:'json',
	    type:'GET',
		success:function(res){
			if(res.code == 200){
				$(".re-nickName-shadow").hide();
				mui.toast('修改昵称成功');
				//getUserInfo();
				//localStorage.setItem("isRefresh","是否刷新");
				var userType = localStorage.getItem("userType");
				if(userType != 1){
					localStorage.setItem("nickName", nickName);
					$(".nickName").html(nickName);
					
					var personal = plus.webview.getWebviewById('personal/personal.html');
					if(personal){
						personal.evalJS("refreshNickName('"+ nickName + "')"); 
					}					
				}				
			}else if(res.code == 235){
				mui.toast('亲，名师不能修改昵称噢！');
			}else if(res.code == 213){
				mui.toast('昵称已存在');
			}else{
				mui.toast('修改失败,原因:'+res.msg);
			}
			isSend = false;
		},error : function(){
			isSend = false;
			mui.toast('请求失败');
		}
	});
}
// 退出登录
function logout(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "user/logout";
	mui.ajax(url,{
    	data:{
    		ticket:ticket
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){
			if(res.code == 200){
				localStorage.setItem("isRefresh","是否刷新");
				localStorage.removeItem("ticket");
				localStorage.removeItem("userRealNull");
				localStorage.removeItem("userReal");
				localStorage.removeItem("client_id");
				//localStorage.removeItem("phone");
				evalJS();
				refreshAnalyst();
				
				// 退出登录标识
				localStorage.setItem("logOut",true);
				localStorage.removeItem("loginImg");
				
				var myPage = plus.webview.getWebviewById("personal/personal.html");
				myPage.evalJS("isNotReadMsg();isNotReadUserPlanMsg();isNotReadPriceRemind();");
				
				//刷新个人页面;			
				var personal = plus.webview.getWebviewById('personal/personal.html');
				if(personal){
					personal.evalJS("getUserInfo()"); 
				}
				
				mui.toast("退出账号成功");
				//console.log("退出账号成功");
				plus.webview.currentWebview().close();
			}else{
				mui.toast('退出登录失败,原因:'+res.msg);
			}
		},
		error : function(){
			mui.toast("请求错误");
			//console.log("请求错误");
		}
	});
}

// 修改另一个页面的变量的值（index）
var embed=null;
// H5 plus事件处理
function plusReady(){
	var mainId = localStorage.getItem("mainId");
	embed = plus.webview.getWebviewById(mainId);
}
if(window.plus){
	plusReady();
}else{
	document.addEventListener('plusready', plusReady, false);
}
// 在Webview窗口中执行JS脚本
function evalJS() {
	//embed.evalJS('alert("evalJS: "+location.href);');
	embed.evalJS("isTrade=false;");
}

$("#clear_cache_btn").on("tap",function(){
	//clear_cache();
	setTimeout(function(){
		mui.toast("清除完成");
	},500);
});

// 清理缓存函数
function clear_cache2(){
	plus.cache.calculate(function(size) {
	    console.log(size)
	    sizeCache = size;
	    mui.confirm("您目前的系统缓存为" + parseFloat(sizeCache / (1024 * 1024)).toFixed(2) + "M", "清除缓存", ["清除", "取消"], function(e) {
	        if(e.index == 1) {} else {
	            plus.cache.clear(function() {
	                mui.toast("缓存清除完毕");
	            });
	        }
	    });
	});
}

// 清理缓存函数
function clear_cache(){
	// 清除缓存
    var con = confirm("确认要清除缓存吗？");
    if(con){
        mui.plusReady(function(){
            var local_image_url = '_downloads'; // 缓存本地图片url
            plus.io.resolveLocalFileSystemURL(local_image_url, function(entry) {
            	var path = entry.toLocalURL(); //文件路径  
            	entry.file(function(local_image_url) {  
                    console.log("文件名称" + file.name + "文件大小" + file.size);  
                }); 
            	return;
                entry.removeRecursively( function ( entry ) {
                    alert("清理完毕!");
                    plus.console.log( "Remove succeeded" );
                }, function ( e ) {
                    alert( e.message );
                } );
            },function(e){
            	alert(e.message);
            });
        });
    }
}
