hide_position_button();

document.addEventListener("plusready", function(){
	var openActive = 0;
	var shares=null;
	var sweixin=null;
	plus.share.getServices(function(s){				
		shares={};
		for(var i in s) {			
			var t=s[i];						
			shares[t.id]=t;					
		} 				
		sweixin=shares['weixin'];			
	}, function(e){
		alert("获取分享服务列表失败："+e.message);
	});
	
	var client_id = "";
	var isRequest = false;
	var ticket = localStorage.getItem("ticket");
	// alert("ticket-" + ticket);
	// 判断用户输入的交易编码是否已经绑定过
	$('#next').on('tap',function(e){
		//e.preventDefault();
		$("input").blur();
		if(isRequest){
			return;
		}
		client_id = $("#client_id").val();
		var pre6 = client_id.substr(0,6);
		if(client_id == null || client_id == ''){
			mui.toast("请输入交易编码");
			return;
		}else if(client_id.length != 16){
			mui.toast("请输入16位交易编码");
			return;
		}else if(pre6 != "000131"){
			mui.toast("请输入000131开头的16位交易编码");
			return;
		}
		
		$(".lodding").show();
		bindStatus();
	});
	
	function bindStatus() {
		isRequest = true;
		$.ajax({
			type: "POST",
			url: urlPre + "real/getBindStatus",
			dataType: "json",
			
			beforeSend:function(a){
				//console.log(a);
			},
			data:{
				ticket :ticket,
				clientId:client_id
			},
			success: function(res) {
				isRequest = false;
				$(".lodding").hide();
				if(res.status) {								
					plus.webview.open('checkID.html?client_id='+client_id, 'checkID', {}, 'slide-in-right', 200); 
					/* setTimeout(function(){
						plus.webview.currentWebview().close("none");
					},200); */
				}else{
					if(res.msg.indexOf("未在工行开户") > 0){
						$("#openActive").html("我要开户");
						openActive = 1;
					}else if(res.msg.indexOf("存在异常") > 0){
						$("#openActive").html("咨询客服");	
						openActive = 2;
					}else {
						$("#openActive").html("咨询客服");
						openActive = 2;
					}
					var msgarr = res.msg.split("#");
					$("#msg").html(msgarr[0]);
					$("#msg2").html(msgarr[1]);
					$(".shadow").show();				
				}
			},
			error : function(){
				isRequest = false;
				$(".lodding").hide();
				mui.toast("请求错误");
				//console.log("请求错误");
			}
		});
	}
	
	$('.active').on('touchend',function(e){
		e.preventDefault();
		$(".shadow").hide();
		if(openActive == 1){ //开户：唤起小程序开户			
			//launchMiniProgram();
			plus.webview.open('ready.html', 'new', {}, 'slide-in-right', 200); 
		} else if(openActive == 2){ //咨询客服
			//mui.toast("点击咨询客服");		
			//plus.webview.open('ready.html', 'new', {}, 'slide-in-right', 200); 
			imCustomerService();			 
		}
		setTimeout(function(){
			plus.webview.currentWebview().close("none");
		},200);		
	});
	$('.cancel').on('touchend',function(e){
		e.preventDefault();
		$(".shadow").hide();
	});
	
	/**
	 * 调用微信小程序
	 */
	function launchMiniProgram(s){		
		sweixin?sweixin.launchMiniProgram({
			id:'gh_67b8b0a0fe66'
		}):plus.nativeUI.alert('当前环境不支持微信操作!');
	}
});

/* $(function(){
	
	 
}); */
