document.addEventListener("plusready", function(){
	
	var type = $.getUrlParam("type");
	
	var phone = localStorage.getItem("phone");
	$("#phone").val(phone.substring(0,3) + "****" 
		+ phone.substring(phone.length - 4, phone.length));
	 
	var client_id = localStorage.getItem("client_id");			 
		client_id = client_id.substr(0,9)+"****"
		+client_id.substr(client_id.length-3,client_id.length);	
	$('#num').val(client_id);
	
	$('#next').on('touchend',function(e){
		e.preventDefault();
		$("input").blur();
		//var phone = $("#phone").val();
		var code = $("#code").val();
		if(phone.length != 11){
			mui.toast('请输入11位手机号码');
			return false;
		}
		if(!code){
			mui.toast('请输入验证码');
			return false;
		}
		verifycode(code,phone);
		// 验证码输入正确即可跳转到“设置密码”页面
	 });
	 	
	$("#getCode").click(function(){
	 	//var phone = $("#phone").val();
	 	//console.log(phone);
	 	if(phone.length != 11){
	 		mui.toast('请输入11位手机号码');
	 		return false;
	 	}
	 	getMsgCode(phone,3);
	 	
	 });
	 
	 // 倒计时 函数
	var timeState;
	var timer = null;
	function count_Down(_this){	 	
	 	timeState = 120;
	 	var t = 120;
	 	_this.html(t+' s');
	 	clearInterval(timer);
	 	_this.attr('disabled',true);
	 	timer = setInterval(function(){
	 		if(t == 1){
	 			timeState = 0;
	 			_this.attr('disabled',false);
	 			_this.html('重新获取');
	 			clearInterval(timer);
	 			return;
	 		}
	 		t--;
	 		_this.html(t+' s');
	 	},1000);
	 }
	 
	// 获取验证码
	function getMsgCode(phone,code_type){
	 	$.ajax({
	 		type: "GET",
	 		url: urlPre + "user/common/getMsgCode",
	 		dataType: "json",
	 		
	 		beforeSend:function(a){
	 			//console.log(a);
	 		},
	 		data:{
	 			phone:phone,
	 			type:code_type
	 		},
	 		success: function(res) {
	 			if(res.status){
	 				mui.toast('验证码已发送到您的手机');
					count_Down($("#getCode"));
	 			}else{
	 				mui.toast('获取验证码失败，'+res.msg);
	 			}
	 		},
	 		error : function(){
	 			console.log("请求错误");
	 		}
	 	});
	}
	 
	// 校验验证码
	function verifycode(msgCode,phone){
	 	$.ajax({
	 		type: "POST",
	 		url: urlPre + "user/common/verifyCode",
	 		dataType: "json",
	 		
	 		beforeSend:function(a){
	 			//console.log(a);
	 		},
	 		data:{
	 			msgCode :msgCode,
	 			phone:phone
	 		},
	 		success: function(res) {
	 			if(res.status){	
					if(timer != null){
	 			        clearInterval(timer);
	 			    }
					plus.webview.open('setPwd.html?type='+type, 'setPwd.html', {}, 
						'slide-in-right', 200);
					setTimeout(function() {
						plus.webview.currentWebview().close("none");
					},500);						 
	 			}else{
	 				if(res.code == 209){
	 					mui.toast('验证码错误');
	 				}else if(res.code == 210){
	 					mui.toast('验证有问题');
	 				}else{
						mui.toast(res.msg);
					}
	 			}
	 		},
	 		error : function(){
	 			console.log("请求错误");
	 		}
	 	});
	}
});

/* $(function(){
	
	 
}); */
