mui.init({
	beforeback: function(){
		//获得列表界面的webview
		var realTrade = plus.webview.getWebviewById('realTrade/index.html');
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
		mui.fire(realTrade,'isRefresh', {type:1,refresh:1});
		//返回true，继续页面关闭逻辑
		return true;
	} 
});

var balance = $.getUrlParam("balance");
balance = (balance*1).toFixed(2);
$("#available").html(balance);

var available = $.getUrlParam("available");
available = (available*1).toFixed(2);
$("#balance").html(available);

var owingAmount = $.getUrlParam("owingAmount");//欠费
owingAmount = (owingAmount*1).toFixed(2); 
if(owingAmount < 0){
	$("#available").html(balance+" 欠费金额"+owingAmount);
}else{
	$("#available").html(balance);
}

var isRequest = false;
var amount,accountingDirection = 0;
$("#msg-nav p").on('tap',function(e){
	var index = $(this).attr("index");
	if(accountingDirection == index){
		return;
	}
	$(this).addClass("active").siblings().removeClass("active");//去掉下面黄线
	if(index == 0){
		accountingDirection = 0;
		 
		$(".available").show();
		$(".g-title").html('当前最大可入金金额<em id="balance">'+ available + '</em>');
		$(".g-icbcCard input").attr('placeholder','入金将从您的工行银行卡中转入');
		$(".g-tips").html('可入金时间段: 交易日全天。17:00-19:00为银行清算时间除外');
		$('.g-money').removeClass("DFTT-money");
		$(".g-icbcCard").removeClass("DFTT-icbcCard");
	}else {
		accountingDirection = 1; 
		$(".available").hide(); 
		$(".g-title").html('当前最大可出金金额<em id="balance">'+ balance + '</em>');		 
		$(".g-icbcCard input").attr('placeholder','出金将至您的工行储蓄卡');
		$(".g-tips").html('可出金时段: 交易9:00-15:00');
		$('.g-money').addClass("DFTT-money");
		$(".g-icbcCard").addClass("DFTT-icbcCard");
	}
});

$(".submit button").on("tap",function(){
	$("input").blur();
	amount = $(".money").val();
	//accountingDirection = $(this).attr("key");
	console.log("accountingDirection->"+accountingDirection);
	if(!amount){
		mui.toast("请输入金额");
		return false;
	}
	capitalTrans();
	$(this).attr("disabled","disabled");
	$(this).addClass("disable");
});

function detail(){
	plus.webview.open('gold-history.html', 'new', {}, 'slide-in-right', 200);
}
 
// 出入金
function capitalTrans(){
	if(isRequest){
		return;
	}
	isRequest = true;
	//mui.toast("请求中...");
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "real/capitalTrans";
	$(".lodding").show();
	mui.ajax(url,{
    	data:{
    		ticket: ticket,
    		amount: amount * 100,
    		accountingDirection: accountingDirection,
		},
	    dataType:'json',
	    type:'POST',
		success:function(res){			
			$(".submit button").removeAttr("disabled");
			$(".submit button").removeClass("disable");
			var data = res.data;
			isRequest = false;
			if(data.returnCode == 0) {
				var realTrade = plus.webview.getWebviewById('realTrade/index.html');
				if(accountingDirection == 1){ //出金
					available = available*1 + amount*1;
					balance = balance*1 - amount*1;
					$("#available").html(balance.toFixed(2));
					//$("#balance").html(balance.toFixed(2));
					
					realTrade.evalJS("curAccountBalanceChange("+ (-amount) + ")"); 
					setTimeout(function() {
						$("#balance").html(balance.toFixed(2));
						
						mui.toast("出金成功");
						$(".money").val("");
						$(".lodding").hide();
					},1000);
				}else{ //入金
					$(".lodding").hide();
					available = available*1 - amount*1;
					//balance = balance*1 + amount*1;
					if(owingAmount < 0){
						owingAmount = owingAmount + amount*1;
						if(owingAmount > 0){
							balance = balance*1 + owingAmount;
							$("#available").html(balance.toFixed(2));
						}else {
							$("#available").html(balance+" 欠费金额"+owingAmount);
						}
					}else {
						balance = balance*1 + amount*1;
						$("#available").html(balance.toFixed(2));
					}					
					$("#balance").html(available.toFixed(2));
					
					realTrade.evalJS("curAccountBalanceChange("+ amount + ")"); 					
					mui.toast("入金成功");					
					$(".money").val("");
				}				 
			}else{
				$(".lodding").hide();
				mui.toast(data.returnMsg);
			}
		},error : function(){
			$(".lodding").hide();
			mui.toast("请求失败！");
			isRequest = false;
			$(".submit button").removeAttr("disabled");
			$(".submit button").removeClass("disable");
		}
	});
}

