var cityData = [];
getMarketInfo();
function getMarketInfo(){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getMarketInfo";
	mui.ajax(url,{
    	data:{
		},
		async:false,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
	    beforeSend:function(a){
	    	console.log("请求发送前");
		},
		success:function(res){
			if(res.code == 200){
				var data = res.data;
				
				$.each(data,function(key,value){
					var test = {};
					test.value = value.orderBy;
					test.text = value.marketName;
					var testChi = {};
					test.children = [];
					
					cityData.push(test);
					getMarketProdCode(value.marketType,key);
				});
				//console.log(cityData);
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			re_submit = true;
			mui.toast("请求失败");
		}
	});
}

function getMarketProdCode(code,i){
	var ticket = localStorage.getItem("ticket");
	var url =  urlPre + "trade/getMarketProdCode";
	mui.ajax(url,{
    	data:{
    		marketType:code
		},
		async:false,
	    dataType:'json',
	    type:'POST',
	    timeout:20000,
	    beforeSend:function(a){
	    	console.log("请求发送前");
		},
		success:function(res){
			if(res.code == 200){
				var data = res.data;
				$.each(data,function(key,value){
					var test = {};
					test.value = value.prodCode;
					test.text = value.prodName;
					cityData[i].children.push(test);
				});
				console.log(cityData);
			}else{
				resCodeTips(res.code);
			}
		},
		error : function(error){
			re_submit = true;
			mui.toast("请求失败");
		}
	});
}

// 固定数据时使用（不通过请求接口）
/*var cityData = [{
	value: '110000',
	text: '上海黄金',
	children: [{
		value: "Au(T+D)",
		text: "黄金T+D"
	}, {
		value: "Ag(T+D)",
		text: "白银T+D"
	}, {
		value: "mAu(T+D)",
		text: "m黄金T+D"
	}, {
		value: "Au9999",
		text: "黄金9999"
	}, {
		value: "Au9995",
		text: "黄金9995"
	}, {
		value: "Au100g",
		text: "黄金100g"
	}, {
		value: "Pt9995",
		text: "铂金9995"
	}]
}, {
	value: '120000',
	text: '主要指数',
	children: [{
		value: "AUUSD",
		text: "现货黄金"
	}, {
		value: "AGUSD",
		text: "现货白银"
	}, {
		value: "USCL",
		text: "美原油连"
	}]
}, {
	value: '130000',
	text: '外汇',
	children: [{
		value: "USD",
		text: "美元指数"
	}, {
		value: "USDCNY",
		text: "人民币汇率"
	}]
}];
*/